<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>First Timer Registration
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
    <div class="container">
        <div class="homeCard">
            <div class="card-content">
                <div class="card-body">
				<?php
					if(isset($_POST['firsttimer'])){
						include 'database/config2.php';
						$name = htmlspecialchars(strip_tags($_POST['name']));
						if (empty($_POST['phone'])){
							$phone = 0;
						}
						else if (!empty($_POST['phone'])){
							$phone=htmlspecialchars(strip_tags($_POST['phone']));
						}
						if (empty($_POST['dob'])){
							$dob = '0000-00-00';
						}
						else if (!empty($_POST['dob'])){
							$dob=htmlspecialchars(strip_tags($_POST['dob']));
						}						
						$gender = htmlspecialchars(strip_tags($_POST['gender']));
						if (empty($_POST['age'])){
							$age = 0;
						}
						else if (!empty($_POST['age'])){
							$age=htmlspecialchars(strip_tags($_POST['age']));
						}
						$country = htmlspecialchars(strip_tags($_POST['country']));
						if (empty($_POST['occupation'])){
							$occupation = "";
						}
						else if (!empty($_POST['occupation'])){
							$occupation=htmlspecialchars(strip_tags($_POST['occupation']));
						}
						if (empty($_POST['visit'])){
							$visit = "";
						}
						else if (!empty($_POST['visit'])){
							$visit=htmlspecialchars(strip_tags($_POST['visit']));
						}
						if (empty($_POST['address'])){
							$address = "";
						}
						else if (!empty($_POST['address'])){
							$address=htmlspecialchars(strip_tags($_POST['address']));
						}
						if (empty($_POST['invited'])){
							$invited = "";
						}
						else if (!empty($_POST['invited'])){
							$invited=htmlspecialchars(strip_tags($_POST['invited']));
						}
						if (empty($_POST['evangelist'])){
							$realEvangelist = 0;
						}
						else if (!empty($_POST['evangelist'])){
							$evangelist=htmlspecialchars(strip_tags($_POST['evangelist']));
							
							$detectivequery = "SELECT * FROM members WHERE name=:name AND duplicated_id=0 LIMIT 1";
							$detectivestmt = $conn->prepare($detectivequery);
							$detectivestmt->bindParam(':name', $evangelist);
							$detectivestmt->execute();
							$detectiverow = $detectivestmt->fetch(PDO::FETCH_ASSOC);
							
							$realEvangelist = $detectiverow['id'];
						}		
						if (empty($_POST['evangelismChannel'])){
							$evangelismChannel = "";
						}
						else if (!empty($_POST['evangelismChannel'])){
							$evangelismChannel=htmlspecialchars(strip_tags($_POST['evangelismChannel']));
						}
						if (empty($_POST['staywithus'])){
							$staywithus = "";
						}
						else if (!empty($_POST['staywithus'])){
							$staywithus=htmlspecialchars(strip_tags($_POST['staywithus']));
						}
						if (empty($_POST['department'])){
							$department = 0;
						}
						else if (!empty($_POST['department'])){
							$department=htmlspecialchars(strip_tags($_POST['department']));
						}
						
						$ftquery = "INSERT INTO firsttimers SET name=:name, phone=:phone, dob=:dob, gender=:gender, age=:age, country=:country, occupation=:occupation, visit=:visit, address=:address, invited=:invited,
						evangelist=:evangelist, evangelismChannel=:evangelismChannel, staywithus=:staywithus, departmentId=:department";
						
						$ftstmt = $conn->prepare($ftquery);
						
						$ftstmt->bindParam(':name', $name);
						$ftstmt->bindParam(':phone', $phone);
						$ftstmt->bindParam(':dob', $dob);
						$ftstmt->bindParam(':gender', $gender);
						$ftstmt->bindParam(':age', $age);
						$ftstmt->bindParam(':country', $country);
						$ftstmt->bindParam(':occupation', $occupation);
						$ftstmt->bindParam(':visit', $visit);
						$ftstmt->bindParam(':address', $address);
						$ftstmt->bindParam(':invited', $invited);
						$ftstmt->bindParam(':evangelist', $realEvangelist);
						$ftstmt->bindParam(':evangelismChannel', $evangelismChannel);
						$ftstmt->bindParam(':staywithus', $staywithus);
						$ftstmt->bindParam(':department', $department);
						
						if($ftstmt->execute()){
							echo "<div class='alert alert-success'>Record was saved.</div>";
						}else{
							echo "<div class='alert alert-danger'>Error occured!!!</div>";
						}
					}
				?>
                    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]) ?>" method="POST">
                        <div class="row">
                            <div class="col col-md-6">
                                <input type="text" name="name" class="form-control" placeholder="Full name" required>
                            </div>
                            <div class="col col-md-3">
                                <input type="number" min="0" name="phone" class="form-control" placeholder="Contact">
                            </div>
                            <div class="col col-md-3">
                                <input type="date" min="0" name="dob" class="form-control" >
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col col-md-3">
                                <select type="text" name="gender" class="form-control" placeholder="Gender" required>
                                    <option value="Male">Male</option>
                                    <option value="Female">Female</option>
                                </select>
                            </div>
                            <div class="col col-md-2">
                                <input type="number" min="0" name="age" class="form-control" placeholder="Age" >
                            </div>
                            <div class="col col-md-4">
                                <select type="text" name="country" class="form-control" required>
                                    <?php include "includes/countryList.php"; ?>
                                </select>
                            </div>
                            <div class="col col-md-3">
                                <input type="text" min="0" name="occupation" class="form-control" placeholder="Occupation">
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col col-md-2">
                                <select type="text" name="visit" class="form-control" placeholder="Visit">
                                    <option disabled selected hidden>Love to be visited?</option>
                                    <option value="Yes">Yes</option>
                                    <option value="No">No</option>
                                </select>
                            </div>
                            <div class="col col-md-4">
                                <input type="text" name="address" class="form-control" placeholder="Address">
                            </div>
                            <div class="col col-md-3">
                                <select type="text" id="howyouheard" name="invited" class="form-control" placeholder="Gender">
                                    <option disabled selected hidden>Who or what invited you?</option>
                                    <option value="Transformers Tv">Transformers Tv</option>
                                    <option value="Social Media">Social Media</option>
                                    <option value="Flyer">Flyer</option>
                                    <option value="Holy Spirit">Holy Spirit</option>
                                    <option value="Evangelist">Evangelist</option>
                                    <option value="Others">Others</option>
                                </select>
                            </div>
                            <div class="col col-md-3" id="evengelistDiv">
                                <div id="evangelistMember">
                                    <input class="form-control" type="text" id="" placeholder="Name of evangelist" name="evangelist" list="evangelist-list" required>
                                    <datalist id="evangelist-list" >
										<?php 
											$evanquery = "SELECT * FROM members WHERE duplicated_id=0";
											$evanstmt = $conn->prepare($evanquery);
											$evanstmt->execute();
											while($evanrow = $evanstmt->fetch(PDO::FETCH_ASSOC)){
												echo "<option value='{$evanrow['name']}'>";
											}
										?>
                                    </datalist>
                                </div>
                            </div>
                            <div class="col col-sm-3" id="othersDiv">
                                <div id="otherevangelist">
                                    <input class="form-control" type="text" id="" placeholder="Tell how you heard about us" name="evangelismChannel" >
                                </div>
                            </div>
                        </div>
                        <br><br>
                        <div class="row">
                            <div class="col col-md-3">
                                <select type="text" id="staying" name="staywithus" class="form-control" placeholder="Gender" >
                                    <option disabled selected hidden>Would you stay with us?</option>
                                    <option value="Yes">Yes</option>
                                    <option value="No">No</option>
                                    <option value="Making up my mind">Making up my mind</option>
                                    <option value="Just Visiting">Just Visiting</option>
                                </select>
                            </div>
                            <div class="col col-sm-3" id="stayingDiv">
                                <div id="stayingDep">
                                    <select type="text" id="staying" name="department" class="form-control" placeholder="Gender" >
                                        <option disabled selected hidden>Tell us your prefered department</option>
										<?php 
											$depquery = "SELECT * FROM departments WHERE action != 'Suspended' ";
											$depstmt = $conn->prepare($depquery);
											$depstmt->execute();
											while($deprow = $depstmt->fetch(PDO::FETCH_ASSOC)){
												echo "<option value='{$deprow['id']}'>{$deprow['name']}</option>";
											}
										?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        </div>
                        <br><br>
                        <div class="main text-center">
                            <button name="firsttimer" type="submit" class="button">Register</button>
                        </div>
                        <br><br>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>


<script>
    $("#howyouheard").change(function() {
    if ($(this).val() == "Evangelist") {
      $('#evengelistDiv').show();
      $('#evangelistMember').attr('required', '');
      $('#evangelistMember').attr('data-error', 'This field is required.');
    } else {
      $('#evengelistDiv').hide();
      $('#evangelistMember').removeAttr('required');
      $('#evangelistMember').removeAttr('data-error');
    }
  });
  
  $("#howyouheard").trigger("change");


  $("#howyouheard").change(function() {
    if ($(this).val() == "Others") {
      $('#othersDiv').show();
      $('#otherevangelist').attr('required', '');
      $('#otherevangelist').attr('data-error', 'This field is required.');
    } else {
      $('#othersDiv').hide();
      $('#otherevangelist').removeAttr('required');
      $('#otherevangelist').removeAttr('data-error');
    }
  });
  
  $("#howyouheard").trigger("change");


  $("#staying").change(function() {
    if ($(this).val() == "Yes") {
      $('#stayingDiv').show();
      $('#stayingDep').attr('required', '');
      $('#stayingDep').attr('data-error', 'This field is required.');
    } else {
      $('#stayingDiv').hide();
      $('#stayingDep').removeAttr('required');
      $('#stayingDep').removeAttr('data-error');
    }
  });
  
  $("#staying").trigger("change");
</script>

<?php
include "includes/footer.php" ;
?>