<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Student
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="homeCard">
			<div class="card-content">
				<div class="card-header">
					<h3>Registration form </h3>
				</div>
				<div class="card-body">
				<?php
				
								$badgequery = "SELECT * FROM academic_badge WHERE isOpen=1";
								$badgestmt = $conn->prepare($badgequery);
								$badgestmt->execute();
								$badgerow = $badgestmt->fetch(PDO::FETCH_ASSOC);
				
if(isset($_POST['registerStudent'])){
 
    // include database connection
    include 'database/config2.php';
 
    try{
		
        $entrancetype=htmlspecialchars(strip_tags($_POST['entrancetype']));
        $memberName=htmlspecialchars(strip_tags($_POST['memberName']));


$query2 = "SELECT * FROM members WHERE name=:name AND duplicated_id = 0 LIMIT 1";
 $stmt2 = $conn->prepare($query2);
 $stmt2->bindParam(':name', $memberName);
 $stmt2->execute();
 $num2=$stmt2->rowCount();
 $row2=$stmt2->fetch(PDO::FETCH_ASSOC);
 
        $badge=htmlspecialchars(strip_tags($_POST['badge']));
		
        $submit=htmlspecialchars(strip_tags($_POST['submission']));
		
		if($submit == 'Yes'){
			$isSubmit = 1;
		} else if($submit == 'No'){
			$isSubmit = 0;
		}
		
        $date=htmlspecialchars(strip_tags($_POST['date']));
        $matricule=htmlspecialchars(strip_tags($_POST['matricule']));
        $sponsor_name=htmlspecialchars(strip_tags($_POST['sname']));
        $relationship_with_sponsor=htmlspecialchars(strip_tags($_POST['srelationship']));
        $sponsor_occupation=htmlspecialchars(strip_tags($_POST['soccupation']));
        $sponsor_telephone=htmlspecialchars(strip_tags($_POST['stel']));
        $studentName=htmlspecialchars(strip_tags($_POST['visitorname']));
        $nidNumber=htmlspecialchars(strip_tags($_POST['nid']));
        $dob=htmlspecialchars(strip_tags($_POST['age']));
        $address=htmlspecialchars(strip_tags($_POST['address']));
        $country=htmlspecialchars(strip_tags($_POST['country']));
        $education=htmlspecialchars(strip_tags($_POST['education']));
        $maritalStatus=htmlspecialchars(strip_tags($_POST['status']));
        $baptism=htmlspecialchars(strip_tags($_POST['baptism']));
        $attendedBibleSchool=htmlspecialchars(strip_tags($_POST['history']));
        $church=htmlspecialchars(strip_tags($_POST['church']));
        $telephone=htmlspecialchars(strip_tags($_POST['tel']));
        $gender=htmlspecialchars(strip_tags($_POST['sex']));
        $reason=htmlspecialchars(strip_tags($_POST['details']));
		
				$passportPhoto1=!empty($_FILES["photo"]["name"])
				? sha1_file($_FILES['photo']['tmp_name']) . "-" . basename($_FILES["photo"]["name"])
				: "";
		$passportPhoto=htmlspecialchars(strip_tags($passportPhoto1));
		
		$motivation_letter1=!empty($_FILES["motivation_letter"]["name"])
        ? sha1_file($_FILES['motivation_letter']['tmp_name']) . "-" . basename($_FILES["motivation_letter"]["name"])
        : "";
		$motivation_letter=htmlspecialchars(strip_tags($motivation_letter1));

		$application_letter1=!empty($_FILES["application_letter"]["name"])
        ? sha1_file($_FILES['application_letter']['tmp_name']) . "-" . basename($_FILES["application_letter"]["name"])
        : "";
		$application_letter=htmlspecialchars(strip_tags($application_letter1));
 
		$idnum = rand();


		if($entrancetype == 'Member'){
			$query = "INSERT INTO atbistudents SET student_type=:student_type, memberId=:memberId, badge=:badge, isSubmit=:isSubmit, date=:date, matricule=:matricule, motivation_letter=:motivation_letter, application_letter=:application_letter, 
			sponsor_name=:sponsor_name, relationship_with_sponsor=:relationship_with_sponsor, sponsor_occupation=:sponsor_occupation, sponsor_telephone=:sponsor_telephone, idnum=:idnum, isStudent=1";
			
			 $stmt = $conn->prepare($query);
 
        // bind the parameters
        $stmt->bindParam(':memberId', $row2['id']);
        $stmt->bindParam(':student_type', $entrancetype);
        $stmt->bindParam(':badge', $badgerow['id']);
        $stmt->bindParam(':isSubmit', $isSubmit);
        $stmt->bindParam(':date', $date);
        $stmt->bindParam(':matricule', $matricule);
        $stmt->bindParam(':motivation_letter', $motivation_letter);
        $stmt->bindParam(':application_letter', $application_letter);
        $stmt->bindParam(':sponsor_name', $sponsor_name);
        $stmt->bindParam(':relationship_with_sponsor', $relationship_with_sponsor);
        $stmt->bindParam(':sponsor_occupation', $sponsor_occupation);
        $stmt->bindParam(':sponsor_telephone', $sponsor_telephone);
        $stmt->bindParam(':idnum', $idnum);
			
			
			
			
			
			if($num2 > 0){
				if($stmt->execute()){
					echo "<div class='alert alert-success'>Record was saved.</div>";
				
					if($motivation_letter){
							// sha1_file() function is used to make a unique file name
							$target_directory = "atbimotivationLetters/";
							$target_file = $target_directory . $motivation_letter;
							$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
						 
							// error message is empty
							$file_upload_error_messages="";
						 // make sure file does not exist
						if(file_exists($target_file)){
							$file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
						}
						 
						 // make sure submitted file is not too large, can't be larger than 1 MB
						if($_FILES['motivation_letter']['size'] > (5120000)){
							$file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
						}
						 
						if(!is_dir($target_directory)){
							mkdir($target_directory, 0777, true);
						}
						 


						// if $file_upload_error_messages is still empty
						if(empty($file_upload_error_messages)){
							// it means there are no errors, so try to upload the file
							if(move_uploaded_file($_FILES["motivation_letter"]["tmp_name"], $target_file)){
								// it means photo was uploaded
							}else{
								echo "<div class='alert alert-danger'>
									<div>Unable to upload file.</div>
									<div>Update the record to upload file.</div>
								</div>";
							}
						}
						 
						// if $file_upload_error_messages is NOT empty
						else{
							// it means there are some errors, so show them to user
							echo "<div class='alert alert-danger'>
								<div>{$file_upload_error_messages}</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					
					if($application_letter){

							// sha1_file() function is used to make a unique file name
							$target_directory = "atbiapplicationLetters/";
							$target_file = $target_directory . $application_letter;
							$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
						 
							// error message is empty
							$file_upload_error_messages="";
						 // make sure file does not exist
						if(file_exists($target_file)){
							$file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
						}
						 
						 // make sure submitted file is not too large, can't be larger than 1 MB
						if($_FILES['application_letter']['size'] > (5120000)){
							$file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
						}
						 
						if(!is_dir($target_directory)){
							mkdir($target_directory, 0777, true);
						}
						 


						// if $file_upload_error_messages is still empty
						if(empty($file_upload_error_messages)){
							// it means there are no errors, so try to upload the file
							if(move_uploaded_file($_FILES["application_letter"]["tmp_name"], $target_file)){
								// it means photo was uploaded
							}else{
								echo "<div class='alert alert-danger'>
									<div>Unable to upload file.</div>
									<div>Update the record to upload file.</div>
								</div>";
							}
						}
						 
						// if $file_upload_error_messages is NOT empty
						else{
							// it means there are some errors, so show them to user
							echo "<div class='alert alert-danger'>
								<div>{$file_upload_error_messages}</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					
				}else{
					echo "<div class='alert alert-danger'>Unable to save record.</div>";
				}
			} else {
					echo "<div class='alert alert-danger'>Please we cannot identify this member, check his/her name again!!!</div>";
			}
			
			
			
			
		} else if($entrancetype == 'Visitor'){
			$query = "INSERT INTO atbistudents SET student_type=:student_type, studentName=:studentName, badge=:badge, isSubmit=:isSubmit, date=:date, passportPhoto=:passportPhoto, nidNumber=:nidNumber, dob=:dob, address=:address, country=:country,
			education=:education, maritalStatus=:maritalStatus, baptism=:baptism, attendedBibleSchool=:attendedBibleSchool, church=:church, telephone=:telephone, gender=:gender, reason=:reason, matricule=:matricule, 
			motivation_letter=:motivation_letter, application_letter=:application_letter, sponsor_name=:sponsor_name, relationship_with_sponsor=:relationship_with_sponsor, sponsor_occupation=:sponsor_occupation, 
			sponsor_telephone=:sponsor_telephone, idnum=:idnum, isStudent=1";
			
			 $stmt = $conn->prepare($query);
 
        // bind the parameters
        $stmt->bindParam(':student_type', $entrancetype);
        $stmt->bindParam(':badge', $badgerow['id']);
        $stmt->bindParam(':isSubmit', $isSubmit);
        $stmt->bindParam(':date', $date);
        $stmt->bindParam(':matricule', $matricule);
        $stmt->bindParam(':motivation_letter', $motivation_letter);
        $stmt->bindParam(':application_letter', $application_letter);
        $stmt->bindParam(':sponsor_name', $sponsor_name);
        $stmt->bindParam(':relationship_with_sponsor', $relationship_with_sponsor);
        $stmt->bindParam(':sponsor_occupation', $sponsor_occupation);
        $stmt->bindParam(':sponsor_telephone', $sponsor_telephone);
        $stmt->bindParam(':studentName', $studentName);
        $stmt->bindParam(':passportPhoto', $passportPhoto);
        $stmt->bindParam(':nidNumber', $nidNumber);
        $stmt->bindParam(':dob', $dob);
        $stmt->bindParam(':address', $address);
        $stmt->bindParam(':country', $country);
        $stmt->bindParam(':education', $education);
        $stmt->bindParam(':attendedBibleSchool', $attendedBibleSchool);
        $stmt->bindParam(':maritalStatus', $maritalStatus);
        $stmt->bindParam(':baptism', $baptism);
        $stmt->bindParam(':church', $church);
        $stmt->bindParam(':telephone', $telephone);
        $stmt->bindParam(':gender', $gender);
        $stmt->bindParam(':reason', $reason);
		        $stmt->bindParam(':idnum', $idnum);

		
		if($stmt->execute()){
					echo "<div class='alert alert-success'>Record was saved.</div>";
					
						
				if($passportPhoto){
				 
					// sha1_file() function is used to make a unique file name
					$target_directory = "atbipasportphotos/";
					$target_file = $target_directory . $passportPhoto;
					$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
				 
					// error message is empty
					$file_upload_error_messages="";
					// make sure that file is a real image
					$check = getimagesize($_FILES["photo"]["tmp_name"]);
					if($check!==false){
						// submitted file is an image
					}else{
						$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
					}
					// make sure certain file types are allowed
					$allowed_file_types=array("jpg", "jpeg", "png", "gif");
					if(!in_array($file_type, $allowed_file_types)){
						$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
					}
					// make sure file does not exist
					if(file_exists($target_file)){
						$file_upload_error_messages.="<div>Image already exists. Try to change file name.</div>";
					}
					// make sure submitted file is not too large, can't be larger than 1 MB
					if($_FILES['photo']['size'] > (5120000)){
						$file_upload_error_messages.="<div>Image must be less than 5 MB in size.</div>";
					}
					// make sure the 'uploads' folder exists
					// if not, create it
					if(!is_dir($target_directory)){
						mkdir($target_directory, 0777, true);
					}
					// if $file_upload_error_messages is still empty
					if(empty($file_upload_error_messages)){
						// it means there are no errors, so try to upload the file
						if(move_uploaded_file($_FILES["photo"]["tmp_name"], $target_file)){
							// it means photo was uploaded
						}else{
							echo "<div class='alert alert-danger'>
								<div>Unable to upload photo.</div>
								<div>Update the record to upload photo.</div>
							</div>";
						}
					}
					 
					// if $file_upload_error_messages is NOT empty
					else{
						// it means there are some errors, so show them to user
						echo "<div class='alert alert-danger'>
							<div>{$file_upload_error_messages}</div>
							<div>Update the record to upload photo.</div>
						</div>";
					}
				}
					
					if($motivation_letter){
 
							// sha1_file() function is used to make a unique file name
							$target_directory = "atbimotivationLetters/";
							$target_file = $target_directory . $motivation_letter;
							$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
						 
							// error message is empty
							$file_upload_error_messages="";
						 
						 // make sure submitted file is not too large, can't be larger than 1 MB
						if($_FILES['motivation_letter']['size'] > (5120000)){
							$file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
						}
						 
						if(!is_dir($target_directory)){
							mkdir($target_directory, 0777, true);
						}
						 


						// if $file_upload_error_messages is still empty
						if(empty($file_upload_error_messages)){
							// it means there are no errors, so try to upload the file
							if(move_uploaded_file($_FILES["motivation_letter"]["tmp_name"], $target_file)){
								// it means photo was uploaded
							}else{
								echo "<div class='alert alert-danger'>
									<div>Unable to upload file.</div>
									<div>Update the record to upload file.</div>
								</div>";
							}
						}
						 
						// if $file_upload_error_messages is NOT empty
						else{
							// it means there are some errors, so show them to user
							echo "<div class='alert alert-danger'>
								<div>{$file_upload_error_messages}</div>
								<div>Update the record to upload file.</div>
							</div>";
						}
					}
					
					
					if($application_letter){
 
							// sha1_file() function is used to make a unique file name
							$target_directory = "atbiapplicationLetters/";
							$target_file = $target_directory . $application_letter;
							$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
						 
							// error message is empty
							$file_upload_error_messages="";

						if($_FILES['application_letter']['size'] > (5120000)){
							$file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
						}
						 
						if(!is_dir($target_directory)){
							mkdir($target_directory, 0777, true);
						}
						 


						// if $file_upload_error_messages is still empty
						if(empty($file_upload_error_messages)){
							// it means there are no errors, so try to upload the file
							if(move_uploaded_file($_FILES["application_letter"]["tmp_name"], $target_file)){
								// it means photo was uploaded
							}else{
								echo "<div class='alert alert-danger'>
									<div>Unable to upload file.</div>
									<div>Update the record to upload file.</div>
								</div>";
							}
						}
						 
						// if $file_upload_error_messages is NOT empty
						else{
							// it means there are some errors, so show them to user
							echo "<div class='alert alert-danger'>
								<div>{$file_upload_error_messages}</div>
								<div>Update the record to upload file.</div>
							</div>";
						}
					}
					
				}else{
					echo "<div class='alert alert-danger'>Unable to save record.</div>";
				}
		
		
		}
 

    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post"  enctype="multipart/form-data">
						<div class="row">
							<div class="col col-2">
								<label for="entrancetype">Student Type <span class="reqired">*</span></label>
								<select type="text" id="entrancetype" name="entrancetype" class="form-control" placeholder="entrancetype" required>
									<option disabled selected hidden></option>
									<option value="Member">Member</option>
									<option value="Visitor">Non-member</option>
								</select>
							</div>
							<div class="col col-3" id="MemberDiv">
								<label for="memberName">Member's Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Name of Member" name="memberName" list="memberName">
								<datalist id="memberName" >
								<?php
									$memberquery = "SELECT * FROM members WHERE duplicated_id=0";
									$memberstmt = $conn->prepare($memberquery);
									$memberstmt->execute();
									while($memberrow = $memberstmt->fetch(PDO::FETCH_ASSOC)){
										echo "<option value='{$memberrow['name']}'>";
									}
								?>
								</datalist>
							</div>
							<div class="col col-3" id="visitorDiv" class="">
								<label for="visitorname">Student's Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Name of Student" name="visitorname" list="visitorname">
								
									<br>
                                <label for="photo">Pasport Photo <span class="reqired">*</span></label>
								<input type="file" class="form-control" name="photo">
									<br>
								<label for="nid">NID Number <span class="reqired">*</span></label>
								<input type="text" class="form-control" name="nid">
									<br>
                                <label for="age">DOB <span class="reqired">*</span></label>
								<input type="date" class="form-control" name="age">
									<br>
								<label for="address">Country <span class="reqired">*</span></label>
								<input type="text" class="form-control" name="country">
									<br>
                                <label for="address">Address <span class="reqired">*</span></label>
								<input type="text" class="form-control" name="address">
									<br>
                                <label for="education">Highest Level of Education <span class="reqired">*</span></label>
								<input type="text" class="form-control" name="education">
									<br>
                                <label for="status">Marital Status <span class="reqired">*</span></label>
								<select type="text" class="form-control" name="status">
									<option value="Single">Single</option>
									<option value="Married">Married</option>
								</select>
                                <br>
                                <label for="baptism">Baptised<span class="reqired">*</span></label>
								<select type="text" class="form-control" name="baptism">
									<option value="Baptised but not immersion">Baptised but not immersion</option>
									<option value="Baptised by immersion">Baptised by immersion</option>
									<option value="No">No</option>
								</select>
                                <br>
                                <label for="history">Attended Any Bible School Before<span class="reqired">*</span></label>
								<select type="text" class="form-control" name="history">
									<option value="Yes">Yes</option>
									<option value="No">No</option>
								</select>
                                <br>
                                <label for="church">Name of your Church <span class="reqired">*</span></label>
								<input type="text" class="form-control" name="church">
									<br>
								<label for="tel">Phone <span class="reqired">*</span></label>
								<input type="number" class="form-control" name="tel">
									<br>
								<label for="sex">Gender <span class="reqired">*</span></label>
								<select type="text" class="form-control" name="sex">
									<option value="Male">Male</option>
									<option value="Female">Female</option>
								</select>
									<br>
								<label for="details">Why did you choose LTM</label>
								<textarea class="form-control" placeholder="Tell us why you choose LTM" name="details" id="" cols="30" rows="4"></textarea>
							</div>

							<div class="col col-3">
                                <label for="badge">Badge <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Badge" value="<?php echo htmlspecialchars($badgerow['name'], ENT_QUOTES)?>" name="badge" readonly required>
							</div>
							<div class="col col-2">
								<label for="submission">Submit in LTM? <span class="reqired">*</span></label>
								<select class="form-control" type="text" id="" placeholder="submission" name="submission" required>
									<option value="Yes">Yes</option>
									<option value="No">No</option>
								</select>
							</div>
							<div class="col col-2">
								<label for="date">Date <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="date" placeholder="<?php echo date("l d M Y");?>" value="<?php echo date("Y-m-d");?>" name="date" readonly>
							</div>
						</div>
						<br>
						<div class="row">
							<div class="col col-md-3">
								<label for="matricule">Matricule <span class="reqired">*</span></label>
                                <input type="text" name="matricule" value="PC21-<?php echo(rand(100,1000));echo $rand;?>" class="form-control" placeholder="matricule" readonly>
                            </div>
                            <div class="col col-md-3">
								<label for="motivation">Motivation Letter <span class="reqired">*</span></label>
                                <input type="file" name="motivation_letter" class="form-control" placeholder="motivation" required>
                            </div>
                            <div class="col col-md-3">
								<label for="application">Application Letter <span class="reqired">*</span></label>
                                <input type="file" name="application_letter" class="form-control" placeholder="application" required>
                            </div>
						</div>
						<br>
                        <hr>
                            <h3>Sponsor information </h3>
                                <br>
                           <div class="row">
                                <div class="col col-md-3">
                                    <label for="sname">Name <span class="reqired">*</span></label>
                                    <input type="text" name="sname" class="form-control" placeholder="Name" required>
                                </div>
                                <div class="col col-md-3">
                                    <label for="srelationship">Relationship <span class="reqired">*</span></label>
                                    <input type="text" name="srelationship" class="form-control" placeholder="Whats your relationship" required>
                                </div>
                                <div class="col col-md-3">
                                    <label for="soccupation">Occupation <span class="reqired">*</span></label>
                                    <input type="text" name="soccupation" class="form-control" placeholder="Occupation" required>
                                </div>
                                <div class="col col-md-3">
                                    <label for="stel">Phone <span class="reqired">*</span></label>
                                    <input type="number" name="stel" class="form-control" placeholder="Telephone" required>
                                </div>
                           </div>
                            <br>
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked" required>
                            <label class="form-check-label text-danger" for="flexCheckChecked">
                                Yes I agree to adhere to every rules and regulations of this bible institute and to respect the administration of the church
                            </label>
                        </div>

						<!-- 	
							Ticket number auto generates from backend and adds on receipt frontend 
							while also stored in the database for verification purposes 
						-->
						<input type="text" name="ticketnumber" value="<?php echo(rand()); ?>" style="display:none">

                        <div class="main text-center">
                            <button name="registerStudent" type="submit" class="button">Enrol</button>
                        </div>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>



<script>

	// luggage registration
	$("#luggage").change(function() {
    if ($(this).val() == "Yes") {
      $('#luggageDiv').show();
      $('#luggageInfo').attr('required', '');
      $('#luggageInfo').attr('data-error', 'This field is required.');
    } else {
      $('#luggageDiv').hide();
      $('#luggageInfo').removeAttr('required');
      $('#luggageInfo').removeAttr('data-error');
    }
  });
  
  $("#luggage").trigger("change");

  // Car | Bile Registration
  $("#hascars").change(function() {
    if ($(this).val() == "Yes") {
      $('#carDiv').show();
      $('#carInfo').attr('required', '');
      $('#carInfo').attr('data-error', 'This field is required.');
    } else {
      $('#carDiv').hide();
      $('#carInfo').removeAttr('required');
      $('#carInfo').removeAttr('data-error');
    }
  });
  
  $("#hascars").trigger("change");

  // member name registration
  $("#entrancetype").change(function() {
    if ($(this).val() == "Member") {
      $('#MemberDiv').show();
      $('#memberName').attr('required', '');
      $('#memberName').attr('data-error', 'This field is required.');
    } else {
      $('#MemberDiv').hide();
      $('#memberName').removeAttr('required');
      $('#memberName').removeAttr('data-error');
    }
  });
  
  $("#entrancetype").trigger("change");


  // Visitors name registration
  $("#entrancetype").change(function() {
    if ($(this).val() == "Visitor") {
      $('#visitorDiv').show();
      $('#visitorname').attr('required', '');
      $('#visitorname').attr('data-error', 'This field is required.');
    } else {
      $('#visitorDiv').hide();
      $('#visitorname').removeAttr('required');
      $('#visitorname').removeAttr('data-error');
    }
  });
  
  $("#entrancetype").trigger("change");

</script>
<?php
include "includes/footer.php" ;
?>