<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Course
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="homeCard">
			<div class="card-content">
				<div class="card-header">
					<h3>Add new Course </h3>
				</div>
				<div class="card-body">
				
				<?php
					if(isset($_POST['addCourse'])){
						$coursequery = "INSERT INTO atbicourses SET name=:name, code=:code, standard=:standard, cv=:cv, isActive=1";
						$coursestmt = $conn->prepare($coursequery);
						
						$name=htmlspecialchars(strip_tags($_POST['courseName']));
						$code=htmlspecialchars(strip_tags($_POST['courseCode']));
						$standard=htmlspecialchars(strip_tags($_POST['standard']));
						$cv=htmlspecialchars(strip_tags($_POST['cv']));
				 
						$coursestmt->bindParam(':name', $name);
						$coursestmt->bindParam(':code', $code);
						$coursestmt->bindParam(':standard', $standard);
						$coursestmt->bindParam(':cv', $cv);
						
						if($coursestmt->execute()){
							echo "<div class='alert alert-success'>Course successfully added.</div>";
						} else {
							echo "<div class='alert alert-danger'>Unable to add course.</div>";
						}
					}
				?>
				
					<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"])?>" method="POST">
						<div class="row">
							<div class="col col-3" id="MemberDiv">
								<label for="memberName">Course Title <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Course Title" name="courseName" list="memberName">
								
							</div>
							
							<div class="col col-3">
                                <label for="badge">Course Code <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Badge" value="PC-<?php echo(rand(100,1000));?>" name="courseCode" readonly required>
							</div>
							<div class="col col-2">
								<label for="submission">Standard <span class="reqired">*</span></label>
								<select class="form-control" type="text" id="" placeholder="submission" name="standard" required>
									<option value="Major">Major</option>
									<option value="Minor">Minor</option>
								</select>
							</div>
							<div class="col col-2">
								<label for="date">Credit Value <span class="reqired">*</span></label>
								<input class="form-control" type="number" max="6" id="date" placeholder="CV" name="cv" required>
							</div>
						</div>
						<br>
                        <div class="main text-center">
                            <button name="addCourse" type="submit" class="button"><i class="fas fa-plus"></i> Add</button>
                        </div>
                        <br>
                        <hr>
                        <br>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-3"></div>
            <div class="col col-md-6">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header"><h5><i class="fas fa-list"></i> All Courses</h5></div>
                        <div class="card-body">
						
						
						<?php
							$allCourses = "SELECT * FROM atbicourses WHERE isActive=1 ORDER BY id DESC";
							$allstmt = $conn->prepare($allCourses);
							$allstmt->execute();
							$allnum = $allstmt->rowCount();
							$number = 0;
							if($allnum > 0){
								echo "
								
								<table id='table' class='table table-bordered table-striped'>
                                <thead>
                                    <tr>
                                        <th scope='col'>#</th>
                                        <th scope='col'>Course Code</th>
                                        <th scope='col'>Course name</th>
                                        <th scope='col'>Standard</th>
                                        <th scope='col'>CV</th>
                                        <th scope='col' class='text-center'>Action</th>
                                    </tr>
                                </thead> 
                                <tbody>";
								
								while($allrow = $allstmt->fetch(PDO::FETCH_ASSOC)){
									$number++;
									echo "
									
									<tr>
                                        <td>{$number}</td>
                                        <td>{$allrow['code']}</td>
                                        <td>{$allrow['name']}</td>
                                        <td>{$allrow['standard']}</td>
                                        <td>{$allrow['cv']}</td>
                                        <td class='d-flex text-center'>
                                            <a href='edit_course.php?id={$allrow['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
                                            <button onclick='delete_course({$allrow['id']});' class='btn btn-danger' id='deletusers'>
                                                <i class='far fa-trash-alt'></i>
                                            </button>
                                        </td>
                                    </tr>
									";
								}
								
							} else {
															echo "<div class='alert alert-danger'>No courses created yet.</div>";

							}
						?>
						
                                </tbody> 
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-3"></div>
        </div>
    </div>
</section>

<script type='text/javascript'>
// confirm record deletion
function delete_course( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteCourse.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>



<?php
include "includes/footer.php" ;
?>