<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	include "database/config2.php";
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Course
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="homeCard">
			<div class="card-content">
				<div class="card-header">
					<h3>Add new Zone </h3>
				</div>
				<div class="card-body">
				
				<?php
					if(isset($_POST['addZone'])){
						$zonequery = "INSERT INTO zones SET name=:name, code=:code, coverage=:coverage";
						$zonestmt = $conn->prepare($zonequery);
						
						$name=htmlspecialchars(strip_tags($_POST['zoneName']));
						$code=htmlspecialchars(strip_tags($_POST['zoneCode']));
						$coverage=htmlspecialchars(strip_tags($_POST['coverage']));
				 
						$zonestmt->bindParam(':name', $name);
						$zonestmt->bindParam(':code', $code);
						$zonestmt->bindParam(':coverage', $coverage);
						
						if($zonestmt->execute()){
							echo "<div class='alert alert-success'>Zone successfully added.</div>";
						} else {
							echo "<div class='alert alert-danger'>Unable to add zone.</div>";
						}
					}
				?>
				
					<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"])?>" method="POST">
						<div class="row">
							<div class="col col-4" id="MemberDiv">
								<label for="memberName">Zone Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Zone name" name="zoneName">						
							</div>
							
							<div class="col col-4">
                                <label for="badge">Zone Code <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Badge" value="PC-<?php echo(rand(100,1000));?>" name="zoneCode" readonly required>
							</div>

                            <div class="col col-4">
								<label for="submission">Coverage <span class="reqired">*</span></label>
                                <textarea id="" cols="30" rows="3" class="form-control" type="text" id="" placeholder="Please explain the coverage of this zone" name="coverage" required></textarea>
							</div>
						</div>
						<br>
                        <div class="main text-center">
                            <button name="addZone" type="submit" class="button"><i class="fas fa-plus"></i> Add Zone</button>
                        </div>
                        <br>
                        <hr>
                        <br>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-3"></div>
            <div class="col col-md-6">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header"><h5><i class="fas fa-list"></i> All Zones</h5></div>
                        <div class="card-body">
						
						<?php
							$allZones = "SELECT * FROM zones ORDER BY id DESC";
							$allstmt = $conn->prepare($allZones);
							$allstmt->execute();
							$allnum = $allstmt->rowCount();
							if($allnum > 0){
								echo "
								
								<table id='table' class='table table-bordered table-striped'>
                                <thead>
                                    <tr>
                                        <th scope='col'>Zone Name</th>
                                        <th scope='col'>Zone Code</th>
                                        <th scope='col'>Coverage</th>
                                        <th scope='col' class='text-center'>Action</th>
                                    </tr>
                                </thead> 
                                <tbody>";
								
								while($allrow = $allstmt->fetch(PDO::FETCH_ASSOC)){
									echo "
									
									<tr>
                                        <td>{$allrow['name']}</td>
                                        <td>{$allrow['code']}</td>
                                        <td>{$allrow['coverage']}</td>
                                        <td class='d-flex text-center'>
                                            <a href='edit_zone.php?id={$allrow['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
                                            <button onclick='delete_zone({$allrow['id']});' class='btn btn-danger' id='deletusers'>
                                                <i class='far fa-trash-alt'></i>
                                            </button>
                                        </td>
                                    </tr>
									
									";
								}
								
							} else {
							echo "<div class='alert alert-danger'>No zones created yet.</div>";

							}
						?>
						
                            
                                    
                                   
                                </tbody> 
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-3"></div>
        </div>
    </div>
</section>

<script type='text/javascript'>
// confirm record deletion
function delete_zone( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteZone.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>


<?php
include "includes/footer.php" ;
?>