<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Branches 
					</h3>
					
					<p class="text-subtitle text-muted">Create more church branches 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add branch</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
	<div class="container-fluid">
		<div class="card">
			<div class="card-body">
			
			<?php
					if (isset($_POST['create_branch'])) {
				 
					include 'database/config2.php';
				 
					try{		 
						// insert query
						$query = "INSERT INTO branches SET name=:name, date_of_creation=:date_of_creation, country=:country, zoneId=:zoneId, branch_location=:branch_location, uname=:uname, password=:password, telephone=:telephone, acc_number=:acc_number";
						$stmt = $conn->prepare($query);
				 
						// posted values
						$name=htmlspecialchars(strip_tags($_POST['dptname']));
						$date_of_creation=date("Y-m-d");
						$country=htmlspecialchars(strip_tags($_POST['country']));
						$zoneId=htmlspecialchars(strip_tags($_POST['zoneId']));
						$branch_location=htmlspecialchars(strip_tags($_POST['branch_location']));
						$uname=htmlspecialchars(strip_tags($_POST['uname']));
						$password=md5(htmlspecialchars(strip_tags($_POST['pword'])));
						$cpword=md5(htmlspecialchars(strip_tags($_POST['cpword'])));
						$telephone=htmlspecialchars(strip_tags($_POST['telephone']));
						
						$digits = 10;
						$result = strtolower(substr($name, 0, 3));
						$acc_number = $result.rand(pow(10, $digits-1), pow(10, $digits)-1);

						// bind the parameters
						$stmt->bindParam(':name', $name);
						$stmt->bindParam(':date_of_creation', $date_of_creation);
						$stmt->bindParam(':country', $country);
						$stmt->bindParam(':zoneId', $zoneId);
						$stmt->bindParam(':branch_location', $branch_location);
						$stmt->bindParam(':uname', $uname);
						$stmt->bindParam(':password', $password);
						$stmt->bindParam(':telephone', $telephone);							
						$stmt->bindParam(':acc_number', $acc_number);							

								$verifyquery = "SELECT * from branches WHERE name = '$name' LIMIT 1";
								$stmt2 = $conn->prepare($verifyquery);
								$stmt2->execute();								 
								// this is how to get number of rows returned
								$num = $stmt2->rowCount();
								
								$verifyquery2 = "SELECT * from branches WHERE uname = '$uname' LIMIT 1";
								$stmtv = $conn->prepare($verifyquery2);
								$stmtv->execute();
								 
								// this is how to get number of rows returned
								$numv = $stmtv->rowCount();								
								
						if($num > 0){
							?>
							<!-- Warning Errors starts-->
							<div class="alert alert-warning" role="alert">
								<p style="color: #503e05">Branch already exist</p>
							</div>
							<!-- Warning Errors ends-->
							<?php
						}else{
								
								if($password == $cpword) //this block is to check if the password and confirm password matches
								{
									
									if (preg_match('/\s/',$uname)) // this is to ensure that the username does not concern space
									{
	?>
										<!-- Warning Errors starts-->
										<div class="alert alert-warning" role="alert">
											<p style="color: #503e05">Username should not contain space</p>
										</div>
										<!-- Warning Errors ends-->
										<?php		
									} else {
											
										if($numv > 0) // this block is to see if the username already exists
										{
											?>
											<!-- Warning Errors starts-->
											<div class="alert alert-warning" role="alert">
												<p style="color: #503e05">That username is already taken</p>
											</div>
											<!-- Warning Errors ends-->
											<?php
										}else{											
												// Execute the query
												if($stmt->execute()){
													echo "";
												}else{
													?>
													<!-- Warning Errors starts-->
													<div class="alert alert-warning" role="alert">
														<p style="color: #503e05">Unable to save record</p>
													</div>
													<!-- Warning Errors ends-->
													<?php
												}											
										}    
									}
								   
								}else{
									?>
									<!-- Warning Errors starts-->
									<div class="alert alert-warning" role="alert">
										<p style="color: #503e05">Passwords don't match</p>
									</div>
									<!-- Warning Errors ends-->
									<?php
								}	
						}
					}
				 
					// show error
					catch(PDOException $exception){
						die('ERROR: ' . $exception->getMessage());
					}
				}
			?>
			
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="POST">
					<div class="row">
						<h5 style="margin-bottom:15px">Branch Details<span class="reqired"> *</span></h5>
							
						<div class="col col-md-4">
							<input type="text" name="dptname" class="form-control" placeholder="Name of branch" required>
						</div>
						<div class="col col-md-2">
							<input type="" name="creationName" class="form-control" value="<?php echo date("l d M Y");?>" readonly>
						</div>
                        <div class="col col-md-2">
                            <select type="text" id="apphascars" name="country" class="form-control" placeholder="apphascars" required>
                                <?php include 'includes/countryList.php'?>
                            </select>
						</div>
						<div class="col col-md-2">
						
                            <select id="Region" name="zoneId" class="form-control" placeholder="Select Zone" list="Region" required>

								<?php
									echo "<option value=''></option>";								
									$zonalquery = "SELECT * FROM zones ORDER BY id DESC";
									$zonalstmt = $conn->prepare($zonalquery);
									$zonalstmt->execute();
									
									while($zonalrow = $zonalstmt->fetch(PDO::FETCH_ASSOC)){
										echo "
											<option value='{$zonalrow['id']}'>{$zonalrow['name']}</option>
										";
									}
									
								?>
                            </select>
						</div>
                        <div class="col col-md-2">
                            <textarea name="branch_location" id="" cols="30" rows="3" class="form-control" placeholder="Detailed description of branch location"></textarea>
						</div>
					</div>
					<hr>
					<div class="row">
						<h5 style="margin-bottom:15px">Branch Pastor's Login Details<span class="reqired"> *</span></h5>
							
						<div class="col col-md-3">
							<input class="form-control" type="text" id="wizards" placeholder="Username" name="uname" list="wizards-list">
						</div>
						<div class="col col-md-3">
							<input class="form-control" type="password" id="wizards" placeholder="Password" name="pword" list="wizards-list">							
						</div>
						<div class="col col-md-3">
							<input class="form-control" type="password" id="wizards" placeholder="Confirm Password" name="cpword" list="wizards-list">
						</div>
						<div class="col col-md-3">
							<input class="form-control" type="number" id="wizards" placeholder="Phone Number" name="telephone" list="wizards-list">
						</div>
					</div>
					<br>
					<div class="main">
						<button name="create_branch" type="submit" class="button">Create</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</section>
<br>
<section>
<?php
	include 'database/config2.php';
		
	$query5 = "SELECT * FROM branches ORDER BY id DESC";
	$stmt5 = $conn->prepare($query5);
	$stmt5->execute();
		
	// this is how to get number of rows returned
	$num5 = $stmt5->rowCount();
	
	
	
?>
	<div class="container-fluid">
		<div class="row">
			<div class="col-xl-5 col-md-6">
				<div class="card bg-pattern carding">
					<div class="card-body text-center">
						<a href="#">
							<i class="fas fa-file-signature fa-3x" style="color:#435ebe"></i>
							<h4> Quick Report</h4>
						</a>
					</div>
				</div>
			</div>
			<div class="col-xl-4 col-md-6">
				<div class="card bg-pattern carding">
					<div class="card-body text-center">
						<i class="fas fa-users fa-3x" style="color:#435ebe"></i>
						<h4> <?php echo $num5; if($num5 <= 1){ ?> Branch <?php } else{ ?> Branches<?php } ?></h4>
					</div>
				</div>
			</div>
			<div class="col-xl-3 col-md-6">
				<div class="card carding">
					<div class="card-body">
						<form>
							<div class="form-group mb-0">
								<label>Search</label>
								<div class="input-group mb-0">
									<input type="text" class="form-control" id="lookDpt" placeholder="Search for branch..." aria-describedby="project-search-addon" />
									<div class="input-group-append">
										<button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		</div>
		<!-- end row -->

		<div class="row">
			<div class="col-lg-12">
				<div class="card carding">
					<div class="card-body">
						<div class="table-responsive project-list">
						
						<?php
							
							 
							if($num5>0){
							 
								//start table
								echo "<table id='example' class='table project-table table-centered table-nowrap'>";
								 
									//creating our table heading
									echo "
									<thead>
									<tr>
										<th scope='col'>#</th>
										<th scope='col'>Name</th>
										<th scope='col'>Created on</th>
										<th scope='col'>Leaders</th>
										<th scope='col'>Zone</th>
										<th scope='col'>Manage</th>
									</tr>
								 	</thead>
									<tbody id='myDepts'>";

									while ($row5 = $stmt5->fetch(PDO::FETCH_ASSOC)){
									
										extract($row5);
																				$thezone = "SELECT name from zones WHERE id=$zoneId";
																				$thestmt = $conn->prepare($thezone);
																				$thestmt->execute();
																				$therow = $thestmt->fetch(PDO::FETCH_ASSOC);

										echo "
										<tr>
											<th scope='row'>{$id}</th>
											<td>{$name}</td>
											<td>" .date('l d M Y', strtotime($date_of_creation)). "</td>
											
											<td>
												
											</td>
											<td>
											{$therow['name']}
											</td>
											<td>
											<a href='viewBranch.php' style='margin-right:15px' title='View'><i class='far fa-eye h5 m-0'></i></a>
											<a href='branchList.php' style='margin-right:15px' title='Departmental List'><i class='far fa-address-book h5 m-0'></i></a>
											
											</td>

											<td>
												<div class='action'>
													<a href='editbranch.php?id={$id}' class='text-success mr-4' data-toggle='tooltip' data-placement='top' title='' data-original-title='Edit' style='margin-right:15px'> <i class='fa fa-pencil h5 m-0'></i></a>
													<a onclick='delete_user({$id});' class='text-danger' data-toggle='tooltip' data-placement='top' title='' data-original-title='Close'> <i class='fa fa-remove h5 m-0'></i></a>
												</div>
											</td>
										</tr>";
									}
								echo "</tbody>
								</table>";
							 
							}
							 
							else{
								echo "<div class='alert alert-danger'>No records found.</div>";
							}
						?>
						
						</div>
						<!-- end project-list -->

						<div class="pt-3">
							<!--ul class="pagination justify-content-end mb-0">
								<li class="page-item disabled">
									<a class="page-link" href="#" tabindex="-1" aria-disabled="true">Previous</a>
								</li>
								<li class="page-item"><a class="page-link" href="#">1</a></li>
								<li class="page-item active"><a class="page-link" href="#">2</a></li>
								<li class="page-item"><a class="page-link" href="#">3</a></li>
								<li class="page-item">
									<a class="page-link" href="#">Next</a>
								</li>
							</ul -->
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script type='text/javascript'>
// confirm record deletion
function delete_user( id ){
 
	swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteBranch.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>


<?php
include "includes/footer.php" ;
?>