<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Student Database
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<div class="row">
    <div class="col col-md-4">
        <div class="filter  ">
            <select class="form-control" name="filter" class="form-control">
                <option disable hidden>Filter by Badge</option>
                <option value="Faith and Love">Faith and Love</option>
                <option value="all">Badge of Faith and Love</option>
            </select>
        </div>
    </div>
    <div class="col col-md-1">
        <input type="submit" name="filter" value="Filter" class="btn btn-danger">
    </div>
</div>

<br>
    <hr>
<br>

<section>
<h3>Showing All Badges</h3>
    <div id="toolbar" class="select" style="display: none">
        <select class="form-control">
            <option value="">Export Basic</option>
            <option value="all">Export All</option>
            <option value="selected">Export Selected</option>
        </select>
    </div>
	<?php
	    include 'database/config2.php';
		$studentquery = "SELECT * FROM atbistudents ORDER BY id DESC";
		$studentstmt = $conn->prepare($studentquery);
		$studentstmt->execute();
		$studentnum = $studentstmt->rowCount();
		
	function age($dateob){
		    include 'database/config2.php';
	
		$date1 = strtotime($dateob); 
		$date2 = strtotime(date('Y-m-d')); 

		
		$diff = abs($date2 - $date1); 
		  
		$years = floor($diff / (365*60*60*24)); 
		return $years;
	}
		
		if($studentnum > 0){
			echo "
				<table id='table_1' class='table table-primary table-striped'
					data-show-export='true'
					data-show-print='true'
					data-pagination='true'
					data-toggle='table'
					data-side-pagination='server'
					data-click-to-select='true'
					data-toolbar='#toolbar'
					data-show-toggle='true'
					data-show-columns='true'>
					<thead>
						<tr>
							<th>Badge</th>
							<th>Name</th>
							<th>Age</th>
							<th>Phone</th>    
							<th>Address</th>    
							<th>Print Actions</th>    
						</tr>
					</thead>
					<tbody>
			";
			while($studentrow = $studentstmt->fetch(PDO::FETCH_ASSOC)){
				
				if($studentrow['memberId'] == 0){
					$name = $studentrow['studentName'];
					$telephone = $studentrow['telephone'];
					$address = $studentrow['address'];
					$old = age($studentrow['dob']);
				} else {
					$checkingquery = "SELECT * FROM members WHERE id=:id and duplicated_id=0";
					$checkingstmt = $conn->prepare($checkingquery);
					$checkingstmt->bindParam(':id', $studentrow['memberId']);
					$checkingstmt->execute();
					$checkingrow = $checkingstmt->fetch(PDO::FETCH_ASSOC);
					$name = $checkingrow['name'];
					$telephone = $checkingrow['telephone'];
					$address = $checkingrow['address'];
					$old = age($checkingrow['dob']);
				}
				
				echo "
					<tr>
						<td>{$studentrow['badge']}</td>
						<td>{$name}</td>
						<td>{$old} Years</td>
						<td>{$telephone}</td>
						<td>{$address}</td>
						<td>
							<a href='studentID.php?id={$studentrow['id']}' class='btn btn-primary'>ID</a>
							<a href='seestudentinfo.php?id={$studentrow['id']}' class='btn btn-primary'>View</a>
						</td>
					</tr>
        
				";
				}
				echo "
				</tbody>
    </table>
				";
			
		} else {
								echo "<div class='alert alert-danger'>No student yet</div>";
		}
	?>
    
            

   
</section>






<script>
  var $table = $('#table_1')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'ids',
            title: 'Badge'
          },
          {
            field: 'id',
            title: 'Name'
          }, {
            field: 'name',
            title: 'Age'
          }, {
            field: 'price',
            title: 'Phone'
          }
        ]
      })
    }).trigger('change')
  })
</script>

<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});

</script>
<?php
include "includes/footer.php" ;
?>