<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";

if(isset($_GET['pid'])){
	$depMemId = $_GET['pid'];
}else{
	$depMemId = 0;
}
//$depMemId=isset($_GET['pid']) ? $_GET['pid'];
 
include 'database/config2.php';
 
// read current record's data
try {
    // prepare select query
    $query = "SELECT * FROM departments WHERE id = ? LIMIT 0,1";
    $stmt = $conn->prepare( $query );
 
    // this is the first question mark
    $stmt->bindParam(1, $tid);
 
    // execute our query
    $stmt->execute();
 
    // store retrieved row to a variable
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
 
    // values to fill up our form
    $departmentname = $row['name'];
    $username = $row['uname'];
    $telephone = $row['telephone'];
}
 
// show error
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}
?>
<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3><?php echo htmlspecialchars($departmentname, ENT_QUOTES);  ?> Branch List</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">Branch List</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
	<div class="container">
		<div class="card">
			<div class="card-body">
			
			<?php
 
// check if form was submitted
if (isset($_POST['edit_departmental_login_details'])) {
 
    try{
        $query = "UPDATE departments SET uname=:uname, pword=:pword, telephone=:telephone, isLogin=:isLogin WHERE id = :id";
        $stmt = $conn->prepare($query);
 
        // posted values
        $uname=htmlspecialchars(strip_tags($_POST['uname']));
        $isLogin=0;
		$pword=md5(htmlspecialchars(strip_tags($_POST['newpass'])));
		$cpword=md5(htmlspecialchars(strip_tags($_POST['connewpass'])));
		$telephone=htmlspecialchars(strip_tags($_POST['telephone']));
		
        // bind the parameters
        $stmt->bindParam(':uname', $uname);
        $stmt->bindParam(':pword', $pword);
        $stmt->bindParam(':isLogin', $isLogin);
        $stmt->bindParam(':telephone', $telephone);
        //$stmt->bindParam(':cpword', $cpword);
        $stmt->bindParam(':id', $tid);
 
		if($pword == $cpword){
			if ( preg_match('/\s/',$uname) ) // this is to ensure that the username does not concern space
			{				
				echo "<div class='alert alert-danger'>Username must not contain space.</div>";
			}else{
				if($stmt->execute()){
					echo "<div class='alert alert-success'>Login details was updated.</div>";
				}else{
					echo "<div class='alert alert-danger'>Unable to update login details. Please try again.</div>";
				}
			}
		}else{
			echo "<div class='alert alert-danger'>Passwords don't match.</div>";
		}
    }
 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
			
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$tid}");?>" method="POST">
					<div class="row">
						<h5 style="margin-bottom:15px">Edit Logins<span class="reqired"> *</span></h5>
						<div class="col col-md-3">
                            <input class="form-control" type="text" id="edit" value="<?php echo htmlspecialchars($username, ENT_QUOTES);  ?>" placeholder="Edit user name" name="uname" required>
						</div>
						<div class="col col-md-3">
							<input type="" name="newpass" class="form-control" placeholder="New password" required>
						</div>
                        <div class="col col-md-3">
							<input type="" name="connewpass" class="form-control" placeholder="Repeat new password" required>
						</div>
						<div class="col col-md-3">
							<input type="" name="telephone" class="form-control" value="<?php echo htmlspecialchars($telephone, ENT_QUOTES);  ?>" placeholder="Phone Number" required>
						</div>
                        
					</div><br>
						<div class="main">
						    <button name="edit_departmental_login_details" type="submit" class="button">Update</button>
					    </div>
				</form>
			</div>
		</div>
	</div>
</section>


<section>
    <div class="container-fluid">
        <div class="container-fluid p-0">
            <div class="row">
                <div class="col-xl-8">
                    <div class="cardlist">
                        <div class="card-headerlist container">
                            <div class="card-actions" style="float:right">
                                <a href="#" onclick="printDiv()"><i class="fas fa-print fa-2x" style="color: #646464"></i></a>
                            </div>
                            <h5 class="card-title mb-0">Members</h5>
                        </div>
                        <div class="row">
                            <div class="col col-md-7"></div>
                            <div class="col col-md-5">
                                <form class="container">
                                    <div class="form-group mb-0">
                                        <label>Search</label>
                                        <div class="input-group mb-0">
                                            <input type="text" class="form-control" id="lookDpt" placeholder="Search for members..." aria-describedby="project-search-addon" />
                                            <div class="input-group-append">
                                                <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
						<div class="card-bodylist" id="printableTable">

						<?php
											include 'database/config2.php';
							$option = 0;
							
							// select all data
							$query2 = "SELECT * FROM members WHERE depId=$tid ORDER BY id DESC";
							
							if($depMemId == 0){
								$query4 = "SELECT * FROM members WHERE depId=$tid ORDER BY RAND() LIMIT 1";
								
							}else{
								$query4 = "SELECT * FROM members WHERE id=$depMemId ORDER BY id DESC";								
							}
							
							//$query3 = "SELECT * FROM departmental_members WHERE departmentId=$id ORDER BY RAND() LIMIT 1";
							$stmt2 = $conn->prepare($query2);
							$stmt4 = $conn->prepare($query4);
							$stmt2->execute();
							$stmt4->execute();
							 
							$num2 = $stmt2->rowCount();
							 
							//check if more than 0 record found
							if($num2>0){
							 
								//start table
									echo '<table id="membersTable" class="table table-striped" style="width:100%">
											<thead>';
									 
										//creating our table heading
										echo "
												<tr>
													<th>Profile</th>
													<th>Name</th>
													<th>Department</th>
													<th>Position</th>
													<th>Date Joined</th>
													<th>Status</th>
													<th>Action</th>
												</tr>
											</thead>
											<tbody>
											";
									 
										while ($row2 = $stmt2->fetch(PDO::FETCH_ASSOC)){

											extract($row2);
										 
											// creating new table row per record
											echo "
												<tr>
												<td>";?><?php echo $image ? "<img src='members-images/{$image}' width='32' height='32' class='rounded-circle my-n1' alt='Avatar' />" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' width='32' height='32' class='rounded-circle my-n1' alt='Avatar'>";  ?> <?php echo "</td>
												<td><a href='deptList.php?id={$depId}&pid={$id}'>{$name}</a> <sup><i class='fas fa-certificate' style='color:#c1d0df'></i></sup></td>
												<td>Social Media Department</td>
												<td>"; 
													if($position == ""){
														$position = "Regular Member";
													}
												echo "{$position}</td>
												<td>". date('l d M Y', strtotime($date_joined))."</td>
												<td>
													";
											if(($action == "Suspended") || ($depAction == "Suspended")){
												$state = "";
												$ariaPressed = "true";
												?>
												<span class='badge bg-danger'>Suspended</span>
												<?php
											}else{
													?>
													<span class='badge bg-success'>Active</span>
													<?php
											}
																						
											echo "
												</td>
												<td>
													<div class='input-group'>
													";
											if(($action == "Suspended") || ($depAction == "Suspended")){
												echo "
														<div class='input-group-append'>
															<a href='activateMember.php?id={$id}' class='btn btn-outline-success' name='editAction' type='button'>Activate</a>
														</div>
												";
											}else{
												echo "
														<div class='input-group-append'>
															<a href='editMember.php?id={$id}' class='btn btn-outline-danger' name='editAction' type='button'>Suspend</a>
														</div>";
											}											
											echo "
													</div>
												</td>";
												
											echo "</tr>
											";
										}
									 
									// end table
									echo "</tbody>
									</table>";
							 
							}
							 
							// if no records found
							else{
								echo "<div class='alert alert-danger'>No branch member yet.</div>";
							}
						?>
						
                            <iframe name="print_frame" width="0" height="0" frameborder="0" src="about:blank"></iframe>
                        </div>
                    </div>
                </div>
				
				
				<?php
					$row4 = $stmt4->fetch(PDO::FETCH_ASSOC);
				?>
				
				
                <div class="col-xl-4">
                    <div class="cardlist">
					<?php if($num2>0){ ?>
					
                        <div class="card-headerlist container">
                            <h5 class="card-title mb-0">Members Details</h5>
                        </div>
                        <div class="card-bodylist">
                            <div class="row g-0">
                                <div class="col-sm-3 col-xl-12 col-xxl-3 text-center">
                                    
									<?php echo $row4['image'] ? "<img src='members-images/{$row4['image']}' width='64' height='64' class='rounded-circle mt-2' alt='Profile Picture' />" : "<img src='https://bootdey.com/img/Content/avatar/avatar1.png' width='64' height='64' class='rounded-circle mt-2' alt='Profile Picture' >";  ?>
                                </div>
                                <div class="col-sm-9 col-xl-12 col-xxl-9">
                                    <strong>About me</strong>
                                    <p>My name is <?php echo htmlspecialchars($row4['name'], ENT_QUOTES);  ?>  and I am a member of the <?php echo htmlspecialchars($departmentname, ENT_QUOTES);  ?> Department. I live in <?php echo htmlspecialchars($row4['address'], ENT_QUOTES);  ?>. Found below are my social media
                                        handles 
                                    </p>
                                    <div class="text-center">
                                        <a href="<?php echo htmlspecialchars($row4['facebook'], ENT_QUOTES);  ?>" target="_blank" class="fa fa-facebook socials"></a>
                                        <a href="<?php echo htmlspecialchars($row4['instagram'], ENT_QUOTES);  ?>" target="_blank" class="fa fa-instagram socials"></a>
                                        <a href="<?php echo htmlspecialchars($row4['youtube'], ENT_QUOTES);  ?>" target="_blank" class="fa fa-youtube socials"></a>
                                        <a href="<?php echo htmlspecialchars($row4['twitter'], ENT_QUOTES);  ?>" target="_blank" class="fa fa-twitter socials"></a>
                                    </div>
                                </div>
                            </div>

                            <table class="table table-sm mt-2 mb-4">
                                <tbody>
                                    <tr>
                                        <th>Name</th>
                                        <td><?php echo htmlspecialchars($row4['name'], ENT_QUOTES);  ?></td>
                                    </tr>
                                    <tr>
                                        <th>Phone</th>
                                        <td><?php echo htmlspecialchars($row4['telephone'], ENT_QUOTES);  ?></td>
                                    </tr>
                                    <tr>
                                        <th>Position</th>
                                        <td><?php 
											if($row4['position'] == ""){
												echo "Regular Member";
											} else {
										
											echo htmlspecialchars($row4['position'], ENT_QUOTES); } ?></td>
                                    </tr>
                                    <tr>
                                        <th>Conduct</th>
                                        <td>
                                            <a href="../techministries/memberconducts.php" target="popup" onclick="window.open('../techministries/memberconducts.php','name','width=600,height=400')">View</a>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>Marital Status</th>
                                        <td>
										<?php
											if($row4['status'] == 'Single'){
												?>
												<span class="badge bg-warning">Single</span>
												<?php
											} else {
												?>
												<span class="badge bg-info">Married</span>
												<?php
											}
										?>
										</td>
                                    </tr>
                                    <tr>
                                        <th>Status</th>
                                        <td>
										<?php
											if(($row4['action'] == "Suspended") || ($row4['depAction'] == "Suspended")){
												?>
												<span class="badge bg-danger">Suspended</span>
												<?php
											}else{
												?>
												<span class="badge bg-success">Active</span>
												<?php
											}
										?>
										</td>
                                    </tr>
                                </tbody>
                            </table>

                            <strong><?php echo htmlspecialchars($row4['name'], ENT_QUOTES);  ?>'s Attendance History</strong>
                                <a href="#" onclick="printAttendance()"  style="float: right"><i class="fas fa-print" style="color: #646464"> Print</i></a>
                                <div id="attendance">
                                    <table id="dtBasicExample" class="table table-striped table-dark">
                                            <thead>
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Status</th>
                                                <th scope="col">Comment</th>
                                            </tr>
                                        </thead>    
                                        <tbody>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">2</th>
                                                <td>Sunday 10 Oct 2021</td>
                                                <td><span class="badge bg-success">Present</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">1</th>
                                                <td>Friday 10 Oct 2021</td>
                                                <td><span class="badge bg-danger">Absent</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">3</th>
                                                <td>Saturday 10 Oct 2021</td>
                                                <td><span class="badge bg-warning">Permission</span></td>
                                                <td>Branch Service</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    <iframe name="print_attendance" width="0" height="0" frameborder="0" src="about:blank"></iframe>
                                </div>
                        </div>
						
						<?php } ?>
						
						
                    </div>
                </div>
				<!-- member details ends here -->
				
            </div>

        </div>
    </div>
</section>

<script>
    function printDiv() {
    window.frames["print_frame"].document.body.innerHTML = document.getElementById("printableTable").innerHTML;
    window.frames["print_frame"].window.focus();
    window.frames["print_frame"].window.print();
}
</script>

<script>
    function printAttendance() {
    window.frames["print_attendance"].document.body.innerHTML = document.getElementById("attendance").innerHTML;
    window.frames["print_attendance"].window.focus();
    window.frames["print_attendance"].window.print();
}
</script>

<!-- Paging JS -->
<script type="text/javascript">

// Basic example
// Basic example
$(document).ready(function () {
  $('#dtBasicExample').DataTable({
    "pagingType": "simple_numbers" // "simple" option for 'Previous' and 'Next' buttons only
  });
  $('.dataTables_length').addClass('bs-select');
});


function viewdeptMem( id ){
 
    var answer = confirm( id );
    
//<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js">

$(document).ready(function(){
  $("button").click(function(){
    $("#div1").load("demo_test.txt");
  });
});
}

</script>


<?php
    include "includes/footer.php" ;
?>