<?php 

$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');


	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
	
?>

<section>

		
			<?php
if (isset($_POST['report'])) {
 
    // include database connection
    include '../database/config2.php';
 
    try{
 
        // insert query
        $queryx = "INSERT INTO memberconduct SET date=:date, conduct=:conduct, file=:file, memberId=:memberId, departmentId=:departmentId";
 
        // prepare query for execution
        $stmtx = $conn->prepare($queryx);
 
 // new 'image' field
$file=!empty($_FILES["rep"]["name"])
        ? sha1_file($_FILES['rep']['tmp_name']) . "-" . basename($_FILES["rep"]["name"])
        : "";
 
 
        // posted values
        $conduct=htmlspecialchars(strip_tags($_POST['conduct']));
        $date=date('Y-m-d');
		$file=htmlspecialchars(strip_tags($file));

        // bind the parameters
        $stmtx->bindParam(':departmentId', $departmentalId);
        $stmtx->bindParam(':conduct', $conduct);
        $stmtx->bindParam(':date', $date);
        $stmtx->bindParam(':file', $file);
        $stmtx->bindParam(':memberId', $id);
 
        if($stmtx->execute()){
            echo "<div class='alert alert-success'>Conduct was saved.</div>";

// now, if file is not empty, try to upload the file
if($file){
 
    // sha1_file() function is used to make a unique file name
    $target_directory = "conduct/";
    $target_file = $target_directory . $file;
    $file_type = pathinfo($target_file, PATHINFO_EXTENSION);
 
    // error message is empty
    $file_upload_error_messages="";
 // make sure file does not exist
if(file_exists($target_file)){
    $file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
}
 
 // make sure submitted file is not too large, can't be larger than 5 MB
if($_FILES['rep']['size'] > (5120000)){
    $file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
}
 
if(!is_dir($target_directory)){
    mkdir($target_directory, 0777, true);
}
 


// if $file_upload_error_messages is still empty
if(empty($file_upload_error_messages)){
    // it means there are no errors, so try to upload the file
    if(move_uploaded_file($_FILES["rep"]["tmp_name"], $target_file)){
        // it means photo was uploaded
    }else{
        echo "<div class='alert alert-danger'>
            <div>Unable to upload file.</div>
            <div>Update the record to upload file.</div>
        </div>";
    }
}
 
// if $file_upload_error_messages is NOT empty
else{
    // it means there are some errors, so show them to user
    echo "<div class='alert alert-danger'>
        <div>{$file_upload_error_messages}</div>
        <div>Update the record to upload photo.</div>
    </div>";
}
}
		
        } else {
            echo "<div class='alert alert-danger'>Unable to save conduct.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}

?>	


	<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post" enctype="multipart/form-data" class="updatefeed container-fluid"> 
        <div class="body">
            <div class="media mb-3">
                <div class="media-body">
                <textarea class="autosize" name="conduct" placeholder="e.g punishments, sanctions or a good behavior..." rows="1" id="note" data-emoji="true" required></textarea>
                <div class="position-relative">
                    <input type="file" class="d-none" name="rep" accept="audio/*|video/*|video/x-m4v|video/webm|video/x-ms-wmv|video/x-msvideo|video/3gpp|video/flv|video/x-flv|video/mp4|video/quicktime|video/mpeg|video/ogv|.ts|.mkv|image/*|image/heic|image/heif" onchange="previewFiles()" id="inputUp" multiple>
                    <a class="mediaUp mr-4"><i class="material-icons mr-2"  data-tippy="add (Video, Audio, Photo)" onclick="trgger('inputUp')" style=" font-size: 39px !important; padding-bottom: 10px;">perm_media</i></a>
                </div>
                </div>
            </div>
        </div>
        <div class="row col-md-12 ml-auto mr-auto preview"></div>
        <div class="footer" style="float: right">
            <button type="submit" name="report" class="btn btn-info" style="padding-left: 25px; padding-right: 25px; font-size: 25px">Report</button>
        </div>
    </form>
    <br>
	
	<?php
		$conquery = "SELECT * FROM members WHERE id=:id";
		$constmt = $conn->prepare($conquery);
		$constmt->bindParam(':id', $id);
		$constmt->execute();
		$conrow = $constmt->fetch(PDO::FETCH_ASSOC);
		
		$conquery2 = "SELECT * FROM memberconduct WHERE memberId=:id ORDER BY id DESC";
		$constmt2 = $conn->prepare($conquery2);
		$constmt2->bindParam(':id', $id);
		$constmt2->execute();
		$connum2 = $constmt2->rowCount();
	?>
	
	
    <div class="feed homeCard" style="margin: 25px !important;">
        <div class="card-body">
            <div class="container-fluid" style="margin:15px;">
                <h2><?php echo htmlspecialchars($conrow['name'], ENT_QUOTES); ?>'s conduct Feed</h2>
                <ol class="activity-feed">
				<?php 
				if($connum2>0){
					while ($conrow2 = $constmt2->fetch(PDO::FETCH_ASSOC)){
						
						echo 
						"<li class='feed-item'>
							<time class='date' datetime='9-25'>". date('M d', strtotime($conrow2['date']))."</time>
							<span class='text'>{$conrow2['conduct']}</span>
						</li>";
					}
				 
				}
				else{
					echo "<div class='alert alert-danger'>No conducts yet.</div>";
				}
				?>
                    
                </ol>
            </div>
        </div>
    </div>
</section>


<?php 
    include "includes/footer.php";
?>