<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Brands
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>



<section class="container">
    <div class="row">
        <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Add Brand</h5></div>
                    <div class="card-body">
						
					<?php
						if(isset($_POST['create_brand'])){
							include 'database/config2.php';
							$incatque = "INSERT INTO itemsbrand SET name=:name, image=:image";
							$incatquestmt = $conn->prepare($incatque);
							$name = htmlspecialchars(strip_tags($_POST['brandName']));
											
							$image=!empty($_FILES["brandLogo"]["name"])
								? sha1_file($_FILES['brandLogo']['tmp_name']) . "-" . basename($_FILES["brandLogo"]["name"])
								: "";
								$image=htmlspecialchars(strip_tags($image));
											
							
							$incatquestmt->bindParam(':name', $name);
							$incatquestmt->bindParam(':image', $image);
							if($incatquestmt->execute()){
								echo "<div class='alert alert-success'>Brand sucessfully added.</div>";
								
										if($image){
									 
										// sha1_file() function is used to make a unique file name
										$target_directory = "itembrandImages/";
										$target_file = $target_directory . $image;
										$file_type = pathinfo($target_file, PATHINFO_EXTENSION);
									 
										// error message is empty
										$file_upload_error_messages="";
										// make sure that file is a real image
										$check = getimagesize($_FILES["brandLogo"]["tmp_name"]);
										if($check!==false){
											// submitted file is an image
										}else{
											$file_upload_error_messages.="<div>Submitted file is not an image.</div>";
										}
										// make sure certain file types are allowed
										$allowed_file_types=array("jpg", "jpeg", "png", "gif");
										if(!in_array($file_type, $allowed_file_types)){
											$file_upload_error_messages.="<div>Only JPG, JPEG, PNG, GIF files are allowed.</div>";
										}
										if($_FILES['brandLogo']['size'] > (5120000)){
											$file_upload_error_messages.="<div>Image must be less than 5 MB in size.</div>";
										}
										// make sure the 'uploads' folder exists
										// if not, create it
										if(!is_dir($target_directory)){
											mkdir($target_directory, 0777, true);
										}
										// if $file_upload_error_messages is still empty
										if(empty($file_upload_error_messages)){
											// it means there are no errors, so try to upload the file
											if(move_uploaded_file($_FILES["brandLogo"]["tmp_name"], $target_file)){
												// it means photo was uploaded
											}else{
												echo "<div class='alert alert-danger'>
													<div>Unable to upload photo.</div>
													<div>Update the record to upload photo.</div>
												</div>";
											}
										}
										 
										// if $file_upload_error_messages is NOT empty
										else{
											// it means there are some errors, so show them to user
											echo "<div class='alert alert-danger'>
												<div>{$file_upload_error_messages}</div>
												<div>Update the record to upload photo.</div>
											</div>";
										}
									}
								
							} else {
								echo "<div class='alert alert-danger'>Error Occured.</div>";
							}
						}
					?>
						
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post"  enctype="multipart/form-data">
                            <div class="row">
                                <div class="col col-sm-8">
                                    <input type="text" name="brandName" placeholder="Brand Name" required class="form-control">
                                </div>
                                <div class="col col-sm-4">
                                    <input type="file" name="brandLogo" placeholder="Logo" class="form-control">
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="create_brand" type="submit" class="button">Add</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> All Brands</h5></div>
                    <div class="card-body">
					
					<?php
						include 'database/config2.php';
						$retcat = "SELECT * FROM itemsbrand ORDER BY id DESC";
						$retcatstmt = $conn->prepare($retcat);
						$retcatstmt->execute();
						$retcatnum = $retcatstmt->rowCount();
						if($retcatnum > 0){
							echo "
						<table id='table' class='table table-bordered table-striped'>
                            <thead>
                                <tr>
                                    <th scope='col'>#</th>
                                    <th scope='col'>Logo</th>
                                    <th scope='col'>Name</th>
                                    <th scope='col' class='text-center'>Action</th>
                                </tr>
                            </thead> 
                            <tbody>	
							";
							$thenumber = 1;
							while($retcatrow = $retcatstmt->fetch(PDO::FETCH_ASSOC)){
								echo "
								<tr>
								
									<td>{$thenumber}</td>
                                    <td>";
									echo $retcatrow['image'] ? "<img src='itembrandImages/{$retcatrow['image']}' alt='logo' style='max-width:80px; height: auto'>" : ""; 
									echo "</td>
                                    <td>{$retcatrow['name']}</td>
                                    <td class='text-center'>
                                        <a href='edit_brand.php?id={$retcatrow['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
										<button onclick='delete_brands({$retcatrow['id']});' class='btn btn-primary' id='deletusers'>
                                                <i class='far fa-trash-alt'></i>
                                            </button>
                                    </td>
								
                                </tr>
								";
								$thenumber++;
							}
							echo "
							</tbody> 
                        </table>
							";
						} else {
							echo "<div class='alert alert-danger'>No brand exist yet</div>";							
						}
					?>
					
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>



<script type='text/javascript'>
// confirm record deletion
function delete_brands( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteBrands.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>




<?php
include "includes/footer.php" ;
?>