<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Send Bulk Message to a Department
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<br>

<div class="container bootdey">
    <div class="email-app">
        <nav>
            <a href="#" class="btn btn-danger btn-block">New Email</a>
            <ul class="nav">
                <li class="nav-item">
                    <a class="nav-link" href="#"><i class="fa fa-rocket"></i> Sent</a>
                </li>
            </ul>
        </nav>
        <main>
		
            <p class="text-center">New Message</p>
                <div class="form-row mb-3">
                    <form action="#" method="POST">
                        <label for="cc" class="col-2 col-sm-1 col-form-label">Department<span class="reqired">*</span>:</label>
                        <div class="col-10 col-sm-11 d-flex">
                            <select type="text" class="form-control" id="cc" placeholder="Phone" name="leaderTel">
                                <option value="Socal Media">Socal Media</option>
                                <option value="Communicators">Communicators</option>
                            </select>
                            <button class="button">Use</button>
                        </div>
                    </form>
                </div>
			    <form action="#great" method="post">
                    <div class="form-row mb-3">
                        <label for="cc" class="col-2 col-sm-1 col-form-label">Tel <span class="reqired">*</span>:</label>
                        <div class="col-10 col-sm-11">
                            <input type="text" class="form-control" id="cc" placeholder="Phone" name="leaderTel" readonly>
                        </div>
                        <small><em>sending message to 900 numbers</em></small>
                    </div>
                    <div class="form-row mb-3">
                        <label for="bcc" class="col-2 col-sm-1 col-form-label">Subject:</label>
                        <div class="col-10 col-sm-11">
                            <input type="text" class="form-control" id="bcc" name="leaderSubject" placeholder="Reason for sending message" required>
                        </div>
                    </div>
                    <div class="row">
                    <div class="col-sm-11 ml-auto">
                        <div class="toolbar" role="toolbar">
                            <div class="btn-group">
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-bold"></span>
                                </button>
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-italic"></span>
                                </button>
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-underline"></span>
                                </button>
                            </div>
                            <div class="btn-group">
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-align-left"></span>
                                </button>
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-align-right"></span>
                                </button>
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-align-center"></span>
                                </button>
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-align-justify"></span>
                                </button>
                            </div>
                            <div class="btn-group">
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-indent"></span>
                                </button>
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-outdent"></span>
                                </button>
                            </div>
                            <div class="btn-group">
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-list-ul"></span>
                                </button>
                                <button type="button" class="btn btn-light">
                                    <span class="fa fa-list-ol"></span>
                                </button>
                            </div>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-trash-o"></span>
                            </button>
                            <button type="button" class="btn btn-light">
                                <span class="fa fa-paperclip"></span>
                            </button>
                            <div class="btn-group">
                                <button type="button" class="btn btn-light dropdown-toggle" data-toggle="dropdown">
                                    <span class="fa fa-tags"></span>
                                    <span class="caret"></span>
                                </button>
                            </div>
                        </div>
                        <div class="form-group mt-4">
                            <textarea class="form-control" id="message" name="body" rows="5" placeholder="Message body" required></textarea>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-success" name="send">Send</button>
                            <button type="submit" class="btn btn-info" name="draft">Draft</button>
                            <button type="reset" class="btn btn-warning">Reset</button>
                        </div>
                    </div>
                </div>
            </form>
        </main>
    </div>
</div>



<?php
    include "includes/footer.php" ;
?>