<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Church Departments
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
						
					</nav>
						
				</div>
			</div>
		</div>
	</div>
</section>

<section>
	<div class="container-fluid">
		<div class="card">
			<div class="card-body">
			<?php
				$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
				include 'database/config2.php';
				 
				// read current record's data
				try {
					// prepare select query
					$query6 = "SELECT * FROM members WHERE depId = $id AND position='Leader'";
					$stmt6 = $conn->prepare( $query6 );
					$stmt6->execute();
					$num6 = $stmt6->rowCount();
					$row6 = $stmt6->fetch(PDO::FETCH_ASSOC);
					$leaderTarget = $row6['id'];
					
					$query7 = "SELECT * FROM members WHERE depId = $id AND position='Ass. Leader'";
					$stmt7 = $conn->prepare( $query7 );
					$stmt7->execute();
					$num7 = $stmt7->rowCount();
					$row7 = $stmt7->fetch(PDO::FETCH_ASSOC);
					$assleaderTarget = $row7['id'];
					
					$query8 = "SELECT * FROM members WHERE depId = $id AND position='Financial Secretary'";
					$stmt8 = $conn->prepare( $query8 );
					$stmt8->execute();
					$num8 = $stmt8->rowCount();
					$row8 = $stmt8->fetch(PDO::FETCH_ASSOC);
					$finsecTarget = $row8['id'];
					
					$query9 = "SELECT * FROM members WHERE depId = $id AND position='Secretary'";
					$stmt9 = $conn->prepare( $query9 );
					$stmt9->execute();
					$num9 = $stmt9->rowCount();
					$row9 = $stmt9->fetch(PDO::FETCH_ASSOC);
					$secretaryTarget = $row9['id'];

					$query = "SELECT * FROM departments WHERE id = ? LIMIT 0,1";
					
					if($num6 > 0){
					$query2 = "SELECT * FROM members WHERE depId = $id AND id != $leaderTarget";						
					} else {
					$query2 = "SELECT * FROM members WHERE depId = $id";
					}
					
					if($num7 > 0){
					$query3 = "SELECT * FROM members WHERE depId = $id AND id != $assleaderTarget";						
					} else {
					$query3 = "SELECT * FROM members WHERE depId = $id";						
					}
					
					if($num8 > 0){
					$query4 = "SELECT * FROM members WHERE depId = $id AND id != $finsecTarget";						
					} else {
					$query4 = "SELECT * FROM members WHERE depId = $id";
					}
					
					if($num9 > 0){
					$query5 = "SELECT * FROM members WHERE depId = $id AND id != $secretaryTarget";						
					} else {
					$query5 = "SELECT * FROM members WHERE depId = $id";
					}
					$stmt = $conn->prepare( $query );
					$stmt2 = $conn->prepare( $query2 );
					$stmt3 = $conn->prepare( $query3 );
					$stmt4 = $conn->prepare( $query4 );
					$stmt5 = $conn->prepare( $query5 );
				 
				 
				    
					// this is the first question mark
					$stmt->bindParam(1, $id);
					//$stmt2->bindParam(1, $id);
				 
					// execute our query
					$stmt->execute();
					$stmt2->execute();
					$stmt3->execute();
					$stmt4->execute();
					$stmt5->execute();

				 
					// store retrieved row to a variable
					$row = $stmt->fetch(PDO::FETCH_ASSOC);

					

				 
					// values to fill up our form
					$name = $row['name'];
					$date_of_creation = $row['date_of_creation'];
					$task = $row['task'];
					
				}
				 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
			
 
// check if form was submitted
if (isset($_POST['edit_department'])) {
  				include 'database/config2.php';

    try{
		
		$magicQueryLeader = "UPDATE members SET position='' WHERE depId=:id AND position='Leader'";
		$magicQueryAssLeader = "UPDATE members SET position='' WHERE depId=:id AND position='Ass. Leader'";
		$magicQueryFinsec = "UPDATE members SET position='' WHERE depId=:id AND position='Financial Secretary'";
		$magicQuerySec = "UPDATE members SET position='' WHERE depId=:id AND position='Secretary'";

		$magicQuerystmt = $conn->prepare( $magicQueryLeader );
        $magicQuerystmt->bindParam(':id', $id);
		
		$magicAssQuerystmt = $conn->prepare( $magicQueryAssLeader );
        $magicAssQuerystmt->bindParam(':id', $id);
		
		$magicFinsecQuerystmt = $conn->prepare( $magicQueryFinsec );
        $magicFinsecQuerystmt->bindParam(':id', $id);
		
		$magicSecQuerystmt = $conn->prepare( $magicQuerySec );
        $magicSecQuerystmt->bindParam(':id', $id);
		
		
        $query = "UPDATE departments SET name=:name, task=:task WHERE id = :id";
        $queryt = "UPDATE members SET position='Leader' WHERE depId = :id AND id=:lName";
        $queryt2 = "UPDATE members SET position='Ass. Leader' WHERE depId = :id AND id=:alName";
        $queryt3 = "UPDATE members SET position='Financial Secretary' WHERE depId = :id AND id=:fsName";
        $queryt4 = "UPDATE members SET position='Secretary' WHERE depId = :id AND id=:sName";
 
		$querytstmt = $conn->prepare( $queryt );
		$lName=htmlspecialchars(strip_tags($_POST['leader']));
        $querytstmt->bindParam(':id', $id);		
        $querytstmt->bindParam(':lName', $lName);
		
		$queryt2stmt = $conn->prepare( $queryt2 );
        $alName=htmlspecialchars(strip_tags($_POST['assleader']));
        $queryt2stmt->bindParam(':id', $id);
        $queryt2stmt->bindParam(':alName', $alName);
		
		$queryt3stmt = $conn->prepare( $queryt3 );
        $fsName=htmlspecialchars(strip_tags($_POST['finsec']));
        $queryt3stmt->bindParam(':id', $id);
        $queryt3stmt->bindParam(':fsName', $fsName);
		
		$queryt4stmt = $conn->prepare( $queryt4 );
        $sName=htmlspecialchars(strip_tags($_POST['secretary']));
        $queryt4stmt->bindParam(':id', $id);
        $queryt4stmt->bindParam(':sName', $sName);
		
		/*
		if (empty($_POST['cellpossition'])){
			$cell_position = "";
		}else if (!empty($_POST['cellpossition'])){
			$cell_position = htmlspecialchars(strip_tags($_POST['cellpossition']));
		}
*/
        // prepare query for excecution
        $stmt = $conn->prepare($query);
 
        // posted values
        $name=htmlspecialchars(strip_tags($_POST['dptname']));
        $task=htmlspecialchars(strip_tags($_POST['task']));
 
        // bind the parameters
        $stmt->bindParam(':name', $name);
        $stmt->bindParam(':task', $task);	
        $stmt->bindParam(':id', $id);
 
 if((($lName == $alName) && ($lName!=0 || $alName!=0)) || (($lName == $fsName) && ($lName!=0 || $fsName!=0)) || 
	(($lName == $sName) && ($lName!=0 || $sName!=0)) || (($alName == $fsName) && ($alName!=0 || $fsName!=0)) || 
	(($alName == $sName) && ($alName!=0 || $sName!=0)) || (($fsName == $sName) && ($fsName!=0 || $sName!=0))){
	echo "<div class='alert alert-danger'>Sorry one person can't have more than one leadership positions. Please try again.</div>";
} else {
		if(
		$magicQuerystmt->execute() &&
		$magicAssQuerystmt->execute() &&
		$magicFinsecQuerystmt->execute() &&
		$magicSecQuerystmt->execute() &&
		$querytstmt->execute() &&
		$queryt2stmt->execute() &&
		$queryt3stmt->execute() &&	
		$queryt4stmt->execute() &&
        $stmt->execute()){
            echo "<div class='alert alert-success'>Record was updated.<a href='addDepartment.php'><button style='float:right;' class='btn btn-warning'>Go Back</button></a></div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";
        }
		
}
    }
 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="POST">
					<div class="row">
						<h5 style="margin-bottom:15px">Departmental Details<span class="reqired"> *</span></h5>
							
						<div class="col col-md-4">
							<input type="text" name="dptname" class="form-control" value="<?php echo htmlspecialchars($name, ENT_QUOTES);  ?>" placeholder="Name of department" required>
						</div>
						<div class="col col-md-4">
							<input type="" name="creationName" class="form-control" value="<?php echo date('l d M Y', strtotime($date_of_creation))  ?>" readonly>
						</div>
						<div class="col col-md-4">
							<textarea name="task" id="" cols="50" rows="2" class="form-control" placeholder="Job specification for this department (specific reason for creation)" required><?php echo htmlspecialchars($task, ENT_QUOTES);  ?></textarea>
						</div>
					</div>
<hr>
					<div class="row">
						<h5 style="margin-bottom:15px">Leadership<span class="reqired"> *</span></h5>
							<!-- Warning Errors starts-->
							<div class="alert alert-warning" role="alert">
								<p>Leader: <a href="addMember.php" style="color:#503e05"><b><?php 
									if($row6['name'] == ""){
										echo "None";
									} else {
										echo $row6['name'];
									}
									?></b></a></p>
								<p>Assistant Leader: <a href="addMember.php" style="color:#503e05"><b><?php 
									if($row7['name'] == ""){
										echo "None";
									} else {
										echo $row7['name'];
									}
								?></b></a></p>
								<p>Financial Secretary: <a href="addMember.php" style="color:#503e05"><b><?php 
									if($row8['name'] == ""){
										echo "None";
									} else {
										echo $row8['name'];
									}
								?></b></a></p>
								<p>Secretary: <a href="addMember.php" style="color:#503e05"><b><?php 
									if($row9['name'] == ""){
										echo "None";
									} else {
										echo $row9['name'];
									}
								?></b></a></p>
							</div>
							<!-- Warning Errors ends-->
						<div class="col col-md-3">
							
								<select class="form-control" type="text" id="wizards" placeholder="Leader" name="leader" list="wizards-list">
										<option value="<?php echo htmlspecialchars($row6['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($row6['name'], ENT_QUOTES);  ?></option>
										<option value="0">None</option>
                                    
							<?php
								while ($row2 = $stmt2->fetch(PDO::FETCH_ASSOC)){
							?>
									<option value="<?php echo $row2['id']; ?>"><?php echo $row2['name']; ?></option>
							<?php
								}
							?>
                                </select>
				
						</div>
						<div class="col col-md-3">
							<select class="form-control" type="text" id="wizards" placeholder="Assistant Leader" name="assleader" list="wizards-list">
                                <option value="<?php echo htmlspecialchars($row7['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($row7['name'], ENT_QUOTES);  ?></option>    
										<option value="0">None</option>
							<?php
								while ($row3 = $stmt3->fetch(PDO::FETCH_ASSOC)){
							?>
									<option value="<?php echo $row3['id']; ?>"><?php echo $row3['name']; ?></option>
							<?php
								}
							?>
                            </select>
						</div>
						<div class="col col-md-3">
							<select class="form-control" type="text" id="wizards" placeholder="Financial Secretary" name="finsec" list="wizards-list">
                                <option value="<?php echo htmlspecialchars($row8['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($row8['name'], ENT_QUOTES);  ?></option>    
										<option value="0">None</option>
                                    
							<?php
								while ($row4 = $stmt4->fetch(PDO::FETCH_ASSOC)){
							?>
									<option value="<?php echo $row4['id']; ?>"><?php echo $row4['name']; ?></option>
							<?php
								}
							?>
                                </select>
						</div>
						<div class="col col-md-3">
							<select class="form-control" type="text" id="wizards" placeholder="Secretary" name="secretary" list="wizards-list">
                            <option value="<?php echo htmlspecialchars($row9['id'], ENT_QUOTES);  ?>"><?php echo htmlspecialchars($row9['name'], ENT_QUOTES);  ?></option>        
										<option value="0">None</option>
                                    
							<?php
								while ($row5 = $stmt5->fetch(PDO::FETCH_ASSOC)){
							?>
									<option value="<?php echo $row5['id']; ?>"><?php echo $row5['name']; ?></option>
							<?php
								}
							?>
                            </select>
						</div>
					</div>
					<br>
					<div class="main">
						<button name="edit_department" type="submit" class="button">Update</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</section>


<?php
include "includes/footer.php" ;
?>