<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Accademic Badge
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>
<?php
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
 
include 'database/config2.php';
 
try {
    $query = "SELECT * FROM academic_badge WHERE id = ? LIMIT 0,1";
    $stmt = $conn->prepare( $query );
    $stmt->bindParam(1, $id);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
	
}
 
// show error
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}

 
// check if form was submitted
if(isset($_POST['edit_badge'])){
 
    try{
 
        $query = "UPDATE academic_badge
                    SET name=:name, acadYear=:acadYear, fee=:fee, description=:description
                    WHERE id = :id";
 
        $stmt = $conn->prepare($query);
 
        $name=htmlspecialchars(strip_tags($_POST['badgename']));
        $acadYear=htmlspecialchars(strip_tags($_POST['academicyear']));
        $fee=htmlspecialchars(strip_tags($_POST['fee']));
        $description=htmlspecialchars(strip_tags($_POST['moreinfo']));
 
        // bind the parameters
        $stmt->bindParam(':name', $name);
        $stmt->bindParam(':description', $description);
        $stmt->bindParam(':acadYear', $acadYear);
        $stmt->bindParam(':fee', $fee);
        $stmt->bindParam(':id', $id);
 
        // Execute the query
        if($stmt->execute()){
            echo "<div class='alert alert-success'>Update was successful.</div>";

        }else{
            echo "<div class='alert alert-danger'>Error occured. Update was unsuccessful!!!</div>";
        }
 
    }
 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}


?>


<section class="container">
    <div class="row">
    <div class="col col-md-6">
            <div class="homeCard">
                <div class="card-content">
                    <div class="card-header"><h5><i class="fas fa-list"></i> Edit Badge</h5></div>
                    <div class="card-body">
					<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
                            <div class="row">
                                <div class="col col-sm-6">
                                    <label for="badgename">Name of Badge <span style="color: red">*</span></label>
                                    <input type="text" name="badgename" placeholder="Badge Name" value="<?php echo htmlspecialchars($row['name'], ENT_QUOTES);  ?>" required class="form-control">
                                </div>
                                <div class="col col-sm-3">
                                    <label for="academicyear">Accademic Year <span style="color: red">*</span></label>
                                    <input type="text" name="academicyear" placeholder="Year" value="<?php echo htmlspecialchars($row['acadYear'], ENT_QUOTES);  ?>" required class="form-control">
                                </div>
                                <div class="col col-sm-3">
                                    <label for="Fee">Fee <span style="color: red">*</span></label>
                                    <input type="text" name="fee" placeholder="Fee for this year" value="<?php echo htmlspecialchars($row['fee'], ENT_QUOTES);  ?>" required class="form-control">
                                </div>
                            </div>
                            <br>
                            <div class="row">
                                <div class="col col-sm-12">
                                    <label for="moreinfo">Accademic Year <span style="color: red">*</span></label>
                                    <textarea name="moreinfo" id="" cols="30" placeholder="Short Description" rows="3" class="form-control"><?php echo htmlspecialchars($row['description'], ENT_QUOTES);  ?></textarea>
                                </div>
                            </div>
                            <br>
                            <div class="main text-center">
                                <button name="edit_badge" type="submit" class="button">Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>



<?php
include "includes/footer.php" ;
?>