<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Fee Payments
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="row">
            <div class="col col-md-1"></div>
            <div class="col col-md-10">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header">
                            <h3>Edit new Payment </h3>
                        </div>
						<?php
$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
include 'database/config2.php';
 try {
    $query = "SELECT * FROM atbituition WHERE id = ? LIMIT 0,1";
    $stmt = $conn->prepare( $query );
    $stmt->bindParam(1, $id);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
	
	$query2 = "SELECT * FROM atbistudents WHERE id=:id";
	$stmt2 = $conn->prepare($query2);
	$stmt2->bindParam(':id', $row['studentId']);
	$stmt2->execute();
	$row2 = $stmt2->fetch(PDO::FETCH_ASSOC);
	
	$query3 = "SELECT * FROM academic_badge WHERE id=:id";
	$stmt3 = $conn->prepare($query3);
	$stmt3->bindParam(':id', $row['batch']);
	$stmt3->execute();
	$row3 = $stmt3->fetch(PDO::FETCH_ASSOC);
}
 
// show error
catch(PDOException $exception){
    die('ERROR: ' . $exception->getMessage());
}

 
// check if form was submitted
if($_POST){
 
    try{
		
		$matricule=htmlspecialchars(strip_tags($_POST['matricule']));
        $amount=htmlspecialchars(strip_tags($_POST['amount']));
		
		$query3 = "SELECT * FROM atbistudents WHERE matricule=:matricule";
		$stmt3 = $conn->prepare($query3);
		$stmt3->bindParam(':matricule', $matricule);
		$stmt3->execute();
		$num3 = $stmt3->rowCount();
		if($num3 == 0){
            echo "<div class='alert alert-danger'>Can't find any student with this matricule</div>";			
		} else {
			$row3 = $stmt3->fetch(PDO::FETCH_ASSOC);
			$studentId = $row3['id'];
			
			
			if (empty($_POST['date'])){
						$query2 = "UPDATE atbituition SET amount=:amount, studentId=:studentId WHERE id = :id";
        $stmt2 = $conn->prepare($query2);
        $stmt2->bindParam(':studentId', $studentId);
        $stmt2->bindParam(':amount', $amount);
        $stmt2->bindParam(':id', $id);
		
						}
					else if (!empty($_POST['date'])){
						$query2 = "UPDATE atbituition SET amount=:amount, studentId=:studentId, date=:date WHERE id = :id";
        $stmt2 = $conn->prepare($query2);
        $stmt2->bindParam(':studentId', $studentId);
        $stmt2->bindParam(':amount', $amount);
        $stmt2->bindParam(':date', $date);
        $stmt2->bindParam(':id', $id);
		
					}
			if($stmt2->execute()){
				echo "<div class='alert alert-success'>Record was updated.</div>";
			}else{
				echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";
			}	
		}
					
        
        
 
    }
 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
                        <div class="card-body">
							<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
                                <div class="row">
                                    <div class="col col-3" id="MemberDiv">
                                        <label for="memberName">Matricule<span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="" placeholder="Student's Matricule" value="<?php echo htmlspecialchars($row2['matricule'], ENT_QUOTES); ?>" name="matricule" list="memberName">
                                       
                                    </div>
                                    <div class="col col-3">
                                        <label for="date">Amount <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" value="<?php echo htmlspecialchars($row['amount'], ENT_QUOTES); ?>" id="date" name="amount" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Transaction ID <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" value="<?php echo htmlspecialchars($row['transactionId'], ENT_QUOTES); ?>" id="date" name="transactionId" readonly>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Batch <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" value="<?php echo htmlspecialchars($row3['name'], ENT_QUOTES); ?>" id="date" name="batch" readonly>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Date Paid <span class="reqired">*</span></label>
                                        <input class="form-control" type="date" value="" id="date" placeholder="" name="date" max="<?php echo date("Y-m-d");?>" >
                                    </div>
                                </div>
                                <br>
                                <div class="main text-center">
                                    <button name="editPayment" type="submit" class="button"><i class="fas fa-sync-alt"></i> Edit Payment</button>
                                </div>
                                <br>
                                <hr>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-1"></div>
        </div>
	</div>
</section>

<?php
include "includes/footer.php" ;
?>