<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	include "database/config2.php";
	
	$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');

	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Edit Zone
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="homeCard">
			<div class="card-content">
				<div class="card-header">
					<h3>Edit Zone </h3>
				</div>
				<div class="card-body">
				
				<?php
					$editzone = "SELECT * FROM zones WHERE id=$id";
					$editstmt = $conn->prepare($editzone);
					$editstmt->execute();
					$editrow = $editstmt->fetch(PDO::FETCH_ASSOC);
					
					if(isset($_POST['updateZone'])){
						$updatezone = "UPDATE zones SET name=:name, coverage=:coverage WHERE id=:id";
						$updatestmt = $conn->prepare($updatezone);
						
						$name=htmlspecialchars(strip_tags($_POST['zoneName']));
						$coverage=htmlspecialchars(strip_tags($_POST['coverage']));		
						
						$updatestmt->bindParam(':name', $name);
						$updatestmt->bindParam(':coverage', $coverage);
						$updatestmt->bindParam(':id', $id);
						if($updatestmt->execute()){
							echo "<div class='alert alert-success'>Zone was updated.</div>";
						}
					}
				?>
				
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="post">
						<div class="row">
							<div class="col col-4" id="MemberDiv">
								<label for="memberName">Zone Name <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Zone name" value="<?php echo htmlspecialchars($editrow['name'], ENT_QUOTES);  ?>" name="zoneName">						
							</div>
							
							<div class="col col-4">
                                <label for="badge">Zone Code <span class="reqired">*</span></label>
								<input class="form-control" type="text" id="" placeholder="Badge" value="PC-<?php echo(rand(100,1000));?>" name="zoneCode" readonly required>
							</div>

                            <div class="col col-4">
								<label for="submission">Coverage <span class="reqired">*</span></label>
                                <textarea id="" cols="30" rows="3" class="form-control" type="text" id="" placeholder="Please explain the coverage of this zone" name="coverage" required><?php echo htmlspecialchars($editrow['coverage'], ENT_QUOTES);  ?></textarea>
							</div>
						</div>
						<br>
                        <div class="main text-center">
                            <button name="updateZone" type="submit" class="button"><i class="fas fa-sync-alt"></i> Update</button>
                        </div>
                        <br>
                        <hr>
                        <br>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>





<?php
include "includes/footer.php" ;
?>