<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Church Branches
					</h3>
					
					<p class="text-subtitle text-muted">Create more church branches 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add branch</li>
						</ol>
						
					</nav>
						
				</div>
			</div>
		</div>
	</div>
</section>

<section>
	<div class="container-fluid">
		<div class="card">
			<div class="card-body">
			<?php
				$id=isset($_GET['id']) ? $_GET['id'] : die('ERROR: Record ID not found.');
				include 'database/config2.php';
				 
				// read current record's data
				try {

$query = "SELECT * FROM branches WHERE id = ? LIMIT 0,1";
					
					$stmt = $conn->prepare( $query );
					$stmt->bindParam(1, $id);
					$stmt->execute();
					$row = $stmt->fetch(PDO::FETCH_ASSOC);
					
					$name = $row['name'];
					$date_of_creation = $row['date_of_creation'];
					$branch_location = $row['branch_location'];
					$uname = $row['uname'];
					$telephone = $row['telephone'];
					
				}
				 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
			
 
// check if form was submitted
if (isset($_POST['edit_branch'])) {
  				include 'database/config2.php';

    try{
				
		$name=htmlspecialchars(strip_tags($_POST['dptname']));
        $zoneId=htmlspecialchars(strip_tags($_POST['zoneId']));
        $branch_location=htmlspecialchars(strip_tags($_POST['task']));
        $uname=htmlspecialchars(strip_tags($_POST['uname']));
        $password=md5(htmlspecialchars(strip_tags($_POST['newpass'])));
        $cpassword=md5(htmlspecialchars(strip_tags($_POST['connewpass'])));
        $telephone=htmlspecialchars(strip_tags($_POST['telephone']));
		
		if (!empty($_POST['newpass'])){
			$query = "UPDATE branches SET name=:name, zoneId=:zoneId, branch_location=:branch_location, uname=:uname, password=:password, telephone=:telephone WHERE id = :id";
					$stmt = $conn->prepare($query);

			        $stmt->bindParam(':name', $name);
					$stmt->bindParam(':zoneId', $zoneId);	
					$stmt->bindParam(':branch_location', $branch_location);	
					$stmt->bindParam(':uname', $uname);	
					$stmt->bindParam(':password', $password);	
					$stmt->bindParam(':telephone', $telephone);	
					$stmt->bindParam(':id', $id);
		} else if (empty($_POST['newpass'])){
			$query = "UPDATE branches SET name=:name, zoneId=:zoneId, branch_location=:branch_location, uname=:uname, telephone=:telephone WHERE id = :id";	
					$stmt = $conn->prepare($query);

					$stmt->bindParam(':name', $name);
					$stmt->bindParam(':zoneId', $zoneId);	
					$stmt->bindParam(':branch_location', $branch_location);	
					$stmt->bindParam(':uname', $uname);	
					$stmt->bindParam(':telephone', $telephone);	
					$stmt->bindParam(':id', $id);
		}

 
        // bind the parameters

 
 if($password == $cpassword){
	if($stmt->execute()){
            echo "<div class='alert alert-success'>Record was updated.<a href='addbranch.php'><button style='float:right;' class='btn btn-warning'>Go Back</button></a></div>";
        }else{
            echo "<div class='alert alert-danger'>Unable to update record. Please try again.</div>";
        } 
 } else {
	echo "<div class='alert alert-danger'>Password mismatch please try again!!!</div>";
 }
 
		
    }
 
    // show errors
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?id={$id}");?>" method="POST">
					<div class="row">
						<h5 style="margin-bottom:15px">Branch Details<span class="reqired"> *</span></h5>
							
						<div class="col col-md-3">
							<input type="text" name="dptname" class="form-control" value="<?php echo htmlspecialchars($name, ENT_QUOTES);  ?>" placeholder="Name of branch" required>
						</div>
						<div class="col col-md-3">
							<input type="" name="creationName" class="form-control" value="<?php echo date('l d M Y', strtotime($date_of_creation))  ?>" readonly>
						</div>
						<div class="col col-md-3">
						
                            <select id="Region" name="zoneId" class="form-control" placeholder="Select Zone" list="Region" required>

								<?php
								
									$hiszonalquery = "SELECT * FROM zones WHERE id=:id";
									$hiszonalstmt=$conn->prepare($hiszonalquery);
									$hiszonalstmt->bindParam(':id', $row['zoneId']);
									$hiszonalstmt->execute();
									$hiszonalrow = $hiszonalstmt->fetch(PDO::FETCH_ASSOC);
								
									echo "<option value='{$hiszonalrow['id']}'>{$hiszonalrow['name']}</option>";								
									$zonalquery = "SELECT * FROM zones WHERE id != :id ORDER BY id DESC";
									$zonalstmt = $conn->prepare($zonalquery);
									$zonalstmt->bindParam(':id', $row['zoneId']);
									$zonalstmt->execute();
									
									while($zonalrow = $zonalstmt->fetch(PDO::FETCH_ASSOC)){
										echo "
											<option value='{$zonalrow['id']}'>{$zonalrow['name']}</option>
										";
									}
									
								?>
                            </select>
						</div>
						<div class="col col-md-3">
							<textarea name="task" id="" cols="50" rows="2" class="form-control" placeholder="Job specification for this department (specific reason for creation)" required><?php echo htmlspecialchars($branch_location, ENT_QUOTES);  ?></textarea>
						</div>
					</div>
<hr>
					<div class="row">
						<h5 style="margin-bottom:15px">Edit Logins<span class="reqired"> *</span></h5>
						<div class="col col-md-3">
                            <input class="form-control" type="text" id="edit" value="<?php echo htmlspecialchars($uname, ENT_QUOTES);  ?>" placeholder="Edit user name" name="uname" required>
						</div>
						<div class="col col-md-3">
							<input type="" name="newpass" class="form-control" placeholder="New password" >
						</div>
                        <div class="col col-md-3">
							<input type="" name="connewpass" class="form-control" placeholder="Repeat new password" >
						</div>
						<div class="col col-md-3">
							<input type="" name="telephone" class="form-control" value="<?php echo htmlspecialchars($telephone, ENT_QUOTES);  ?>" placeholder="Phone Number" required>
						</div>
                        
					</div>
					<br>
					<div class="main">
						<button name="edit_branch" type="submit" class="button">Update</button>
					</div>
				</form>
			</div>
		</div>
	</div>
</section>


<?php
include "includes/footer.php" ;
?>