<?php 

	include 'database/config.php';

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";

?>

<div class="page-heading">
    <div class="page-title">
        <div class="row">
            <div class="col-12 col-md-6 order-md-1 order-last">
                <h3>Fund Campaigns 
                    <button class="btn btn-success" data-toggle="modal" data-target=".addNewFund">Add New
                        <i class="fas fa-plus"></i>
                    </button>
                </h3>
                
                <p class="text-subtitle text-muted">This is the fundraising section for ministerial projects
                    <a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                        data-content="Then the leaders of families, the officers of the tribes of Israel, the commanders of thousands and commanders of hundreds, 
                        and the officials in charge of the king’s work gave willingly. They gave toward the work on the temple of God five thousand 
                        talents[d] and ten thousand darics[e] of gold, ten thousand talents[f] of silver, eighteen thousand talents[g] of bronze and 
                        a hundred thousand talents[h] of iron. Anyone who had precious stones gave them to the treasury of the temple of the Lord in 
                        the custody of Jehiel the Gershonite. The people rejoiced at the willing response of their leaders, for they had given freely
                        and wholeheartedly to the Lord. David the king also rejoiced greatly.">
                        1 Chronicles 29:1-9
                    </a>
                </p>
            </div>
            <div class="col-12 col-md-6 order-md-2 order-first">
                <nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Fund Raising</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
 </div>

 <!--Tabs for table -->
 <div class="tab">
  <button class="tablinks" onclick="openCity(event, 'Listings')" id="defaultOpen"><i class="fas fa-sitemap"></i> Listings</button>
  <button class="tablinks" onclick="openCity(event, 'Pledge')"><i class="far fa-handshake"></i> Pledges</button>
</div>

<!-- Table Data starts here -->
 <section class="section tabcontent" id="Listings">
    <div class="card">
        <div class="card-header">
            Fund Campaigns 
        </div>
		
			<?php
			// include database connection
			include 'database/config2.php';
			 

			 
			// select all data
			$campaigns_query = "SELECT * FROM fund_campaigns ORDER BY id DESC";
			$campaign_stmt = $conn->prepare($campaigns_query);
			//$campaign_stmt->bindParam(':name', $name);
			$campaign_stmt->execute();
			 
			// this is how to get number of rows returned
			$campaign_num = $campaign_stmt->rowCount();
			 
			 ?>
		<div class="card-body">
           <?php
			//check if more than 0 record found
			if($campaign_num>0){
				
				?>
				
			<table class="table table-striped" id="table1">
				
					<thead>
						<tr>
					<?php
					//start table
					 
						//creating our table heading
						echo "<th>Fund Name</th>
							<th>Start</th>
							<th>End</th>
							<th>Goal</th>
							<th>Pledged</th>
							<th>Raised</th>
							<th>Remaining</th>
							<th>% Complete</th>
							<th>Status</th>
							<th>Action</th>
						";
					 
					 
					// end table
						?>
						</tr>
					</thead>
                <tbody>
                    
                
					<?php
					
					
					while ($campaign_row = $campaign_stmt->fetch(PDO::FETCH_ASSOC)){
			
					extract($campaign_row);
					
/***************************** This is to update the pledged and amount raised sections of the fund campaigns table *************************************/
			
			$select_pledged_query = "SELECT * FROM pledging_info WHERE campaign_id=:campid";
			
			$select_pledged_stmt = $conn->prepare($select_pledged_query);
								
								$select_pledged_stmt->bindParam(':campid', $id);

								
								$select_pledged_stmt->execute();
								$select_pledged_num = $select_pledged_stmt->rowCount();	
								$total_pledged = 0;
								$total_raised = 0;
							if($select_pledged_num > 0)
							{									
								while($select_pledged_row = $select_pledged_stmt->fetch(PDO::FETCH_ASSOC))
								{
									
									//extract($select_pledged_row);
									
									$total_pledged = $total_pledged + $select_pledged_row['amount_pledged'];
									$total_raised = $total_raised + $select_pledged_row['amount_paid'];
									
								}
									
									try 
									{
										
													if($goal == 0){
														$perComplete = 0;
													}else{
														$perComplete = ($total_raised * 100)/$goal;
														if($perComplete > 100){
															$perComplete = 100;
														}
													}
																							
										
										$rem = $goal - $total_raised;
									  $update_pledged_query = "UPDATE fund_campaigns SET pledged=:total_pledged, raised=:total_raised, remaining=:remaining, percentage_complete=:percentage_complete WHERE name=:thename";

									  // Prepare statement
										$update_pledged_stmt = $conn->prepare($update_pledged_query);
										$update_pledged_stmt->bindParam(':thename', $name);
										$update_pledged_stmt->bindParam(':total_pledged', $total_pledged);
										$update_pledged_stmt->bindParam(':total_raised', $total_raised);
										$update_pledged_stmt->bindParam(':remaining', $rem);
										$update_pledged_stmt->bindParam(':percentage_complete', $perComplete);

									  // execute the query
									  $update_pledged_stmt->execute();

									  // echo a message to say the UPDATE succeeded
									  //echo $update_pledged_stmt->rowCount() . " records UPDATED successfully";
									} 
									catch(PDOException $e) 
									{
									  echo $update_pledged_query . "<br>" . $e->getMessage();
									}						
							}
					
					?>
					<tr>
					<?php
					// creating new table row per record
					
						if($end == "0000-00-00"){
							$edate = "No end";
						}else{
							$edate = date('l d M Y', strtotime($end));
						}
					echo "
						<td>{$name}</td>
						<td>". date('l d M Y', strtotime($start))?> <!-- <br><small><em>3 months ago</em></small> --> <?php echo "</td>
						<td>". $edate?> <!-- <br><small><em>6 months ago</em></small> --> <?php echo "</td>
						<td>"?>XAF <?php echo number_format($goal);?> <?php echo "</td>
						<td>"?>XAF <?php echo number_format($total_pledged);?> <?php echo "</td>
						<td>"?>XAF <?php echo number_format($total_raised);?> <?php echo "</td>
						<td>"?>XAF <?php echo number_format($goal - $total_raised);?> <?php echo "</td>
						<td>" ?> 
							<div class="progress progress-primary  mb-4">
							<?php
							
													if($goal == 0){
														$percComplete = 0;
													}else{
														$percComplete = ($total_raised * 100)/$goal;
														if($percComplete > 100){
															$percComplete = 100;
														}
													}
							
							?>
                                <div class="progress-bar progress-bar-striped" role="progressbar" style="width: <?php echo $percComplete?>%"
                                    aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"><?php echo number_format($percComplete)?>%
                                </div>
                            </div>
						<?php 
						echo "</td> 
						<td>";
						if($end == '0000-00-00'){
							if($raised >= $goal){
								
								$query = "UPDATE fund_campaigns SET status='inactive' WHERE id = $id";
								$qstmt = $conn->prepare($query);
								$qstmt->execute();
							?>
								<span class="badge bg-danger">Inactive</span>
 
							<?php 
							}else{
								
								$query = "UPDATE fund_campaigns SET status='active' WHERE id = $id";
								$qstmt = $conn->prepare($query);
								$qstmt->execute();
								?>
								<span class="badge bg-success">Active</span>								
								<?php
							}
						}else{
							if(($raised >= $goal) || ($end <= date("Y-m-d")))
							{ 
						
								$query = "UPDATE fund_campaigns SET status='inactive' WHERE id = $id";
								$qstmt = $conn->prepare($query);
								$qstmt->execute();
								?>
								<span class="badge bg-danger">Inactive</span>
							<?php }
							else{
								
								$query = "UPDATE fund_campaigns SET status='active' WHERE id = $id";
								$qstmt = $conn->prepare($query);
								$qstmt->execute();
								?>
								<span class="badge bg-success">Active</span>
								<?php
							}
						}
					
						echo "</td>";
						?>
						<td>
                          <!--  <a href="fundRaising.php?did=$id" data-toggle="modal" data-target=".viewCampaign"><i class="fas fa-eye"></i></a>-->
                            <a href="fundRaising.php?did=<?php echo $id?>" data-toggle="" data-target="" class="btn btn-info"><i class="fas fa-eye"></i></a>
                        </td>
					</tr>
					
						<?php
						
										$campaigns_delete_query = "DELETE FROM fund_campaigns WHERE status = ''";
										$campaigns_delete_stmt = $conn->prepare($campaigns_delete_query);
										$campaigns_delete_stmt->execute();
	
						
						}
				?>
					

				</tbody>
			</table>

				<?php
			}
			 
			// if no records found
			else{
				echo "<div class='alert alert-danger'>No records found.</div>";
			}
			?>
        </div>
    </div>

</section>
<!-- Table Data starts here -->

<!-- Table Data starts here -->
<section class="section tabcontent" id="Pledge">
    <div class="card">
        <div class="card-header">
            <button class="btn btn-warning" data-toggle="modal" data-target=".addNewpledgers">Add
                <i class="fas fa-plus"></i>
            </button>
        </div>
        <div class="card-body">
		
		<?php
			// include database connection
			include 'database/config2.php';
			 
			// delete message prompt will be here
			 
			// select all data
			$pledge_query = "SELECT DISTINCT fname, phone, email, country, occupation, address, level, department FROM pledgers ORDER BY id DESC";
			$pledge_stmt = $conn->prepare($pledge_query);
			$pledge_stmt->execute();
			 
			// this is how to get number of rows returned
			$pledge_num = $pledge_stmt->rowCount();
		?>
		
        <div class="form-group"> 
            <select class="display" name="state" id="maxRowss">
                <option value="5000">Show ALL Rows</option>
                <option value="5">5</option>
                <option value="10">10</option>
                <option value="15">15</option>
                <option value="20">20</option>
                <option value="50">50</option>
                <option value="70">70</option>
                <option value="100">100</option>
            </select>
            <label for="entries">entries per page</label>
            <input type="text" id="AmyInput" onkeyup="myPledgeSearch()" placeholder="Search for names.." title="Type in a name">
        </div>
		
		<?php
			//check if more than 0 record found
			if($pledge_num>0){
				?>
		
            <table class="table table-striped table-class" id= "pledge-id">
                <tr>
				
					<?php
					//start table
					 
						//creating our table heading
						echo "<th>Image</th>
							<th>Name</th>
							<th>Phone</th>
							<th>Email</th>
							<th>Nationality</th>
							<th>Occupation</th>
							<th>Home</th>
							<th>Member</th>
							<th>Department</th>
							<th>Action</th>
						";
					 
					 
					// end table
						?>
				
                </tr>
				<?php
					
					
					while ($pledge_row = $pledge_stmt->fetch(PDO::FETCH_ASSOC)){
						
					extract($pledge_row);
					
					$pidQuery = "SELECT id FROM pledgers WHERE phone='$phone' AND email='$email' AND country='$country' AND occupation='$occupation' AND address='$address' AND level='$level' AND department='$department' LIMIT 1";
					$pidstmt = $conn->prepare($pidQuery);
					$pidstmt->execute();
					
					$pidrow = $pidstmt->fetch(PDO::FETCH_ASSOC);
					
					//extract($pidrow);
					?>
                <tr>
					<td>
                        <div class="avatar avatar-xl">
                            <img src="assets/images/faces/1.jpg" alt="User">
                        </div>
                    </td>
				
				<?php
					// creating new table row per record
					echo "
						<td>{$fname}</td>
						<td>{$phone}</td>
						<td>{$email}</td>
						<td>{$country}</td>
						<td>{$occupation}</td>
						<td>{$address}</td>
						<td>{$level}</td>
						<td>{$department}</td>"
						?> 
						<td>
							<!--<a href="fundRaising.php?pid=<?php //echo $pidrow['id']?>" class="btn btn-info" data-toggle="modal" data-target=".sowerInfo">-->
							<a href="fundRaising.php?pid=<?php echo $pidrow['id']?>" class="btn btn-info" data-toggle="" data-target="">
								<i class="fas fa-info-circle"></i>
							</a>
						</td>
                </tr>
				<?php
						}
				?>
					
            </table>
			
				<?php
			}
			 
			// if no records found
			else{
				echo "<div class='alert alert-danger'>No pledgers found.</div>";
			}
			?>

        </div>
    </div>

</section>
<!-- Table Data starts here -->


<!-- Add New Comapeign modal -->
<div class="modal fade addNewFund" id="addNewFund" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
  <div class="modal-content">
      <form action="includes/server.php" method="POST">
        <div class="modal-header" style="background-color: #a6e0a6;">
                <h4 class="modal-title" id="myModalLabel17">New Campaigns</h4>
                <button type="button" class="close" data-bs-dismiss="modal"
                    aria-label="Close">
                    <i data-feather="x"></i>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col col-6">
                        <label for="name">Name</label>
                        <input type="text" name="name" class="form-control" placeholder="Campaign name" aria-label="Username" aria-describedby="basic-addon1" required>
                    </div>
                    <div class="col col-6">
                        <label for="name">Campaigns Starts</label>
                        <input type="date" name="start" class="form-control" aria-label="Username" aria-describedby="basic-addon1" required>
                    </div>
                </div>
                <div class="row">
                    <div class="col col-6">
                        <label for="name">Has end?</label>
                        <select type="text" class="form-control" name="campaign" id="camp" required>
                            <option selected disabled>yes/no...</option>
                            <option value="Yes">Yes</option>
                            <option value="No">No</option>
                        </select>
                    </div>
                    <div class="col col-6" id="compaignDiv">
                        <label for="name">End Date</label>
                        <div class="form-group " id="campEnd">
                            <div class="position-relative">
                                <input type="date" name="end" id="" class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="col col-6" id="">
                        <label for="name">Goal</label>
                        <input type="number" name="reason" id="" class="form-control" required>
                    </div>
                </div>
            </div>
            <div class="modal-footer" style="background-color: #66f16608;">
                <button type="button" class="btn btn-light-secondary"
                    data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
                </button>
                <button name="new_campaign" type="submit" class="btn btn-success ml-1"
                    data-bs-dismiss="modal">
                    <i class="bx bx-check d-block d-sm-none"></i>
                    <span class="d-none d-sm-block">Create</span>
                </button>
            </div>
		</form>
    </div>
  </div>
</div>  
<!-- /Add New Compeign modal -->


<!-- Add New pledgers modal -->
<div class="modal fade addNewpledgers" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
  <div class="modal-content">
      <form action="includes/server.php" method="POST">
        <div class="modal-header" style="background-color: #f6f7b6;">
                <h4 class="modal-title" id="myModalLabel17">New Pledger</h4>
                <button type="button" class="close" data-bs-dismiss="modal"
                    aria-label="Close">
                    <i data-feather="x"></i>
                </button>
        </div>
        <?php
            include 'database/config2.php';

                $fsql = "SELECT DISTINCT fname FROM pledgers ORDER BY id DESC";
                            $fstmt = $conn->prepare($fsql);
                            $fstmt->execute();
                                
                            // this is how to get number of rows returned
                            $fnum = $fstmt->rowCount();
                
                            
                ?>
            <div class="modal-body">
                <div class="row">
                    <div class="col col-4">
                        <label for="name">Name of sower</label>
                        <input class="form-control" type="text" id="wizards" name="sowers" list="wizards-list" required>
                        <datalist id="wizards-list">
                            <?php 
                                //check if more than 0 record found
                                    if($fnum>0){
                                        // data from database will be here
                                        while ($frow = $fstmt->fetch(PDO::FETCH_ASSOC)){
                                        
                                            extract($frow);
                                            ?>
                                            <option><?php echo "{$fname}";?></option>
                                                
                                            <?php			
                                        }
                                        
                                    }
                                        
                                    // if no records found
                                    else{
                                        ?>
                                        <option></option>
                                        <?php
                                    }

                            ?>
                        </datalist>
                    </div>
					
                    <div class="col col-4">
                        <label for="name">Phone</label>
                        <input type="number" name="phone" class="form-control" aria-label="Username" aria-describedby="basic-addon1" required>
                    </div>
                    
                    <div class="col col-4">
                        <label for="name">Email</label>
                        <input type="email" name="email" class="form-control" aria-label="Username" aria-describedby="basic-addon1">
                    </div>
				</div>
                <div class="row">
                
                    <div class="col col-6">
                        <label for="name">Occupation</label>
                        <input type="text" name="occupation" class="form-control" aria-label="Username" aria-describedby="basic-addon1" required>
                    </div>
                    <div class="col col-6">
                        <label for="name">Country</label>
                        <select class="form-control" type="text" id="wizards" name="country" list="wizards-list" required>
                            <?php include 'includes/countryList.php'; ?>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="col col-4">
                        <label for="name">Level</label>
                        <select type="text" class="form-control" name="level" id="level" required>
                            <option selected disabled></option>
                            <option value="member">Member</option>
                            <option value="partner">Partner</option>
                            <option value="well-wisher">Well-wisher</option>
                        </select>
                    </div>
                    <div class="col col-4" id="deptDiv">
                        <label for="name">Departments</label>
                        <div class="form-group " id="dept">
                            <select type="text" name="department" class="form-control" >
                                <option selected disabled></option>
                                <option value="Social Media">Social Media</option>
                                <option value="Communicators">Communicators</option>
                                <option value="Protocals">Protocals</option>
                                <option value="Sanctuary">Sanctuary</option>
                                <option value="Dance Crew">Dance Crew</option>
                                <option value="Videographers">Videographers</option>
                            </select>
                        </div>
                    </div>
                    <div class="col col-4" id="">
                        <label for="name">Home address</label>
                        <input type="text" name="address" id="" class="form-control" required>
                    </div>
                </div>
            </div>
            <div class="modal-footer" style="background-color: #66f16608;">
                <button type="button" class="btn btn-light-secondary"
                    data-bs-dismiss="modal">
                    <i class="bx bx-x d-block d-sm-none"></i>
                    <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
                </button>
                <button type="submit" name="create_pledger" class="btn btn-warning ml-1"
                    data-bs-dismiss="modal">
                    <i class="bx bx-check d-block d-sm-none"></i>
                    <span class="d-none d-sm-block">Create</span>
                </button>
            </div>
        </div>
      </form>
  </div>
</div>  
<!-- /Add New pledgers modal -->



<!-- /View Comapeign modal -->



<?php

if(isset($_GET['pid'])){
    $myId = $_GET['pid'];

    $myquery = "SELECT * FROM pledgers WHERE id=$myId LIMIT 1";
    $idstmts = $conn->prepare($myquery);
    $idstmts->execute();
    
    $idrows = $idstmts->fetch(PDO::FETCH_ASSOC);
    
    extract($idrows);

    ?>

    <!-- View Comapeign modal -->

	<!-- Sower modal -->
<div class="modal fade sowerInfo" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-full">
  <div class="modal-content">
    <div class="modal-header" style="background-color: white;">
            <h2 class="modal-title" id="myModalLabel17">Viewing: <?php echo $fname?>'s pledging details</h2>
            <button type="button" class="btn btn-light-secondary"
                data-bs-dismiss="modal">
                <i class="bx bx-x d-block d-sm-none"></i>
                <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
            </button>
        </div>
        <div class="modal-body" style="background-color: #f2f2f2;">
            <div class="row">
                <div class="col col-9">
                    <div class="card">
                        <div class="card-header"></div>
                        <div class="card-body">

                            <div class="row">
                                <div class="col col-md col-3">
                                    <img src="invoice/images/profile.jpg" alt="user profile">
                                </div>
								<?php
									// include database connection
									include 'database/config2.php';
									 
									 
									// select all data
									$latest_pledged_query = "SELECT pledger_id, campaign_name, amount_pledged, amount_paid FROM pledging_info WHERE pledger_name = :fname AND pledger_id = :pledger_id ORDER BY id DESC LIMIT 0, 1";
									
									$latest_pledged_stmt = $conn->prepare($latest_pledged_query);
									$latest_pledged_stmt->bindParam(':fname', $fname);
									$latest_pledged_stmt->bindParam(':pledger_id', $myId);
									$latest_pledged_stmt->execute();
									
									
									 
									// this is how to get number of rows returned
									$latest_pledged_num = $latest_pledged_stmt->rowCount();
																	
								//check if more than 0 record found
								if($latest_pledged_num>0){
									$latest_pledged_row = $latest_pledged_stmt->fetch(PDO::FETCH_ASSOC);
									extract($latest_pledged_row);
									
													if($amount_pledged == 0){
														$percentageCalc = 0;
													}else{
														$percentageCalc = ($amount_paid*100)/$amount_pledged;
													}									
									
								?>
                                <div class="col col-md col-9">
                                    <h2 style="color: #a5a5a5">Most recent pledge: <?php echo $campaign_name?>
                                    </h2>
                                    <div class="progress" style="height: 68px;">
                                        <div class="progress-bar progress-bar-striped bg-danger active" role="progressbar" style="width: <?php echo $percentageCalc?>%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"><?php echo number_format($percentageCalc);?>% complete</div>
                                    </div> 
                                    <br>
                                    <p style="float: left;">Pledged: XFA <?php echo number_format($amount_pledged)?></p>
                                    <p style="float: right;">Paid: XFA <?php echo number_format($amount_paid) ?></p>
                                </div>
								<?php
								}else{
									?>
								<div class="col col-md col-9">
                                    <h2 style="color: #a5a5a5">Most Recent pledge: None
                                    </h2>
                                    <div class="progress" style="height: 68px;">
                                        <div class="progress-bar progress-bar-striped bg-danger active" role="progressbar" style="width: 0%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100">0% complete</div>
                                    </div> 
                                    <br>
                                    <p style="float: left;">Pledged: XFA 0</p>
                                    <p style="float: right;">Paid: XFA 0</p>
                                </div>
									<?php
								}
								?>

									<!--Quick Report of Pledges (Bar Chart) -->
                                    <canvas id="barChart"></canvas>
                            </div>
                                <br><br>

                            <div class="container">
                            <h5>Cumulative pledges
                                <a  href="#" class="scripture" title="1 Chronicles 29:2 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                                    data-content="With all my resources I have provided for the temple of my God—gold for the gold work, silver for the silver, 
                                    bronze for the bronze, iron for the iron and wood for the wood, as well as onyx for the settings, turquoise,[a] stones of 
                                    various colors, and all kinds of fine stone and marble—all of these in large quantities.">
                                    <small> 1 Chronicles 29:2</small>
                                </a>
								<a href="fundRaising.php?tid=<?php echo $id?>">
                                <button class="btn btn-warning" data-toggle="" data-target="" class="btn btn-warning" style="margin-left:10px"> 
                                    Add new
                                    <i class="fas fa-plus"></i>
                                </button>
								</a>
                            </h5>
                            <div >

                            </div>
                            <div class="form-group"> 
                                <select class="display" name="state" id="maxRows">
                                    <option value="5000">Show ALL Rows</option>
                                    <option value="2">2</option>
                                    <option value="5">5</option>
                                    <option value="10">10</option>
                                    <option value="15">15</option>
                                    <option value="20">20</option>
                                    <option value="50">50</option>
                                    <option value="70">70</option>
                                    <option value="100">100</option>
                                </select>
                                <label for="entries">entries per page</label>
                                <input type="text" id="myInput" onkeyup="myTableSearch()" placeholder="Search for names.." title="Type in a name">
                            </div>
								<?php
																 
									 
									// select all data
									$pledging_info_query = "SELECT id, campaign_name, campaign_end, pledged_date, redeemed_date, amount_pledged, amount_paid FROM pledging_info WHERE pledger_name = :fname AND pledger_id = :pledger_id ORDER BY id DESC";
									
									$pledging_info_stmt = $conn->prepare($pledging_info_query);
									$pledging_info_stmt->bindParam(':fname', $fname);
									$pledging_info_stmt->bindParam(':pledger_id', $myId);
									$pledging_info_stmt->execute();
									
									
									 
									// this is how to get number of rows returned
									$pledging_info_num = $pledging_info_stmt->rowCount();
																	
								//check if more than 0 record found
								if($pledging_info_num>0){
									?>
                                <table class="table table-striped table-class" id= "table-id">
                                    
                                    <tr>
									
										<?php
										//start table
										 
											//creating our table heading
											echo "<th>Campaign Name</th>
												<th>Date Pledged</th>
												<th>Date Redeemed</th>
												<th>Amount Pledged</th>
												<th>Amount Paid</th>
												<th>% Complete</th>
												<th>Status</th>
												<th>Method</th>
												<th>Action</th>
											";
										 
										 
										// end table
											?>
									
									</tr>
									<?php
										
										
										while ($pledging_info_row = $pledging_info_stmt->fetch(PDO::FETCH_ASSOC)){
											
										extract($pledging_info_row);
										if($redeemed_date == '0000-00-00'){
											$rdate = "Not yet";
										}else{
											$rdate = date('l d M Y', strtotime($redeemed_date));
										}
										?>
									<tr>
										
									<?php
										// creating new table row per record
										echo "
											<td>{$campaign_name}</td>
											<td>". date('l d M Y', strtotime($pledged_date)). "</td>
											<td>".$rdate . "</td>
											<td>". number_format($amount_pledged). "</td>
											<td>". number_format($amount_paid). "</td>
											<td>"?>
											
												<div class="progress progress-danger  mb-4">
													<?php 
													
													if($amount_pledged == 0){
														$percentageCalc = 0;
													}else{
														$percentageCalc = ($amount_paid*100)/$amount_pledged;
													}
													
													?>
													<div class="progress-bar progress-bar-striped" role="progressbar" style="width:<?php echo $percentageCalc;?>%"
														aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"><?php echo number_format($percentageCalc);?>%
													</div>
												</div>
											<?php echo "
											</td>
											<td>";
											
											if($campaign_end == '0000-00-00'){ ?>
												<span class="badge bg-success">On time</span>																								
											<?php
											}else
											{
												if($campaign_end > $redeemed_date){
													?>
													<span class="badge bg-success">On time</span>												
													<?php
												}else{
													?>
													<span class="badge bg-danger">Late</span>												
													<?php
												}
											}
											?>
											<?php echo "
											</td>
											<td>Cash</td>
											<td>"?>
												<a href="fundRaising.php?payId=<?php echo $id ?>" data-toggle="" data-target=""><i class="fab fa-apple-pay fa-2x" style="color: #717171"></i></a>
											<?php echo "
											</td>
											"
											?> 
											
									</tr>
									<?php
											}
									?>
										
                                </table>
								
										<?php
									}
									 
									// if no records found
									else{
										echo "<div class='alert alert-danger'>No Information displayed yet</div>";
									}
									?>

                            </div> <!--End of Container -->
                        </div>
                        <div class="card-footer"></div>
                    </div>
                </div>

                <!--Campeign Overview -->
                <div class="col col-3">
                    <div class="card">
                        <div class="card-header">
                            <p>Update Sowers information 
                                <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="right" data-trigger="hover" data-content="Please note that this information will update on the entire database"><i style="color: #a5a5a5;" class="fas fa-info-circle"></i></a>
                            </p><hr>
                        </div>
                        <?php
							

						// check if form was submitted
						if(isset($_POST['update_sowers'])){
						 
							try{
						 
								$update_sowers_query = "SELECT * FROM pledgers WHERE id = $pledger_id LIMIT 0,1";
								$update_sowers_stmt = $conn->prepare( $update_sowers_query );
							 
								// execute our query
								$update_sowers_stmt->execute();
							 
								// store retrieved row to a variable
								$update_sowers_row = $update_sowers_stmt->fetch(PDO::FETCH_ASSOC);
							 
							 
								$updating_sowers_query = "UPDATE pledgers
											SET fname=:editName, phone=:editPhone, email=:editEmail, occupation=:editOccupation, country=:editCountry, level=:editLevel, address=:editAddress, department=:editDepartment
											WHERE id = :id";
						 
								// prepare query for excecution
								$updating_sowers_stmt = $conn->prepare($updating_sowers_query);
						 
						 
								$updating_sowers_query2 = "UPDATE pledging_info
											SET pledger_name=:editName
											WHERE pledger_id = :id";
						 
								// prepare query for excecution
								$updating_sowers_stmt2 = $conn->prepare($updating_sowers_query2);
						 
								// posted values
								
								if (empty($_POST['editName'])){
									$editName = "";
								}
								else if (!empty($_POST['editName'])){
									$editName = htmlspecialchars(strip_tags($_POST['editName']));
								}
								if (empty($_POST['editPhone'])){
									$editPhone = "";
								}
								else if (!empty($_POST['editPhone'])){
									$editPhone=htmlspecialchars(strip_tags($_POST['editPhone']));
								}
								if (empty($_POST['editEmail'])){
									$editEmail = "";
								}
								else if (!empty($_POST['editEmail'])){
									$editEmail=htmlspecialchars(strip_tags($_POST['editEmail']));
								}
								if (empty($_POST['editCountry'])){
									$editCountry = "";
								}
								else if (!empty($_POST['editCountry'])){
									$editCountry=htmlspecialchars(strip_tags($_POST['editCountry']));
								}
								if (empty($_POST['editOccupation'])){
									$editOccupation = "";
								}
								else if (!empty($_POST['editOccupation'])){
									$editOccupation=htmlspecialchars(strip_tags($_POST['editOccupation']));
								}
								if (empty($_POST['editAddress'])){
									$editAddress = "";
								}
								else if (!empty($_POST['editAddress'])){
									$editAddress=htmlspecialchars(strip_tags($_POST['editAddress']));
								}
								if (empty($_POST['editLevel']) && empty($_POST['editDepartment'])){
									$editLevel = $update_sowers_row['level'];
									$editDepartment = $update_sowers_row['department'];
								}
								else if (!empty($_POST['editLevel']) && empty($_POST['editDepartment'])){
									$editLevel=htmlspecialchars(strip_tags($_POST['editLevel']));
									$editDepartment = "";
								}
								else if (!empty($_POST['editDepartment']) && empty($_POST['editLevel'])){
									$editLevel="member";
									$editDepartment = htmlspecialchars(strip_tags($_POST['editDepartment']));
								}
								else if (!empty($_POST['editDepartment']) && !empty($_POST['editLevel'])){
									$editDepartment=htmlspecialchars(strip_tags($_POST['editDepartment']));
									$editLevel=htmlspecialchars(strip_tags($_POST['editLevel']));
								}
								$id = $update_sowers_row['id'];
								
								// bind the parameters
								$updating_sowers_stmt->bindParam(':editName', $editName);
								$updating_sowers_stmt2->bindParam(':editName', $editName);
								$updating_sowers_stmt->bindParam(':editPhone', $editPhone);
								$updating_sowers_stmt->bindParam(':editEmail', $editEmail);
								$updating_sowers_stmt->bindParam(':editCountry', $editCountry);
								$updating_sowers_stmt->bindParam(':editOccupation', $editOccupation);
								$updating_sowers_stmt->bindParam(':editAddress', $editAddress);
								$updating_sowers_stmt->bindParam(':editLevel', $editLevel);
								$updating_sowers_stmt->bindParam(':editDepartment', $editDepartment);
								$updating_sowers_stmt2->bindParam(':id', $id);
								$updating_sowers_stmt->bindParam(':id', $id);
						 
								// Execute the query
								if($updating_sowers_stmt->execute() && $updating_sowers_stmt2->execute()){
									echo "<div class='alert alert-success'>Information updated successfully.</div>";
								}else{
									echo "<div class='alert alert-danger'>Unable to update the information properly. Please try again.</div>";
								}
						 
							}
						 
							// show errors
							catch(PDOException $exception){
								die('ERROR: ' . $exception->getMessage());
							}
						}
						?>
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?pid={$pledger_id}");?>" method="POST">
							<div class="card-body">
									<p style="float: ;"><b>Name:</b><input type="text" class="Editinput" name="editName" style="float: right;" value="<?php echo htmlspecialchars($fname, ENT_QUOTES);  ?>" ></p>
									<p style="float: ;"><b>Phone:</b><input type="text" class="Editinput" name="editPhone" style="float: right;" value="<?php echo htmlspecialchars($phone, ENT_QUOTES);  ?>" ></p>
									<p style="float: ;"><b>Email:</b><input type="text" class="Editinput" name="editEmail" style="float: right;" value="<?php echo htmlspecialchars($email, ENT_QUOTES);  ?>" ></p>
									<p style="float: ;"><b>Nationality:</b><input type="text" class="Editinput" name="editCountry" style="float: right;" value="<?php echo htmlspecialchars($country, ENT_QUOTES);  ?>"></p>
									<p style="float: ;"><b>Occupation:</b><input type="text" class="Editinput" name="editOccupation" style="float: right;" value="<?php echo htmlspecialchars($occupation, ENT_QUOTES);  ?>"></p>
									<p style="float: ;"><b>Home address:</b><input type="text" class="Editinput" name="editAddress" style="float: right;" value="<?php echo htmlspecialchars($address, ENT_QUOTES);  ?>"></p>
									<!--<p style="float: ;"><b>Member:</b><input type="text" class="Editinput" style="float: right;" value="<?php //echo htmlspecialchars($level, ENT_QUOTES);  ?>" readonly></p>-->
									<p style=""><b style="float: left;">Level:</b>
										<div class="form-group Editinput" id="" >
											<select type="text" class="form-control Editinput" name="editLevel" style="float: right; width: 100%;">
												<option selected disabled></option>
												<option value="Member">member</option>
												<option value="Partner">partner</option>
												<option value="Well-wisher">well-wisher</option>
											</select>
										</div>
									</p>
									<p style="float: ;"><b style="float: left;">Department:</b>
										<div class="form-group Editinput" id="" >
											<select type="text" class="form-control Editinput" name="editDepartment" style="float: right; width: 100%;">
												<option selected disabled></option>
												<option value="Social Media">Social Media</option>
												<option value="Communicators">Communicators</option>
												<option value="Protocals">Protocals</option>
												<option value="Sanctuary">Sanctuary</option>
												<option value="Dance Crew">Dance Crew</option>
												<option value="Videographers">Videographers</option>
											</select>
										</div>
									</p>
							</div>
							
							<div class="card-footer">
								<input class="btnEditUser" type="submit" Value="Update" name="update_sowers" style="float: right;">
							</div>
						</form>
                    </div>
                    <div class="card">
                        <div class="card-header">
                            <p>Google Location</p><hr>
                            <iframe
                                width="100%"
                                height="300"
                                style="border:0"
                                loading="lazy"
                                allowfullscreen
                                src="https://www.google.com/maps/embed/v1/place?key=AIzaSyC1ptWMykM2c7OXuBqajDZzYiGv2ZX25ng
                                &q=<?php echo $address?>">
                            </iframe>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer" style="background-color: #ffffff;">
            <button type="button" class="btn btn-light-secondary"
                data-bs-dismiss="modal">
                <i class="bx bx-x d-block d-sm-none"></i>
                <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
            </button>
        </div>
    </div>
  </div>
</div>  

    <script type="text/javascript">
    $(window).on('load', function() {
        $('.sowerInfo').modal('show');
    });
    </script>

    <?php
}

?>





<!-- Pledge Payment Modal -->

<?php

if(isset($_GET['payId'])){
    $ppayId = $_GET['payId'];

    $payquery = "SELECT * FROM pledging_info WHERE id=$ppayId LIMIT 1";
    $payidstmts = $conn->prepare($payquery);
    $payidstmts->execute();
    
    $payidrows = $payidstmts->fetch(PDO::FETCH_ASSOC);
    
    extract($payidrows);

	$payquery2 = "SELECT * FROM fund_campaigns WHERE id=:campaign_id";
    $payidstmts2 = $conn->prepare($payquery2);
	$payidstmts2->bindParam(':campaign_id', $campaign_id);
    $payidstmts2->execute();
    $payidrows2 = $payidstmts2->fetch(PDO::FETCH_ASSOC);
	
				 
    ?>



<div class="modal fade" id="payPledge" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
  <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
    <div class="modal-content" style="box-shadow: -8px 12px 18px 0 rgb(83 124 199 / 81%); background-color: transparent;
    border: 2px solid none; ">
        <!--Tabs for payment or edit payment -->
    <div class="tab">
        <button class="paylinks" onclick="openPay(event, 'pay')" id="defaultOpenPay"><i class="fab fa-cc-amazon-pay"></i> Pay</button>
        <button class="paylinks" onclick="openPay(event, 'editpay')"><i class="far fa-edit"></i> Correct Error</button>
    </div>
      <div class="modal-header" style="background-color: white;">
        <h5 class="modal-title" id="exampleModalLongTitle">Redeem a pledge</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" style="background-color: white;">
        <div class="card paycontent"  id="pay">
            <div class="card-body">
                <div class="row">
                    <div class="col col-6">
                        <i class="fab fa-cc-visa" style="font-size: 16em;"></i>
                    </div>
                    <div class="col col-6">
                        <h4><?php echo $campaign_name?> Campaign</h4>
                        <p>Campaign Status: 
						<?php 
							if($payidrows2['status'] == 'active'){
						?>
						<span class="badge bg-success">Active</span></p>						
						<?php						
							}else{
								?>
						<span class="badge bg-danger">Inactive</span></p>							
								<?php
							}
							
						?>
						
                        <p>Pledged on: <?php echo date('l d M Y', strtotime($pledged_date))?></p>
                        <p>Pledged amount: XAF <?php echo number_format($amount_pledged)?></p>
                        <p>Todays date: <?php echo date("l d M Y"); ?></p>
						<?php
						
						
						
		if (isset($_POST['submitPayment'])) {
		
			// include database connection
				include 'database/config2.php';
			 
				try{
			 
					// insert query
					$query = "UPDATE pledging_info SET amount_paid=:paidAmount, redeemed_date=:redDate WHERE id = :someId";
			 
					// prepare query for execution
					$stmt = $conn->prepare($query);
			 
					// posted values
					$paidAmount=htmlspecialchars(strip_tags($_POST['payMoney']));
					$someMoney = $amount_paid + $paidAmount;
					$redDate = date("Y-m-d");
					
					$stmt->bindParam(':paidAmount', $someMoney);
					$stmt->bindParam(':someId', $id);
					$stmt->bindParam(':redDate', $redDate);
					
					if($stmt->execute()){						
						echo "<div class='alert alert-success'>Money was submitted.</div>";
					}else{
						echo "<div class='alert alert-danger'>Unable to submit. Please try again.</div>";
					}
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
				
		
		}
		?>
						
						
						<form method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?payId={$id}");?>">
							<div class="form-group has-icon-left">
								<div class="position-relative">
									<input type="number" class="form-control"
										placeholder="" id="first-name-icon" name="payMoney">
									<div class="form-control-icon">
									  <i class="far fa-money-bill-alt fa-2x"></i>
									</div>
								</div>
							</div>
							<button type="submit" name="submitPayment" class="btn btn-primary"><i class="fab fa-amazon-pay" style="color: white;"></i></button>
						</form>
                    </div>
                </div>
            </div>
        </div>

        <div class="card paycontent"  id="editpay">
            <div class="card-body">
                <div class="row">
                    <div class="col col-6">
                    <i class="far fa-credit-card" style="font-size: 16em;"></i>
                    </div>
                    <div class="col col-6">
                        <h2>Reverse Error</h2>
                            <div class="col col-12">
                                <label for="name">Error Type</label>
                                <select type="text" class="form-control" name="campaign" id="camp1" required>
                                    <option selected disabled>Select error type</option>
                                    <option value="campNameError">Wrong Campaign Name</option>
                                    <option value="wrong amount">Wrong amount</option>
                                </select>
                            </div> 
                              <br>
							  <?php
							  
							  // select all data
									$individual_campaigns_query = "SELECT * FROM pledging_info WHERE pledger_id = :pledger_id ORDER BY id DESC";
									
									$individual_campaigns_stmt = $conn->prepare($individual_campaigns_query);
									$individual_campaigns_stmt->bindParam(':pledger_id', $pledger_id);
									$individual_campaigns_stmt->execute();
									
									
									 
									// this is how to get number of rows returned
									$individual_campaigns_num = $individual_campaigns_stmt->rowCount();
								


									if (isset($_POST['errorPay'])) {
		
									// include database connection
										include 'database/config2.php';
									 
										try{
									 
											// insert query
											$query = "UPDATE pledging_info SET amount_paid=:paidAmount, redeemed_date=:redDate WHERE id = :someId";
									 
											// prepare query for execution
											$stmt = $conn->prepare($query);
									 
											// posted values
											$paidAmount=htmlspecialchars(strip_tags($_POST['payMoney']));
											$someMoney = $amount_paid + $paidAmount;
											$redDate = date("Y-m-d");
											
											$stmt->bindParam(':paidAmount', $someMoney);
											$stmt->bindParam(':someId', $id);
											$stmt->bindParam(':redDate', $redDate);
											
											if($stmt->execute()){						
												echo "<div class='alert alert-success'>Money was submitted.</div>";
											}else{
												echo "<div class='alert alert-danger'>Unable to submit. Please try again.</div>";
											}
										}
									 
										// show error
										catch(PDOException $exception){
											die('ERROR: ' . $exception->getMessage());
										}
										
								
								}
								
							?>  
						<form method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?payId={$id}");?>">
                            <div class="col col-12" id="compaignDiv1">
                                <label for="name">Select correct campaign</label>
                                <div class="form-group " id="campEnd1">
                                    <div class="position-relative">
                                        <select name="choose_campaign" id="" class="form-control">
                                            <option></option>
											<?php
											while ($individual_campaigns_row = $individual_campaigns_stmt->fetch(PDO::FETCH_ASSOC)){
													?><option><?php echo $individual_campaigns_row['campaign_name'] ?></option><?php
												}
												?>											
											
                                        </select>
                                    </div>
                                </div>
                            </div>
                        <br>
                        <div class="form-group has-icon-left">
                            <div class="position-relative">
                                <input type="number" class="form-control"
                                    placeholder="" id="first-name-icon" name="errorPay">
                                <div class="form-control-icon">
                                  <i class="far fa-money-bill-alt fa-2x"></i>
                                </div>
                            </div>
                        </div>
						<button type="submit" class="btn btn-primary"><i class="fab fa-amazon-pay" style="color: white;"></i></button>
						</form>
                    </div>
                </div>
            </div>
        </div>
      </div>
      <div class="modal-footer" style="background-color: white;">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="submit" class="btn btn-primary"><i class="fab fa-amazon-pay" style="color: white;"></i></button>
      </div>
    </div>
  </div>
</div>

    <script type="text/javascript">
    $(window).on('load', function() {
        $('#payPledge').modal('show');
    });
    </script>

    <?php
}

?>

<!-- Pledge Payment Modal -->


 
<!-- /Sower info -->


<?php

if(isset($_GET['did'])){
    $myId = $_GET['did'];

    $myquery = "SELECT * FROM fund_campaigns WHERE id=$myId LIMIT 1";
    $idstmts = $conn->prepare($myquery);
    $idstmts->execute();
    
    $idrows = $idstmts->fetch(PDO::FETCH_ASSOC);
    
    extract($idrows);

    ?>

    <!-- View Comapeign modal -->

<div class="modal fade viewCampaign" id="viewCampaign" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-full">
  <div class="modal-content">
    <div class="modal-header" style="background-color: white;">
	
            <h2 class="modal-title" id="myModalLabel17">Viewing: <?php echo $name;?></h2>
            <button type="button" class="btn btn-light-secondary"
                data-bs-dismiss="modal">
                <i class="bx bx-x d-block d-sm-none"></i>
                <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
            </button>
        </div>
        <div class="modal-body" style="background-color: #f2f2f2;">
            <div class="row">
                <div class="col col-9">
                    <div class="card">
                        <div class="card-header"></div>
                        <div class="card-body">
                            <h2 class="text-success">Raised: XAF <?php echo number_format($raised);?> 
                                <a href="#"><i class="fas fa-sync-alt" style="color: #d6d2d2;"></i></a>
                            </h2>
                            <div class="progress" style="height: 68px;">
                                <div class="progress-bar progress-bar-striped bg-danger active" role="progressbar" style="width: <?php echo $percentage_complete?>%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"><?php echo $percentage_complete?>% complete</div>
                            </div> 
                            <br>
                            <p style="float: left;">Goal: XAF <?php echo number_format($goal)?></p>
                            <p style="float: right;">Raised: XAF <?php echo number_format($raised);?></p>
                                <br><br>

                            <div class="container">
                            <h5>Name of contributors
                                <a  href="#" class="scripture" title="1 Chronicles 29:2 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
                                    data-content="With all my resources I have provided for the temple of my God—gold for the gold work, silver for the silver, 
                                    bronze for the bronze, iron for the iron and wood for the wood, as well as onyx for the settings, turquoise,[a] stones of 
                                    various colors, and all kinds of fine stone and marble—all of these in large quantities.">
                                    <small> 1 Chronicles 29:2</small>
                                </a>
                            </h5>
                            <div>

                            </div>
                            <div class="form-group"> 
                                <select class="display" name="state" id="maxRows">
                                    <option value="5000">Show ALL Rows</option>
                                    <option value="2">2</option>
                                    <option value="5">5</option>
                                    <option value="10">10</option>
                                    <option value="15">15</option>
                                    <option value="20">20</option>
                                    <option value="50">50</option>
                                    <option value="70">70</option>
                                    <option value="100">100</option>
                                </select>
                                <label for="entries">entries per page</label>
                                <input type="text" id="myInput" onkeyup="myTableSearch()" placeholder="Search for names.." title="Type in a name">
                            </div>
			<?php
			 
				// select all data
				$campaign_pledger_query = "SELECT * FROM pledging_info WHERE campaign_name=:campaign_name ORDER BY id DESC";
				$campaign_pledger_stmt = $conn->prepare($campaign_pledger_query);
				$campaign_pledger_stmt->bindParam(':campaign_name', $name);
				$campaign_pledger_stmt->execute();
				 
				// this is how to get number of rows returned
				$campaign_pledger_num = $campaign_pledger_stmt->rowCount();
				//check if more than 0 record found
				if($campaign_pledger_num>0){
				
				
					?>	
			 
                                <table class="table table-striped table-class" id= "table-id">
                                    <tr>
									
									<?php
									//start table
									 
										//creating our table heading
										echo "<th>Name</th>
                                        <th>Date Pledged</th>
                                        <th>Date Redeemed</th>
                                        <th>Amount Pledged</th>
                                        <th>Amount Paid</th>
                                        <th>% Complete</th>
                                        <th>Status</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Home</th>
                                        <th>Method</th>
										";
									 
									// end table
										?>
									
                                    </tr>
									<?php
									while ($campaign_pledger_row = $campaign_pledger_stmt->fetch(PDO::FETCH_ASSOC)){
							
									extract($campaign_pledger_row);
									
														
										$campaign_pledger_query2 = "SELECT * FROM pledgers WHERE id=:pledger_id ORDER BY id DESC";
										$campaign_pledger_stmt2 = $conn->prepare($campaign_pledger_query2);
										$campaign_pledger_stmt2->bindParam(':pledger_id', $pledger_id);
										$campaign_pledger_stmt2->execute();
										$campaign_pledger_num2 = $campaign_pledger_stmt2->rowCount();

										$campaign_pledger_row2 = $campaign_pledger_stmt2->fetch(PDO::FETCH_ASSOC);
										
										if($pledged_date == '0000-00-00'){
											$pldate = "Not yet";
										}else{
											$pldate = date('l d M Y', strtotime($pledged_date));
										}
										
										if($redeemed_date == '0000-00-00'){
											$redate = "Not yet";
										}else{
											$redate = date('l d M Y', strtotime($redeemed_date));
										}
										
									?>
									<tr>
										<?php
											// creating new table row per record
											echo "
												<td>{$pledger_name}</td>
												<td>". $pldate ."</td>
												<td>". $redate ."</td>
												<td>"?>XAF <?php echo number_format($amount_pledged);?> <?php echo "</td>
												<td>"?>XAF <?php echo number_format($amount_paid);?> <?php echo "</td>"
												?> 
													<td>
													<?php
													if($amount_pledged == 0){
														$varPer = 0;
													}else{
														$varPer = ($amount_paid * 100)/$amount_pledged;
														if($varPer > 100)
														{
															$varPer = 100;
														}
													}
													?>
														<div class="progress progress-danger  mb-4">
															<div class="progress-bar progress-bar-striped" role="progressbar" style="width:<?php echo $varPer?>%"
																aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"><?php echo number_format($varPer)?>%
															</div>
														</div>
													</td>
													<td>
													<?php
														if($end == '0000-00-00'){	
															?>
															<span class="badge bg-success">On time</span>								 
															<?php 	
														}else{
															if($end > date("Y-m-d"))
															{ 
														?>
															<span class="badge bg-success">On time</span>								 
																
															<?php 
															}
															else{
										
																?>
															<span class="badge bg-danger">Late</span>
																<?php
															}
														}
													?>
													
													</td>
													<td><?php echo $campaign_pledger_row2['email'] ?></td>
													<td><?php echo $campaign_pledger_row2['phone'] ?></td>
													<td><?php echo $campaign_pledger_row2['address'] ?></td>
													<td>Cash</td>
												
									</tr>
									<?php
	
									}
										?>
								</table>

				<?php
				}
			 
			// if no records found
			else{
				echo "<div class='alert alert-danger'>No one has pledged for this campaign yet.</div>";
			}
			?>                            </div> <!--End of Container -->
                        </div>
                        <div class="card-footer"></div>
                    </div>
                </div>

                <!--Campeign Overview -->
                <div class="col col-3">
                    <div class="card">
                        <div class="card-header">
                            <p>Overview</p><hr>
                        </div>
                        <div class="card-body">
						<?php
							if($end == '0000-00-00'){
								$dateLimit = "No end";
							}else{
								$dateLimit = date('l d M Y', strtotime($end));
							}
						?>
                                <p style="float: ;"><b>Date range:</b><span style="float: right;"><?php echo date('l d M Y', strtotime($start)) ?> - <?php echo $dateLimit; ?></span></p>
                                <p style="float: ;"><b>Goal:</b><span style="float: right;">XAF <?php echo number_format($goal)?></span></p>
								
								<?php
									if($campaign_pledger_num == 0){
										?>
									<p style="float: ;"><b>Pledges:</b><span style="float: right;">Nobody yet</span></p>	
									<?php
									} else if($campaign_pledger_num == 1){?>
									<p style="float: ;"><b>Pledges:</b><span style="float: right;"><?php echo $campaign_pledger_num?> person</span></p>	
									<?php } else { ?>
									<p style="float: ;"><b>Pledges:</b><span style="float: right;"><?php echo $campaign_pledger_num?> people</span></p>	
									<?php }
								?>
							   
                                <p style="float: ;"><b>Pledges Redeemed:</b><span style="float: right;">XAF <?php echo number_format($raised)?></span></p>
                                <p style="float: ;"><b>Balance:</b><span style="float: right;">XAF <?php echo number_format($goal - $raised)?></span></p>
                            
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header">
                            <p>Tracking</p><hr>
                        </div>
                        <div class="card-body">
                            <small><em>Below are payments that were above or bellow the expected amount</em></small>
                            <p style="float: ;"><b>Expected:</b><span style="float: right;">XAF <?php echo number_format($goal)?></span></p>
                            <p style="float: ;"><b>Income:</b><span style="float: right;">XAF <?php echo number_format($raised)?></span></p>
                            <hr>
							<?php
								if($goal > $raised){ ?>
                            <p style="float: ;"><b>Amount above: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="top" data-trigger="hover" data-content="This is the amount that came in above the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
                            <p style="float: ;"><b>Amount below: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="left" data-trigger="hover" data-content="This is the amount that came in below the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;">XAF <?php echo number_format($goal - $raised)?></span></p>
									
							<?php	} else if($goal < $raised){ ?>
                           <p style="float: ;"><b>Amount above: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="top" data-trigger="hover" data-content="This is the amount that came in above the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;">XAF <?php echo number_format($raised - $goal)?></span></p>
                            <p style="float: ;"><b>Amount below: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="left" data-trigger="hover" data-content="This is the amount that came in below the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
								
							<?php   } else {    ?>
                           <p style="float: ;"><b>Amount above: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="top" data-trigger="hover" data-content="This is the amount that came in above the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
                            <p style="float: ;"><b>Amount below: <a href="" class="scripture" title="Help" data-toggle="popover" data-placement="left" data-trigger="hover" data-content="This is the amount that came in below the campaign goal"><i style="color: #273786;" class="fas fa-info-circle"></i></a></b><span style="float: right;"> None </span></p>
								
							<?php   }
							?>
                            <p style="float: ;"><b>Status:</b><span style="float: right;">
								<?php
								if($end == '0000-00-00'){
							if($raised >= $goal){
							?>
								<span class="badge bg-danger">Inactive</span>
							<?php 
							}else{
								?>
								<span class="badge bg-success">Active</span>								
								<?php
							}
						}else{
							if(($raised >= $goal) || ($end <= date("Y-m-d")))
							{ 
								?>
								<span class="badge bg-danger">Inactive</span>
							<?php }
							else{
								?>
								<span class="badge bg-success">Active</span>
								<?php
							}
						}
							?>
						</span></p>
                        
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer" style="background-color: #ffffff;">
            <button type="button" class="btn btn-light-secondary"
                data-bs-dismiss="modal">
                <i class="bx bx-x d-block d-sm-none"></i>
                <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
            </button>
        </div>
    </div>
  </div>
</div> 



    <script type="text/javascript">
		$(window).on('load', function() {
			$('.viewCampaign').modal('show');
		});
    </script>

    <?php
}



if(isset($_GET['tid'])){
    $yId = $_GET['tid'];

    $yquery = "SELECT * FROM pledgers WHERE id=$yId LIMIT 1";
    $idstmts = $conn->prepare($yquery);
    $idstmts->execute();
    
    $idrows = $idstmts->fetch(PDO::FETCH_ASSOC);
    
    extract($idrows);

    ?>

<!-- Add pledgers new campaign -->

<div class="modal fade addPledgeCamapaign" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-xxl">
      <div class="modal-content">
	  
	  <div class="modal-header"><h2>Add <?php echo $fname?>'s new pledge</h2></div>
        <div class="modal-body">
            <div class="conatiner">
                <!--Section: Block Content-->
                <section>

                <?php
                include 'database/config2.php';
                                
                    $csql = "SELECT DISTINCT name, start, end, goal, pledged, raised, remaining, percentage_complete, status FROM fund_campaigns WHERE status = 'active' ORDER BY id DESC";
                                $cstmt = $conn->prepare($csql);
                                $cstmt->execute();
                                
                                // this is how to get number of rows returned
                                $cnum = $cstmt->rowCount();		 
		   			 
		if (isset($_POST['pledging_detail'])) {
		
			// include database connection
				include 'database/config2.php';
			 
				try{
					// insert query
					$query = "INSERT INTO pledging_info SET pledger_id=:pledger_id, campaign_id=:campaign_id, pledger_name=:pledger_name, campaign_name=:campaign_name, pledged_date=:pledged_date, amount_pledged=:pledged_amount, campaign_start=:start, campaign_end=:end";
					
					// prepare query for excecution
					$astmt = $conn->prepare($query);
					

					// posted values
					$pledged_date=htmlspecialchars(strip_tags($_POST['pledged_date']));
					$amount_pledged=htmlspecialchars(strip_tags($_POST['pledged_amount']));
					$campaign_name=htmlspecialchars(strip_tags($_POST['campaign']));
					
					
			 $query2 = "SELECT * FROM fund_campaigns WHERE name = :campaign_name AND status = 'active'  LIMIT 1";
								$astmt2 = $conn->prepare($query2);
								
								$astmt2->bindParam(':campaign_name', $campaign_name);
								
								
								$astmt2->execute();
								$num2 = $astmt2->rowCount();		 
								$row2 = $astmt2->fetch(PDO::FETCH_ASSOC);
								$start = $row2['start'];
								$end = $row2['end'];
								$campaign_id = $row2['id'];
					
					// bind the parameters
					$astmt->bindParam(':pledged_date', $pledged_date);
					$astmt->bindParam(':pledged_amount', $amount_pledged);
					$astmt->bindParam(':pledger_id', $yId);
					$astmt->bindParam(':campaign_id', $campaign_id);
					$astmt->bindParam(':pledger_name', $fname);
					$astmt->bindParam(':campaign_name', $campaign_name);
					$astmt->bindParam(':start', $start);
					$astmt->bindParam(':end', $end);
					
					if($pledged_date > date("Y-m-d"))
					{
						echo "<div class='alert alert-danger'>Sorry it's not possible to pledge on a day that hasn't even arrived</div>";												
					}else{
						if($pledged_date < $start){
								echo "<div class='alert alert-danger'>It is not possible to pledge before the campaign even starts</div>";						
						}else{
				 
							// Execute the query
							if($astmt->execute()){
								echo "<div class='alert alert-success'>Record was submitted.</div>";
							}else{
								echo "<div class='alert alert-danger'>Unable to submit record. Please try again.</div>";
							}
							
						}
					}
				}
			 
				// show error
				catch(PDOException $exception){
					die('ERROR: ' . $exception->getMessage());
				}
				
		
		}
		?>
				
                    <form method="POST" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"] . "?tid={$id}");?>">
                        <label for="name">Select Campaign</label>
                        <select id="" class="form-control" name="campaign">
                            <option selected disabled></option>
                        <?php 
                                //check if more than 0 record found
                                    if($cnum>0){
                                        // data from database will be here
                                        while ($crow = $cstmt->fetch(PDO::FETCH_ASSOC)){
                                        
                                            extract($crow);
                                            ?>
                                            <option><?php echo $name;?></option>
                                                
                                            <?php			
                                        }
                                        
                                    }
                                        
                                    // if no records found
                                    else{
                                        ?>
                                        <option></option>
                                        <?php
                                    }
								
                            ?>
                        </select>
                        <br>
                        <div class="row">
                            <div class="col col-6">
                                <label for="">Pledged date</label>
                                <input type="date" name="pledged_date" class="form-control">
                            </div>
                            <div class="col col-6">
                                <label for="">Amount pledged</label>
                                <input type="number" name="pledged_amount" class="form-control">
                            </div>
                        </div>
                            <br>
                        <!--<a href="fundRaising.php?aid=<?php //echo $id;?>" class="btn btn-lg btn-success">Submit</a>-->
						<input type="submit" name="pledging_detail" value="Submit" class="btn btn-lg btn-success" />
                    </form>
						
                </section>
                <!--Section: Block Content-->
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-light-secondary"
                data-bs-dismiss="modal">
                <i class="bx bx-x d-block d-sm-none"></i>
                <span class="d-none d-sm-block" data-dismiss="modal" >Close</span>
            </button>
        </div>
      </div>


	  
  </div>
</div>
<!-- Add pledgers new campaign -->

    <script type="text/javascript">
    $(window).on('load', function() {
        $('.addPledgeCamapaign').modal('show');
    });
    </script>



<script>
    //bar
	var ctxB = document.getElementById("barChart").getContext('2d');
	var myBarChart = new Chart(ctxB, {
	type: 'bar',
	data: {
	labels: ["Red", "Blue", "Yellow", "Green", "Purple", "Orange"],
	datasets: [{
	label: '# of Votes',
	data: [12, 19, 3, 5, 2, 3],
	backgroundColor: [
	'rgba(255, 99, 132, 0.2)',
	'rgba(54, 162, 235, 0.2)',
	'rgba(255, 206, 86, 0.2)',
	'rgba(75, 192, 192, 0.2)',
	'rgba(153, 102, 255, 0.2)',
	'rgba(255, 159, 64, 0.2)'
	],
	borderColor: [
	'rgba(255,99,132,1)',
	'rgba(54, 162, 235, 1)',
	'rgba(255, 206, 86, 1)',
	'rgba(75, 192, 192, 1)',
	'rgba(153, 102, 255, 1)',
	'rgba(255, 159, 64, 1)'
	],
	borderWidth: 1
	}]
	},
	options: {
	scales: {
	yAxes: [{
	ticks: {
	beginAtZero: true
	}
	}]
	}
	}
	});
</script>

<?php
}
 include "includes/footer.php" ;
?>