<?php 
	include '../database/config.php';

    session_start();

    if (!isset($_SESSION['depId'])) {
        header("Location: login.php");
    }

	$departmentalId = $_SESSION['depId'];
	$query = "SELECT * from departments WHERE id='$departmentalId' LIMIT 1";
	$result = mysqli_query($conn, $query);
	$row = mysqli_fetch_assoc($result);
	
	$name = $row['name'];
    include "includes/header.php";
    include "includes/sidebar.php";
		
		include '../database/config2.php';
		
$query2 = "SELECT * FROM contributions WHERE departmentId=:departmentId AND (motive='Coffers' OR type='Withdrawal') AND isBranch=0";
$stmt2=$conn->prepare($query2);
$stmt2->bindParam(':departmentId', $departmentalId);
$stmt2->execute();
$coffersReceived = 0;

while ($row2 = $stmt2->fetch(PDO::FETCH_ASSOC)){
	if($row2['type'] == 'Withdrawal'){
		$coffersReceived = $coffersReceived - $row2['amount'];
	} else if($row2['type'] == 'Deposit'){
	    $coffersReceived = $coffersReceived + $row2['amount'];
	}
}

$perquery = "SELECT * FROM contributions WHERE departmentId=:departmentId AND ((type='Deposit' AND motive='Coffers') OR type='Withdrawal') AND isBranch=0 ORDER BY id DESC LIMIT 1";
$perstmt=$conn->prepare($perquery);
$perstmt->bindParam(':departmentId', $departmentalId);
$perstmt->execute();
$perrow = $perstmt->fetch(PDO::FETCH_ASSOC);

$persumquery = "SELECT * FROM contributions WHERE departmentId=:departmentId AND type='Deposit' AND motive='Coffers' AND isBranch=0";
$persumstmt=$conn->prepare($persumquery);
$persumstmt->bindParam(':departmentId', $departmentalId);
$persumstmt->execute();
$cofferSum = 0;
while($persumrow = $persumstmt->fetch(PDO::FETCH_ASSOC))
{
	if($persumrow['id'] == $perrow['id']){
		$cofferSum = $cofferSum + 0;
	} else {
	$cofferSum = $cofferSum + $persumrow['amount'];
	}
}

?>


<section>
    <div class="container-fluid">
        <div class="homeCard">
            <div class="card-body">
                <div class="col-sm-12">
                    <div class="homeCard l-bg-orange-dark">
                        <div class="card-statistic-3 p-4">
                            <div class="card-icon card-icon-large"></div>
                            <div class="mb-4">
                                <h2 style="color: #e9a74e !important; font-weight: 700; font-size:50px" class="card-title mb-0">Available Balance</h2>
                            </div>
                            <div class="row align-items-center mb-2 d-flex">
                                <div class="col-8">
                                    <h2 class="d-flex align-items-center mb-0" style="color: #814700 !important; font-size:135px">
                                       <sup style="font-size:40px !important; color: #0c07011c">CFA</sup> <?php echo number_format($coffersReceived); ?>
                                    </h2>
                                </div>
                                <div class="col-4 text-right" style="color: white !important;">
									<?php
										if($perrow['type'] == 'Deposit'){
											?>
                                    <span class="text-success" style="font-weight: 700">											
											<?php
											if($cofferSum == 0){
												$percentage = 100;
											} else {
												$percentage = ($perrow['amount'] * 100) / $cofferSum;
											} 
											echo round($percentage, 1); ?>% <i class="fa fa-arrow-up"></i>
									</span>
											<?php
										} else if($perrow['type'] == 'Withdrawal'){
											?>
                                    <span class="text-danger" style="font-weight: 700">											
											<?php
											$percentage = ($perrow['amount'] * 100) / $cofferSum;
											
											echo round($percentage, 1); ?>% <i class="fa fa-arrow-down"></i>
									</span>
											<?php
										}
									?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

<?php
if(isset($_POST['withdraw'])){
 
    include '../database/config2.php';
 
    try{
 
        $wquery = "INSERT INTO contributions SET motive=:motive, requestDate=:requestDate, amount=:amount, departmentId=:departmentId, type='Pending', file=:file, isBranch=0";
 
        // prepare query for execution
        $wstmt = $conn->prepare($wquery);
		
 $file=!empty($_FILES["rep"]["name"])
        ? sha1_file($_FILES['rep']['tmp_name']) . "-" . basename($_FILES["rep"]["name"])
        : "";
 
 
        // posted values
        $motive=htmlspecialchars(strip_tags($_POST['withdrawalMotive']));
        $requestDate= date('Y-m-d');
        $amount=htmlspecialchars(strip_tags($_POST['amount']));
 		$file=htmlspecialchars(strip_tags($file));

        // bind the parameters
        $wstmt->bindParam(':motive', $motive);
        $wstmt->bindParam(':departmentId', $departmentalId);
        $wstmt->bindParam(':amount', $amount);
        $wstmt->bindParam(':requestDate', $requestDate);
        $wstmt->bindParam(':file', $file);

        if($wstmt->execute()){
            echo "<div class='alert alert-success'>Withdrawal request submitted.</div>";
			
			
// now, if file is not empty, try to upload the file
if($file){
 
    // sha1_file() function is used to make a unique file name
    $target_directory = "withdrawal_files/";
    $target_file = $target_directory . $file;
    $file_type = pathinfo($target_file, PATHINFO_EXTENSION);
 
    // error message is empty
    $file_upload_error_messages="";
 // make sure file does not exist
if(file_exists($target_file)){
    $file_upload_error_messages.="<div>File already exists. Try to change file name.</div>";
}
 
 // make sure submitted file is not too large, can't be larger than 1 MB
if($_FILES['rep']['size'] > (5120000)){
    $file_upload_error_messages.="<div>File must be less than 5 MB in size.</div>";
}
 
if(!is_dir($target_directory)){
    mkdir($target_directory, 0777, true);
}
 


// if $file_upload_error_messages is still empty
if(empty($file_upload_error_messages)){
    // it means there are no errors, so try to upload the file
    if(move_uploaded_file($_FILES["rep"]["tmp_name"], $target_file)){
        // it means photo was uploaded
    }else{
        echo "<div class='alert alert-danger'>
            <div>Unable to upload file.</div>
            <div>Update the record to upload file.</div>
        </div>";
    }
}
 
// if $file_upload_error_messages is NOT empty
else{
    // it means there are some errors, so show them to user
    echo "<div class='alert alert-danger'>
        <div>{$file_upload_error_messages}</div>
        <div>Update the record to upload photo.</div>
    </div>";
}
}
	
			
        }else{
            echo "<div class='alert alert-danger'>Unable to submit withdrawal request.</div>";
        }
 
    }
 
    // show error
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
                
				<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col col-sm-12">
                            <textarea name="withdrawalMotive" id="" cols="30" rows="5" class="form-control" required placeholder="Reason why you are applying for withdrawal" style="font-size: 2rem !important;"></textarea>
                        </div>
                        <div class="newRow"></div>
                        <div class="col col-sm-6">
                            <input type="file" name="rep" class="form-control" style="font-size: 2rem !important;">
                        </div>
                        <div class="col col-sm-6">
                            <input type="number" name="amount" placeholder="Amount" class="form-control" style="font-size: 2rem !important;" required>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col col-sm-12">
                            <input type="submit" class="btn btn-warning " value="Withdraw" name="withdraw" style="font-size: 2rem !important; float:left">
                        </div>
                    </div>
                </form>

                    <hr>

                <div class="row">
                    <div class="col col-sm-6">
                        <a href="contributions.php" class="btn btn-success" style="font-size:35px">
                            Make Deposit
                        </a>
                    </div>
                    <div class="col col-sm-6">
                        <form class="">
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="myInput" placeholder="Search ID..." aria-describedby="project-search-addon" style="font-size: 35px" />
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12" style="font-size: 35px"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
				
				<?php
				
				$query3 = "SELECT * FROM contributions WHERE departmentId = :departmentId  AND isBranch=0 ORDER BY id DESC";
				$stmt3 = $conn->prepare($query3);
				$stmt3->bindParam(':departmentId', $departmentalId);
				$stmt3->execute();
				 
				$num3 = $stmt3->rowCount();
				 
				 $balance = 0;
				 
				$query4 = "SELECT * FROM contributions WHERE departmentId = :departmentId  AND isBranch=0 ORDER BY id DESC";
				$stmt4 = $conn->prepare($query4);
				$stmt4->bindParam(':departmentId', $departmentalId);
				$stmt4->execute();
				
				$query5 = "SELECT * FROM contributions WHERE departmentId = :departmentId AND isBranch=0 ORDER BY id DESC LIMIT 1";
				$stmt5 = $conn->prepare($query5);
				$stmt5->bindParam(':departmentId', $departmentalId);
				$stmt5->execute();
				 $row5 = $stmt5->fetch(PDO::FETCH_ASSOC);
				if($num3>0){
				 
				 while ($row4 = $stmt4->fetch(PDO::FETCH_ASSOC)){
					 if($row4['type'] == 'Deposit'){
						 $balance = $balance + $row4['amount'];
					 } else if($row4['type'] == 'Pending'){
						 $balance = $balance + 0;
					 } else if($row4['type'] == 'Withdrawal') {
						 $balance = $balance - $row4['amount'];
					 }
							}

					$balances = $balance;
						echo "<table class='table table-striped' id='myTable' cellspacing='0' width='100%'>";
						 
							//creating our table heading
							echo "<thead class='thead-dark'>
										<tr>
											<th scope='col' class='text-center'>Tran. ID</th>
											<th scope='col' class='text-center'>Date</th>
											<th scope='col' class='text-center'>Type</th>
											<th scope='col' class='text-center'>Amt</th>
											<th scope='col' class='text-center'>Balance</th>
										</tr>
									</thead>
									<tbody>";

							while ($row3 = $stmt3->fetch(PDO::FETCH_ASSOC)){

							 
								echo "<tr>
											<td class='text-center'>{$row3['transactionId']}</td>
											<td class='text-center'>"; 
											if($row3['type'] == 'Pending'){
												echo date('d M Y', strtotime($row3['requestDate']));	
											} else {
												echo date('d M Y', strtotime($row3['paymentDate']));	
											}
											 echo "</td>
											<td class='text-center'>";
											
											if($row3['type'] == 'Deposit'){
												
												$balance = $balance - $row3['amount'];
												?>
												<span class='badge bg-success'>Deposit</span>
												<?php
											} else if($row3['type'] == 'Withdrawal'){
												$balance = $balance + $row3['amount'];
												?>
												<span class='badge bg-info'>Withdrawal</span>
												<?php
											} else if($row3['type'] == 'Pending') {
												$balance = $balance + 0;
												?>
												<span class='badge bg-warning'>Pending</span>
												<?php
											} else if($row3['type'] == 'Rejected') {
												$balance = $balance + 0;
												?>
												<span class='badge bg-danger'>Rejected</span>
												<?php
											}
											
											?>
											
											
											<?php echo "</td>
											<td class='text-center'>".number_format($row3['amount'])."</td>
											<td class='text-center'>".number_format($balances)."</td>
										</tr>
									";
									$balances = $balance;
							}
							echo "</tbody>
								</table>";
				}
				 
				else{
					echo "<div class='alert alert-danger'>No transactions found.</div>";
				}
				?>
				
            </div>
        </div>
    </div>
</section>



<script>
    function myFunction() {
    var input, filter, table, tr, td, i, txtValue;
    input = document.getElementById("myInput");
    filter = input.value.toUpperCase();
    table = document.getElementById("myTable");
    tr = table.getElementsByTagName("tr");
    for (i = 0; i < tr.length; i++) {
        td = tr[i].getElementsByTagName("td")[0];
        if (td) {
        txtValue = td.textContent || td.innerText;
        if (txtValue.toUpperCase().indexOf(filter) > -1) {
            tr[i].style.display = "";
        } else {
            tr[i].style.display = "none";
        }
        }       
    }
    }
</script>


<?php 
    include "includes/footer.php";
?>