<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Add Teacher
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="row">
            <div class="col col-md-2"></div>
            <div class="col col-md-8">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header">
                            <h3>Add new lecturer </h3>
                        </div>
                        <div class="card-body">
<?php
if(isset($_POST['addTeacher'])){
     include 'database/config2.php';
    try{
 
		$nameId=htmlspecialchars(strip_tags($_POST['teacherName']));
		$address=htmlspecialchars(strip_tags($_POST['address']));
		$telephone=htmlspecialchars(strip_tags($_POST['telephone']));
		$tpin=htmlspecialchars(strip_tags($_POST['personalPin']));
		$courseId=htmlspecialchars(strip_tags($_POST['course']));
		$occupation=htmlspecialchars(strip_tags($_POST['occupation']));
		$position=htmlspecialchars(strip_tags($_POST['position']));
		
		$recordTeacher = "INSERT INTO atbilecturer SET name=:member, address=:add, telephone=:tel, personalPin=:pp, courseId=:cid, occupation=:occ, positionId=:pid";
		
		$recordstatement = $conn->prepare($recordTeacher);
		
		$recordstatement->bindParam(':member', $nameId);
		$recordstatement->bindParam(':add', $address);
		$recordstatement->bindParam(':tel', $telephone);
		$recordstatement->bindParam(':pp', $tpin);
		$recordstatement->bindParam(':cid', $courseId);
		$recordstatement->bindParam(':occ', $occupation);
		$recordstatement->bindParam(':pid', $position);
		
		if($recordstatement->execute()){
			echo "<div class='alert alert-success'>Teacher has been added.</div>";
		} else {
			echo "<div class='alert alert-danger'>There was an error.</div>";
		}
		
    }
    catch(PDOException $exception){
        die('ERROR: ' . $exception->getMessage());
    }
}
?>
						<form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
                                <div class="row">
                                    <div class="col col-3" id="MemberDiv">
                                        <label for="memberName">Teacher's Name<span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="date" placeholder="Name of lecturer" name="teacherName" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Address <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="date" placeholder="Place of stay" name="address" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Telephone <span class="reqired">*</span></label>
                                        <input class="form-control" type="number" id="date" placeholder="tel" name="telephone" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Teachers Personal Pin <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" value="T-<?php echo(rand(1000,10000));?>" id="date" placeholder="CV" name="personalPin" readonly required>
                                    </div>
                                    <div class="col col-3">
                                        <label for="submission">Course <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="course" required>
                                            <option disable hidden>Assign Course</option>
											<?php
												$coursesql = "SELECT * FROM atbicourses";
												$coursestatement = $conn->prepare($coursesql);
												$coursestatement->execute();
												while($courserow = $coursestatement->fetch(PDO::FETCH_ASSOC)){
													echo "<option value='{$courserow['id']}'>{$courserow['name']}</option>";
												}
											?>
                                        </select>
                                    </div>
                                    <div class="col col-2">
                                        <label for="date">Occupation <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" max="6" id="date" placeholder="Occupation" name="occupation" required>
                                    </div>
                                    <div class="col col-2">
                                        <label for="submission">Position</label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="position">
                                            <option disable hidden></option>
                                            <option value="0">Normal Teacher</option>
											<?php
												$positionquery = "SELECT * FROM atbioffice";
												$positionstatement = $conn->prepare($positionquery);
												$positionstatement->execute();
												while($positionrow = $positionstatement->fetch(PDO::FETCH_ASSOC)){
													echo "<option value='{$positionrow['id']}'>{$positionrow['name']}</option>";
												}
											?>
                                        </select>
                                    </div>
                                </div>
                                <br>
                                <div class="main text-center">
                                    <button name="addTeacher" type="submit" class="button"><i class="fas fa-plus"></i> Add</button>
                                </div>
                                <br>
                                <hr>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-2"></div>
        </div>
	</div>
</section>

<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-1"></div>
            <div class="col col-md-10">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header"><h5><i class="fas fa-list"></i> All Teachers</h5></div>
                        <div class="card-body">
						
						<?php
							
							$pickteacher = "SELECT * FROM atbilecturer";
							$pickstatement = $conn->prepare($pickteacher);
							$pickstatement->execute();
							$rowNumber = $pickstatement->rowCount();
							if($rowNumber > 0){
							echo "
							<table id='table' class='table table-bordered table-striped'>
                                <thead>
                                    <tr>
                                        <th scope='col'>Code</th>
                                        <th scope='col'>Name</th>
                                        <th scope='col'>Tel</th>
                                        <th scope='col'>Address</th>
                                        <th scope='col'>Course</th>
                                        <th scope='col'>Office</th>
                                        <th scope='col'>Occupation</th>
                                        <th scope='col' class='text-center'>Action</th>
                                    </tr>
                                </thead> 
                                <tbody>
							";	
							
							while($pickrow = $pickstatement->fetch(PDO::FETCH_ASSOC)){
								$coursequery = "SELECT * FROM atbicourses WHERE id=:id";
								$coursestatement = $conn->prepare($coursequery);
								$coursestatement->bindParam(':id', $pickrow['courseId']);
								$coursestatement->execute();
								$courserow = $coursestatement->fetch(PDO::FETCH_ASSOC);
								
								$officequery = "SELECT * FROM atbioffice WHERE id=:id";
								$officestatement = $conn->prepare($officequery);
								$officestatement->bindParam(':id', $pickrow['positionId']);
								$officestatement->execute();
								$officerow = $officestatement->fetch(PDO::FETCH_ASSOC);
								echo "
								<tr>
                                        <td>{$pickrow['personalPin']}</td>
                                        <td>{$pickrow['name']}</td>
                                        <td>{$pickrow['telephone']}</td>
                                        <td>{$pickrow['address']}</td>
                                        <td>{$courserow['name']}</td>";
										if($pickrow['positionId'] == 0){
											echo "<td>Normal Teacher</td>";
										} else { 
										
                                        echo "<td>{$officerow['name']}</td>";
										}
										
										echo "
                                        <td>{$pickrow['occupation']}</td>
                                        <td class='d-flex text-center'>
                                            <a href='edit_lecturer.php?id={$pickrow['id']}' class='btn btn-primary'><i class='far fa-edit'></i></a>
											<button onclick='delete_teacher({$pickrow['id']});' class='btn btn-danger' id='deletusers'>
                                                <i class='fas fa-trash-alt'></i>
                                            </button>
                                        </td>
                                    </tr>
								";
								
							}
							echo "
								</tbody> 
                            </table>
								";
							} else {
								echo "<div class='alert alert-danger'>Sorry there are no teachers yet.</div>";
								
							}
						?>                     
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-1"></div>
        </div>
    </div>
</section>


<script type='text/javascript'>
// confirm record deletion
function delete_teacher( id ){
 
			swal({
            title: "Are you sure?",
            text: "Once deleted, you will not be able to recover this data!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
            })
            .then((willDelete) => {
            if (willDelete) {
                window.location = 'deleteTeacher.php?id=' + id;
            } else {
                swal("Your data is safe!");
            }
            });

		
}
</script>


<?php
include "includes/footer.php" ;
?>