<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Prayer Line
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>

	<div class="container-fluid">

		<div class="row">
            <div class="col col-md-12">
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input class="form-control" id="daterange" />
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
					<?php
						// include database connection
						include 'database/config2.php';
						 
						$query = "SELECT * FROM plregistration ORDER BY id DESC";
						$stmt = $conn->prepare($query);
						$stmt->execute();
						 
						$num = $stmt->rowCount();
						 $rank = 1;
						 $fpath = "prayerlineDocuments";

						//check if more than 0 record found
						if($num>0){
						 
							echo "
								<table id='table_1' class='table table-striped table-ligth'
									data-show-export='true'
									data-show-print='true'
									data-pagination='true'
									data-toggle='table'
									data-side-pagination='server'
									data-click-to-select='true'
									data-toolbar='#toolbar'
									data-show-toggle='true'
									data-show-columns='true'
								>
									<thead>
										<tr>
											<th scope='col'>#</th>
											<th scope='col'>Date Register</th>
											<th scope='col'>Name</th>
											<th scope='col'>Age</th>
											<th scope='col'>Address</th>
											<th scope='col'>Contact</th>
											<th scope='col'>Duration</th>
											<th scope='col'>Case</th>
											<th scope='col'>Files</th>
											<th scope='col'>Action</th>
										</tr>
									</thead>    
									<tbody id='testTable'>							
							";

								while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
									         

									extract($row);
								 $realfile = $fpath . "/" . $file;
									// creating new table row per record
									echo "
									                            <tr>
																	<th scope='row'>{$rank}</th>
																	<td>".date('d M Y', strtotime($date))."</td>
																	<td>{$name}</td>
																	<td>{$age} Years</td>
																	<td>{$address}</td>
																	<td>{$telephone}</td>
																	<td>{$duration}</td>
																	<td>{$problem}</td>
																	<td>
																		<a href='$realfile' target='blank'>
																			<i class='fas fa-file-image fa-2x'></i> 
																		</a>
																	</td>
																	<td>
																		<a href='prayerline/?id=$id' class='btn btn-primary'><i class='fas fa-print'></i></a>
																	</td>
																</tr>
								";
									$rank++;
								}
						}
						 
						// if no records found
						else{
							echo "<div class='alert alert-danger'>No records found.</div>";
						}
					?>
                        </tbody>
                    </table>
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>


<script>
    $(function() {
 var table = $("#table_1").DataTable();

 // Date range vars
 minDateFilter = "";
 maxDateFilter = "";

 $("#daterange").daterangepicker();
 $("#daterange").on("apply.daterangepicker", function(ev, picker) {
  minDateFilter = Date.parse(picker.startDate);
  maxDateFilter = Date.parse(picker.endDate);
  
  $.fn.dataTable.ext.search.push(function(settings, data, dataIndex) {
  var date = Date.parse(data[1]);

  if (
   (isNaN(minDateFilter) && isNaN(maxDateFilter)) ||
   (isNaN(minDateFilter) && date <= maxDateFilter) ||
   (minDateFilter <= date && isNaN(maxDateFilter)) ||
   (minDateFilter <= date && date <= maxDateFilter)
  ) {
   return true;
  }
  return false;
 });
 table.draw();
}); 
  

});
 
 

</script>

<?php
include "includes/footer.php" ;
?>