<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $pass = substr(str_shuffle("0123456789abcdefghijklmnopqrstvwxyzABCDEFGHIJKLMNOPQRSTUVXXYZ"), 0, 8);

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Student's Attendance
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
<div class="container">
		<div class="row">
            <div class="col col-md-2"></div>
            <div class="col col-md-8">
                <div class="">
                    <div class="card-content">
                        <h3>Search Student <span class="reqired">*</span></h3>

                        

                        
							<?php

								if(isset($_POST['permit'])){
									include 'database/config2.php';
									$matriculeNumber = htmlspecialchars(strip_tags($_POST['matricule']));
									$matriculequery = "SELECT * FROM atbistudents WHERE matricule=:matricule";
									$matriculestatement = $conn->prepare($matriculequery);
									$matriculestatement->bindParam(':matricule', $matriculeNumber);
									$matriculestatement->execute();
									$matriculerow = $matriculestatement->fetch(PDO::FETCH_ASSOC);
									$matriculenum = $matriculestatement->rowCount();
									
									$currentdatetime = date('Y-m-d H:i:s');
									
									$currenttime = date('H:i:s');
									$referencetime = '10:00:00';
									if($currenttime > $referencetime){
										$isLate = 1;
									} else {
										$isLate = 0;
									}

									$attendancequery = "INSERT INTO atbistudentsattendance SET studentId=:studentId, isPresent=1, dateAndTime=:datetime, acadBatchId=:acadbatch, isLate=:isLate";
									$attendancestatement = $conn->prepare($attendancequery);
									$attendancestatement->bindParam(':studentId', $matriculerow['id']);
									$attendancestatement->bindParam(':datetime', $currentdatetime);
									$attendancestatement->bindParam(':acadbatch', $matriculerow['badge']);
									$attendancestatement->bindParam(':isLate', $isLate);
									
									if($matriculenum > 0){
										$error = 0;
										$testing = "SELECT * FROM atbistudentsattendance WHERE studentId=:studentId";
										$testingstmt = $conn->prepare($testing);
										$testingstmt->bindParam(':studentId', $matriculerow['id']);
										$testingstmt->execute();
										while($testingrow = $testingstmt->fetch(PDO::FETCH_ASSOC)){
											$testDate = $testingrow['dateAndTime'];
											$realTestDate = date('d M Y', strtotime($testDate));
											if(date('d M Y', strtotime(date('d M Y'))) == $realTestDate){
												$error++;
											}
										}
										if($error == 0){
													if($attendancestatement->execute()){
														echo "
																	<div class='alert alert-success' role='alert'>
																		<strong>Successful.</strong> Students attendance on ".date('d M Y')." at ".date('h:i:sa')." has been recorded
																	</div>
																	";
													} else {
														echo "<div class='alert alert-danger'>There was an error.</div>";
														
													}
										} else {
														echo "<div class='alert alert-warning alert-dismissible fade show' role='alert'>
														<strong>Oops!!! Sorry,</strong> This student's attendance has already been taken.
													</div>";
										}
										
									} else {
										echo "<div class='alert alert-warning alert-dismissible fade show' role='alert'>
														<strong>Oops!!! Sorry,</strong> Student Matricule not found
													</div>";
									}
									
									
								}
								
							?>
                        <div class="card-body">
                            <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"])?>" method="POST">
                                <input class="form-control" type="text" id="" placeholder="Enter Matricule" name="matricule" required>
                                <br>
                                <br>
                                <div class="main text-center">
                                    <button name="permit" type="submit" class="button"><i class="far fa-check-circle"></i> Mark</button>
                                </div>
                                <br>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-2"></div>
        </div>
	</div>
</section>



<section>
    <div class="row">
        <div class="col col-md-2"></div>
        <div class="col col-md-8 text-center">
            <div id="id-card">
			<?php
			
				$displayId = "SELECT * FROM atbistudentsattendance";
				$displaystmt = $conn->prepare($displayId);
				$displaystmt->execute();
				$displaynum = $displaystmt->rowCount();
				
				if($displaynum > 0)
				{
				if(isset($_POST['permit'])){
					$attendancename = "SELECT * FROM atbistudentsattendance ORDER BY id DESC LIMIT 1";
					$attendancenamestatement = $conn->prepare($attendancename);
					$attendancenamestatement->execute();
					$attendancenamerow = $attendancenamestatement->fetch(PDO::FETCH_ASSOC);
					
					$attendancename2 = "SELECT * FROM atbistudents WHERE id=:id";
					$attendancenamestatement2 = $conn->prepare($attendancename2);
					$attendancenamestatement2->bindParam(':id', $attendancenamerow['studentId']);
					$attendancenamestatement2->execute();
					$attendancenamerow2 = $attendancenamestatement2->fetch(PDO::FETCH_ASSOC);
					
					if($attendancenamerow2['memberId'] == 0){
						$idImage = isset($attendancenamerow2['passportPhoto']) ? "<img src='atbipasportphotos/{$attendancenamerow2['passportPhoto']}' id='id-card-mugshot'>" : die("<img src='http://www.travelcontinuously.com/wp-content/uploads/2018/04/empty-avatar.png' id='id-card-mugshot'>"); 
						$idName = $attendancenamerow2['studentName'];
						$idDOB = $attendancenamerow2['dob'];
					} else {
						$attendancename3 = "SELECT * FROM members WHERE id=:id";
						$attendancenamestatement3 = $conn->prepare($attendancename3);
						$attendancenamestatement3->bindParam(':id', $attendancenamerow2['memberId']);
						$attendancenamestatement3->execute();
						$attendancenamerow3 = $attendancenamestatement3->fetch(PDO::FETCH_ASSOC);
						
						$idImage = isset($attendancenamerow3['image']) ? "<img src='members-images/{$attendancenamerow3['image']}' id='id-card-mugshot'>" : "<img src='http://www.travelcontinuously.com/wp-content/uploads/2018/04/empty-avatar.png' id='id-card-mugshot'>"; 
						$idName = $attendancenamerow3['name'];
						$idDOB = $attendancenamerow3['dob'];
						
					}
					
					
					$batchquery = "SELECT * FROM academic_badge WHERE id=:id";
					$batchstmt = $conn->prepare($batchquery);
					$batchstmt->bindParam(':id', $attendancenamerow['acadBatchId']);
					$batchstmt->execute();
					$batchrow = $batchstmt->fetch(PDO::FETCH_ASSOC);
					
					echo "
					
					<div class='id-card material-ui-shadow' style='background-image: url('assets/images/idbg.jpg');'>
                    <div class='id-card__mugshot'>
						{$idImage}
                    </div>
                    <div class='id-card__logo logo'>
                        <div class='row'>
                            <div class='col col-sm-4'>
                                <img src='assets/images/ltmlogo.png' style='width:160%' alt=''>  
                            </div>
                            <div class='col col-sm-8'>
                                <p style='font-size: 13px; color: #004d76; font-weight: bolder; border-bottom: 1px solid #004d76; margin-bottom: 0px;'>Agape Tansforming Bible Institute <small>(ATBI)</small></p>
                                <p class='text-center' style='font-size: 10px; color: #004d76; font-weight: lighter;'>Life Transformers Ministries</p>  
                            </div>
                        </div>
                    </div>
                    <div class='id-card__banner'>
                        <span class='id-card__banner-text' style='left: -55px !important;'>Student's Identification Card</span>
                    </div>
                    <div class='row'>
                        <div class='col col-md-6'>
                            <div style='margin-top: 10px; text-align: left !important;'>
                                <p style='font-size:11px; color: black; font-weight: 900; margin-bottom: 0px;'>Name: <b>{$idName}</b></p>
                                <p style='font-size:11px; color: black; font-weight: 900; margin-bottom: 0px'>Date of Birth: <b>".date('d/m/Y', strtotime($idDOB))."</b></p>
                                <p style='font-size:11px; color: black; font-weight: 900; margin-bottom: 0px'>Badge: <b>{$batchrow['name']}</b></p>
                                <p style='font-size:11px; color: black; font-weight: 900; margin-bottom: 0px'>Matricule: <b>{$attendancenamerow2['matricule']}</b></p>
                            </div>
                        </div>
                        <div class='col col-md-6'>
                            <div class=''>
                                <div id='app' style='margin-top: 19px; text-align: left !important;'>
                                    <p style='font-size:15px; color: black; font-weight: 900; margin-bottom: 0px;'>Date: <b>".date('d M Y', strtotime($attendancenamerow['dateAndTime']))."</b></p>
                                    <p style='font-size:15px; color: black; font-weight: 900; margin-bottom: 0px;'>Time: <b>".date('h:i:sa', strtotime($attendancenamerow['dateAndTime']))."</b></p>";
                                    
									if($attendancenamerow['isLate'] == 0){
										echo "<div class='badge bg-success'>On-time</div>"; 
									} else {
										echo "<div class='badge bg-danger'>Late</div>";
									}
									
									
									echo "
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
					
					";
				}
				}
			?>
                
            </div>
        </div>
        <div class="col col-md-2"></div>
    </div>
</section>




<?php
include "includes/footer.php" ;
?>