<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Results Correction
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
	<div class="container">
		<div class="row">
            <div class="col col-md-1"></div>
            <div class="col col-md-10">
                <div class="homeCard">
                    <div class="card-content">
                        <div class="card-header"><h3>Select Criteria <span class="reqired">*</span></h3></div>
                        <div class="card-body">
						
						
						<?php
						
							if(isset($_POST['correct'])){
								
								$semester = htmlspecialchars(strip_tags($_POST['semester']));
								$course = htmlspecialchars(strip_tags($_POST['course']));
								$type = htmlspecialchars(strip_tags($_POST['type']));
								$matricule = htmlspecialchars(strip_tags($_POST['matricule']));
								$marks = htmlspecialchars(strip_tags($_POST['marks']));
								
								$verifymatricule = "SELECT * FROM atbistudents WHERE matricule=:matricule";
								$verifymatriculestatement = $conn->prepare($verifymatricule);
								$verifymatriculestatement->bindParam(':matricule', $matricule);
								$verifymatriculestatement->execute();
								$verifynumber = $verifymatriculestatement->rowCount();
								$verifyrow = $verifymatriculestatement->fetch(PDO::FETCH_ASSOC);
								
								if($verifynumber == 0){
									echo "<div class='alert alert-warning alert-dismissible fade show' role='alert'>
											<strong>Oops!!! Sorry,</strong> Student Matricule not found
										</div>";
								} else {
									$studentId = $verifyrow['id'];
									if($type == 'ca'){
										$isCa = 1;
										$isExam = 0;
										$isResit = 0;
									} else if ($type == 'exams'){
										
										$isCa = 0;
										$isExam = 1;
										$isResit = 0;
									
									} else if($type == 'resit'){
										$isCa = 0;
										$isExam = 0;
										$isResit = 1;
									}
									
									$checkingquery = "SELECT * FROM camarks WHERE studentId=:studentId AND semester=:semester AND courseId=:courseId AND isCa=:isCa AND isExam=:isExam AND isResit=:isResit";
									$checkingstatement = $conn->prepare($checkingquery);
									$checkingstatement->bindParam(':studentId', $studentId);
									$checkingstatement->bindParam(':semester', $semester);
									$checkingstatement->bindParam(':courseId', $course);
									$checkingstatement->bindParam(':isCa', $isCa);
									$checkingstatement->bindParam(':isExam', $isExam);
									$checkingstatement->bindParam(':isResit', $isResit);
									
									$checkingstatement->execute();
									
									$checkingnumber = $checkingstatement->rowCount();
									$checkingrowfound = $checkingstatement->fetch(PDO::FETCH_ASSOC);
									if($checkingnumber == 0){
										echo "<div class='alert alert-warning alert-dismissible fade show' role='alert'>
											<strong>Oops!!! Sorry,</strong> You cannot correct marks which the student never even had in the first place.
										</div>";
									} else {
										$correctmarks = "UPDATE camarks SET marks=:marks WHERE id=:id";
										$correctmarksstatement = $conn->prepare($correctmarks);
										$correctmarksstatement->bindParam(':marks', $marks);
										$correctmarksstatement->bindParam(':id', $checkingrowfound['id']);
										if($correctmarksstatement->execute()){
											echo "
										<div class='alert alert-success' role='alert'>
											Student's marks have been corrected successfully!!!
										</div>
										";
										} else {
																		echo "<div class='alert alert-danger'>There was an error.</div>";
										}
									}
									
								}
								
							}
						
						?>
						
                            <form action="<?php htmlspecialchars($_SERVER["PHP_SELF"])?>" method="POST">
                                <div class="row">
                                    <div class="col col-3">
                                    <label for="semester">Semester <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="semester" required>
                                            <option disable hidden></option>
                                            <option value="1">First Semester</option>
                                            <option value="2">Second Semester</option>
                                        </select>
                                    </div>
                                    <div class="col col-3">
                                        <label for="Course">Course <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="course" required>
                                            <option disable hidden></option>
											
											<?php
												$courseQuery = "SELECT * FROM atbicourses ORDER BY id DESC";
												$coursestatement = $conn->prepare($courseQuery);
												$coursestatement->execute();
												
												while($coursestatementrow = $coursestatement->fetch(PDO::FETCH_ASSOC)){
													echo "<option value='{$coursestatementrow['id']}'>{$coursestatementrow['name']}</option>";
												}
											?>
											
                                        </select>
                                    </div>
                                    <div class="col col-2">
                                        <label for="Type">Type <span class="reqired">*</span></label>
                                        <select class="form-control" type="text" id="" placeholder="submission" name="type" required>
                                            <option disable hidden></option>
                                            <option value="ca">CA</option>
                                            <option value="exams">Exams</option>
                                            <option value="resit">Resit</option>
                                        </select>
                                    </div>
                                    <div class="col col-2">
                                        <label for="Matricule">Matricule <span class="reqired">*</span></label>
                                        <input class="form-control" type="text" id="" placeholder="Student Matricule" name="matricule" required>
                                        
                                    </div>
                                    <div class="col col-2">
                                        <label for="marks">Marks <span class="reqired">*</span></label>
                                        <input class="form-control" type="number" id="" placeholder="marks" name="marks" required>
                                    </div>
                                </div>
                                <br>
                                <br>
                                <div class="main text-center">
                                    <button name="correct" type="submit" class="button"><i class="fas fa-check"></i> Correct</button>
                                </div>
                                <br>
                            </form>
							
                        </div>
                    </div>
                </div>
            </div>
            <div class="col col-md-1"></div>
        </div>
	</div>
</section>

<?php
include "includes/footer.php" ;
?>