<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	
?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Church Members
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>

<section>
<?php
	include 'database/config2.php';
		
	$query5 = "SELECT * FROM departments ORDER BY id DESC";
	$stmt5 = $conn->prepare($query5);
	$stmt5->execute();
		
	// this is how to get number of rows returned
	$num5 = $stmt5->rowCount();
	
	$memquery = "SELECT * FROM members WHERE duplicated_id=0 ORDER BY id DESC";
	$memstmt = $conn->prepare($memquery);
	$memstmt->execute();
	$memnum = $memstmt->rowCount();
?>
	<div class="container-fluid">

		<div class="row">
        <div class="col col-md-12">
            <h1>Membership Databse</h1>
                <div id="attendance">
                    <div class="card" style="float: left">
                        <form>
                            <div class="form-group mb-0">
                                <div class="input-group mb-0">
                                    <input type="text" class="form-control" onkeyup="myFunction()" id="lookDpt" placeholder="Search date..." aria-describedby="project-search-addon"/>
                                    <div class="input-group-append">
                                        <button class="btn btn-danger" type="button" id="project-search-addon"><i class="fa fa-search search-icon font-12"></i></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div id="toolbar" class="select" style="display: none">
                        <select class="form-control">
                            <option value="">Export Basic</option>
                            <option value="all">Export All</option>
                            <option value="selected">Export Selected</option>
                        </select>
                    </div>
					
					<?php
						if($memnum > 0){
							
							echo "
								<table id='table' class='table table-striped table-dark'
									data-show-export='true'
									data-show-print='true'
									data-pagination='true'
									data-toggle='table'
									data-side-pagination='server'
									data-click-to-select='true'
									data-toolbar='#toolbar'
									data-show-toggle='true'
									data-show-columns='true'
								>
										<thead>
										<tr>
											<th scope='col'>#</th>
											<th scope='col'>Date Joined</th>
											<th scope='col'>Name</th>
											<th scope='col'>image</th>
											<th scope='col'>Status</th>
											<th scope='col'>Contact</th>
											<th scope='col'>Address</th>
											<th scope='col'>Department</th>
											<th scope='col'>Profile Info</th>
											<th scope='col'>Action</th>
										</tr>
									</thead>    
									<tbody id='myDepts'>";
									while($memrow = $memstmt->fetch(PDO::FETCH_ASSOC))
									{
										$wwwqu = "SELECT * FROM departments WHERE id=:id";
										$wwwstmt = $conn->prepare($wwwqu);
										$wwwstmt->bindParam(':id', $memrow['depId']);
										$wwwstmt->execute();
										$wwwrow = $wwwstmt->fetch(PDO::FETCH_ASSOC);
										echo "
										<tr>
											<th scope='row'>{$memrow['id']}</th>
											<td>".date('d M Y', strtotime($memrow['first_visit']))."</td>
											<td>{$memrow['name']}</td>
											<td>
												<a href='javascript: void(0);' class='team-member' data-toggle='tooltip' data-placement='top' title='' data-original-title='Neil Wing'>";
													echo $memrow['image'] ? "<img src='members-images/{$memrow['image']}' class='rounded-circle avatar-xs' alt='' />" : "";															

											echo "
												</a>
											</td>
											<td>"; 
											if($memrow['action'] == 'Suspended'){
												?>
												<span class='badge bg-danger'>Suspended</span>
												<?php
											} else {
												?>
												<span class='badge bg-success'>Active</span>
												<?php
											}
											?> <?php echo "</td>
											<td>{$memrow['telephone']}</td>
											<td>{$memrow['address']}</td>
											<td>{$wwwrow['name']}</td>
											<td>
												<span class='text-success'>Complete</span>
												<div class='progress mt-1 ' data-height='8' style='height: 8px;'>
													<div class='progress-bar l-bg-green' role='progressbar' data-width='25%' aria-valuenow='25' aria-valuemin='0' aria-valuemax='100' style='width: 100%;'></div>
												</div>
											</td>
											<td><a href='seememberinfo.php?id={$memrow['id']}' class='btn btn-primary'><i class='far fa-eye h5 m-0'></a></td>
										</tr>";
									}	
									echo "
									</tbody>
								</table>
							";
							
						} else {
										echo "<div class='alert alert-danger'>No departmental member found.</div>";							
						}
					?>
					
                    
                </div>
            </div>
		</div>
		<!-- end row -->
	</div>
</section>

<script>
$(document).ready(function(){
  $("#lookDpt").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myDepts tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script> 

<script>
  var $table = $('#table')

  $(function() {
    $('#toolbar').find('select').change(function () {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: $(this).val(),
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        columns: [
          {
            field: 'state',
            checkbox: true,
            visible: $(this).val() === 'selected'
          },
          {
            field: 'id',
            title: 'Date Created'
          }, {
            field: 'name',
            title: 'Name'
          }, {
            field: 'price',
            title: 'Image'
          }
        ]
      })
    }).trigger('change')
  })
</script>


<?php
include "includes/footer.php" ;
?>