<?php 

    session_start();

    if (!isset($_SESSION['username'])) {
        header("Location: auth-login.php");
    }

    include "includes/header.php";
    include "includes/sidebar.php";	

    $seed = str_split('ABCDEFGHIJKLMNOPQRSTUVWXYZ'); // and any other characters
    shuffle($seed); // probably optional since array_is randomized; this may be redundant
    $rand = '';
    foreach (array_rand($seed, 2) as $k) $rand .= $seed[$k];
	$semester=isset($_GET['semester']) ? $_GET['semester'] : die('ERROR: Semester not found.');
include 'database/config2.php';

?>

<section>
	<div class="page-heading">
		<div class="page-title">
			<div class="row">
				<div class="col-12 col-md-6 order-md-1 order-last">
					<h3>Semester Result
					</h3>
					
					<p class="text-subtitle text-muted">Create more church departments 
						<a  href="#" class="scripture" title="1 Chronicles 29:6 NIV" data-toggle="popover" data-placement="right" data-trigger="hover" 
							data-content="">
							1 Chronicles 29:1-9
						</a>
					</p>
				</div>
				<div class="col-12 col-md-6 order-md-2 order-first">
					<nav aria-label="breadcrumb" class="breadcrumb-header float-start float-lg-end">
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="index.php">Dashboard</a></li>
							<li class="breadcrumb-item active" aria-current="page">add department</li>
						</ol>
					</nav>
				</div>
			</div>
		</div>
	</div>
</section>


<section>
    <div class="container-fluid">
        <div class="row">
            <div class="col col-md-3"></div>
                <div class="col col-md-6">
                    <div class="homeCard">
                        <div class="card-content">
                            <div class="card-header"><h5><i class="fas fa-list"></i> Print Semester Results</h5></div>
                            <div class="card-body">
							
							<?php
								$query = "SELECT DISTINCT studentId FROM camarks WHERE semester=:semester";
								$stmt = $conn->prepare($query);
								$stmt->bindParam(':semester', $semester);
								$stmt->execute();
								$num = $stmt->rowCount();
								if($num > 0){
									echo "
									<table id='table' class='table table-bordered table-striped'>
                                    <thead>
                                        <tr>
                                            <th scope='col'>Matricule</th>
                                            <th scope='col'>Name</th>
                                            <th scope='col'>Action</th>
                                        </tr>
                                    </thead> 
                                    <tbody>
                                
									";
									while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
										$matquery = "SELECT * FROM atbistudents WHERE id=:id";
										$matstmt = $conn->prepare($matquery);
										$matstmt->bindParam(':id', $row['studentId']);
										$matstmt->execute();
										$matrow=$matstmt->fetch(PDO::FETCH_ASSOC);
										echo "
										<tr>
                                            <td>{$matrow['matricule']}</td>
                                            <td>";
											if($matrow['memberId'] == 0){
												$name = $matrow['studentName'];
											} else {
												$namequery = "SELECT * FROM members WHERE id=:id AND duplicated_id=0";
												$namestmt=$conn->prepare($namequery);
												$namestmt->bindParam(':id', $matrow['memberId']);
												$namestmt->execute();
												$namerow=$namestmt->fetch(PDO::FETCH_ASSOC);
												$name = $namerow['name'];
											}
											echo $name;
											echo "</td>
                                            <td>
                                                <div class='main text-center'>
                                                    <a href='semesterResults/?id={$row['studentId']}&semester={$semester}&name={$name}' target='_blank'><button name='permit' type='submit' class='button'><i class='fas fa-print'></i> Print</button></a>
                                                </div>
                                            </td>
                                        </tr>
										";
									}
									echo "
									</tbody> 
                                </table>
									";
								} else {
									echo "<div class='alert alert-danger'>No marks have been recorded for this semester yet</div>";									
								}
							?>
                                <br>
                            </div>
                        </div>
                    </div>       
                </div>
            <div class="col col-md-3"></div>
        </div>
    </div>
</section>




<?php
include "includes/footer.php" ;
?>